// TERASIC_CLOCK_COUNT.v

// Generated using ACDS version 20.2 50

`timescale 1 ps / 1 ps
module TERASIC_CLOCK_COUNT (
		input  wire        s_clk_in,       //           clk.clk
		input  wire [1:0]  s_address_in,   //         Slave.address
		input  wire        s_read_in,      //              .read
		output wire [31:0] s_readdata_out, //              .readdata
		input  wire        s_write_in,     //              .write
		input  wire [31:0] s_writedata_in, //              .writedata
		input  wire        CLK_1,          //    clk_in_ref.export
		input  wire        CLK_2,          // clk_in_target.export
		input  wire        s_reset_in      //         reset.reset
	);

	TERASIC_CLOCK_COUNT terasic_clock_count (
		.s_clk_in       (s_clk_in),       //   input,   width = 1,           clk.clk
		.s_address_in   (s_address_in),   //   input,   width = 2,         Slave.address
		.s_read_in      (s_read_in),      //   input,   width = 1,              .read
		.s_readdata_out (s_readdata_out), //  output,  width = 32,              .readdata
		.s_write_in     (s_write_in),     //   input,   width = 1,              .write
		.s_writedata_in (s_writedata_in), //   input,  width = 32,              .writedata
		.CLK_1          (CLK_1),          //   input,   width = 1,    clk_in_ref.export
		.CLK_2          (CLK_2),          //   input,   width = 1, clk_in_target.export
		.s_reset_in     (s_reset_in)      //   input,   width = 1,         reset.reset
	);

endmodule
