	ex_100G u0 (
		.i_clk_tx                        (_connected_to_i_clk_tx_),                        //   input,    width = 1,              i_tx_clk.clk
		.i_clk_rx                        (_connected_to_i_clk_rx_),                        //   input,    width = 1,              i_rx_clk.clk
		.o_clk_pll                       (_connected_to_o_clk_pll_),                       //  output,    width = 1,             o_clk_pll.clk
		.i_reconfig_clk                  (_connected_to_i_reconfig_clk_),                  //   input,    width = 1,        i_reconfig_clk.clk
		.i_reconfig_reset                (_connected_to_i_reconfig_reset_),                //   input,    width = 1,      i_reconfig_reset.reset
		.o_sys_pll_locked                (_connected_to_o_sys_pll_locked_),                //  output,    width = 1,      o_sys_pll_locked.o_sys_pll_locked
		.o_tx_serial                     (_connected_to_o_tx_serial_),                     //  output,    width = 4,                serial.o_tx_serial
		.i_rx_serial                     (_connected_to_i_rx_serial_),                     //   input,    width = 4,                      .i_rx_serial
		.o_tx_serial_n                   (_connected_to_o_tx_serial_n_),                   //  output,    width = 4,                      .o_tx_serial_n
		.i_rx_serial_n                   (_connected_to_i_rx_serial_n_),                   //   input,    width = 4,                      .i_rx_serial_n
		.i_clk_ref                       (_connected_to_i_clk_ref_),                       //   input,    width = 1,             i_clk_ref.clk
		.i_clk_sys                       (_connected_to_i_clk_sys_),                       //   input,    width = 1,             i_clk_sys.clk
		.i_reconfig_eth_addr             (_connected_to_i_reconfig_eth_addr_),             //   input,   width = 14,    reconfig_eth_slave.address
		.i_reconfig_eth_byteenable       (_connected_to_i_reconfig_eth_byteenable_),       //   input,    width = 4,                      .byteenable
		.o_reconfig_eth_readdata_valid   (_connected_to_o_reconfig_eth_readdata_valid_),   //  output,    width = 1,                      .readdatavalid
		.i_reconfig_eth_read             (_connected_to_i_reconfig_eth_read_),             //   input,    width = 1,                      .read
		.i_reconfig_eth_write            (_connected_to_i_reconfig_eth_write_),            //   input,    width = 1,                      .write
		.o_reconfig_eth_readdata         (_connected_to_o_reconfig_eth_readdata_),         //  output,   width = 32,                      .readdata
		.i_reconfig_eth_writedata        (_connected_to_i_reconfig_eth_writedata_),        //   input,   width = 32,                      .writedata
		.o_reconfig_eth_waitrequest      (_connected_to_o_reconfig_eth_waitrequest_),      //  output,    width = 1,                      .waitrequest
		.i_rst_n                         (_connected_to_i_rst_n_),                         //   input,    width = 1,               i_rst_n.reset_n
		.i_tx_rst_n                      (_connected_to_i_tx_rst_n_),                      //   input,    width = 1,            i_tx_rst_n.reset_n
		.i_rx_rst_n                      (_connected_to_i_rx_rst_n_),                      //   input,    width = 1,            i_rx_rst_n.reset_n
		.o_rst_ack_n                     (_connected_to_o_rst_ack_n_),                     //  output,    width = 1,    reset_status_ports.o_rst_ack_n
		.o_tx_rst_ack_n                  (_connected_to_o_tx_rst_ack_n_),                  //  output,    width = 1,                      .o_tx_rst_ack_n
		.o_rx_rst_ack_n                  (_connected_to_o_rx_rst_ack_n_),                  //  output,    width = 1,                      .o_rx_rst_ack_n
		.o_cdr_lock                      (_connected_to_o_cdr_lock_),                      //  output,    width = 1,    clock_status_ports.o_cdr_lock
		.o_tx_pll_locked                 (_connected_to_o_tx_pll_locked_),                 //  output,    width = 1,                      .o_tx_pll_locked
		.o_tx_lanes_stable               (_connected_to_o_tx_lanes_stable_),               //  output,    width = 1,                      .o_tx_lanes_stable
		.o_rx_pcs_ready                  (_connected_to_o_rx_pcs_ready_),                  //  output,    width = 1,                      .o_rx_pcs_ready
		.o_clk_tx_div                    (_connected_to_o_clk_tx_div_),                    //  output,    width = 1,            clk_tx_div.clk
		.o_clk_rec_div64                 (_connected_to_o_clk_rec_div64_),                 //  output,    width = 1,         clk_rec_div64.clk
		.o_clk_rec_div                   (_connected_to_o_clk_rec_div_),                   //  output,    width = 1,           clk_rec_div.clk
		.o_rx_block_lock                 (_connected_to_o_rx_block_lock_),                 //  output,    width = 1,          status_ports.o_rx_block_lock
		.o_rx_am_lock                    (_connected_to_o_rx_am_lock_),                    //  output,    width = 1,                      .o_rx_am_lock
		.o_local_fault_status            (_connected_to_o_local_fault_status_),            //  output,    width = 1,                      .o_local_fault_status
		.o_remote_fault_status           (_connected_to_o_remote_fault_status_),           //  output,    width = 1,                      .o_remote_fault_status
		.i_stats_snapshot                (_connected_to_i_stats_snapshot_),                //   input,    width = 1,                      .i_stats_snapshot
		.o_rx_hi_ber                     (_connected_to_o_rx_hi_ber_),                     //  output,    width = 1,                      .o_rx_hi_ber
		.o_rx_pcs_fully_aligned          (_connected_to_o_rx_pcs_fully_aligned_),          //  output,    width = 1,                      .o_rx_pcs_fully_aligned
		.i_tx_data                       (_connected_to_i_tx_data_),                       //   input,  width = 512,          tx_streaming.data
		.i_tx_valid                      (_connected_to_i_tx_valid_),                      //   input,    width = 1,                      .valid
		.i_tx_startofpacket              (_connected_to_i_tx_startofpacket_),              //   input,    width = 1,                      .startofpacket
		.i_tx_endofpacket                (_connected_to_i_tx_endofpacket_),                //   input,    width = 1,                      .endofpacket
		.i_tx_error                      (_connected_to_i_tx_error_),                      //   input,    width = 1,                      .error
		.o_tx_ready                      (_connected_to_o_tx_ready_),                      //  output,    width = 1,                      .ready
		.i_tx_empty                      (_connected_to_i_tx_empty_),                      //   input,    width = 6,                      .empty
		.i_tx_skip_crc                   (_connected_to_i_tx_skip_crc_),                   //   input,    width = 1,              tx_ports.i_tx_skip_crc
		.o_rx_data                       (_connected_to_o_rx_data_),                       //  output,  width = 512,          rx_streaming.data
		.o_rx_valid                      (_connected_to_o_rx_valid_),                      //  output,    width = 1,                      .valid
		.o_rx_startofpacket              (_connected_to_o_rx_startofpacket_),              //  output,    width = 1,                      .startofpacket
		.o_rx_endofpacket                (_connected_to_o_rx_endofpacket_),                //  output,    width = 1,                      .endofpacket
		.o_rx_error                      (_connected_to_o_rx_error_),                      //  output,    width = 6,                      .error
		.o_rx_empty                      (_connected_to_o_rx_empty_),                      //  output,    width = 6,                      .empty
		.o_rxstatus_data                 (_connected_to_o_rxstatus_data_),                 //  output,   width = 40,              rx_ports.o_rxstatus_data
		.o_rxstatus_valid                (_connected_to_o_rxstatus_valid_),                //  output,    width = 1,                      .o_rxstatus_valid
		.i_tx_pfc                        (_connected_to_i_tx_pfc_),                        //   input,    width = 8,             pfc_ports.i_tx_pfc
		.o_rx_pfc                        (_connected_to_o_rx_pfc_),                        //  output,    width = 8,                      .o_rx_pfc
		.i_tx_pause                      (_connected_to_i_tx_pause_),                      //   input,    width = 1,             sfc_ports.i_tx_pause
		.o_rx_pause                      (_connected_to_o_rx_pause_),                      //  output,    width = 1,                      .o_rx_pause
		.i_reconfig_xcvr0_addr           (_connected_to_i_reconfig_xcvr0_addr_),           //   input,   width = 18, reconfig_xcvr_slave_0.address
		.i_reconfig_xcvr0_byteenable     (_connected_to_i_reconfig_xcvr0_byteenable_),     //   input,    width = 4,                      .byteenable
		.o_reconfig_xcvr0_readdata_valid (_connected_to_o_reconfig_xcvr0_readdata_valid_), //  output,    width = 1,                      .readdatavalid
		.i_reconfig_xcvr0_read           (_connected_to_i_reconfig_xcvr0_read_),           //   input,    width = 1,                      .read
		.i_reconfig_xcvr0_write          (_connected_to_i_reconfig_xcvr0_write_),          //   input,    width = 1,                      .write
		.o_reconfig_xcvr0_readdata       (_connected_to_o_reconfig_xcvr0_readdata_),       //  output,   width = 32,                      .readdata
		.i_reconfig_xcvr0_writedata      (_connected_to_i_reconfig_xcvr0_writedata_),      //   input,   width = 32,                      .writedata
		.o_reconfig_xcvr0_waitrequest    (_connected_to_o_reconfig_xcvr0_waitrequest_),    //  output,    width = 1,                      .waitrequest
		.i_reconfig_xcvr1_addr           (_connected_to_i_reconfig_xcvr1_addr_),           //   input,   width = 18, reconfig_xcvr_slave_1.address
		.i_reconfig_xcvr1_byteenable     (_connected_to_i_reconfig_xcvr1_byteenable_),     //   input,    width = 4,                      .byteenable
		.o_reconfig_xcvr1_readdata_valid (_connected_to_o_reconfig_xcvr1_readdata_valid_), //  output,    width = 1,                      .readdatavalid
		.i_reconfig_xcvr1_read           (_connected_to_i_reconfig_xcvr1_read_),           //   input,    width = 1,                      .read
		.i_reconfig_xcvr1_write          (_connected_to_i_reconfig_xcvr1_write_),          //   input,    width = 1,                      .write
		.o_reconfig_xcvr1_readdata       (_connected_to_o_reconfig_xcvr1_readdata_),       //  output,   width = 32,                      .readdata
		.i_reconfig_xcvr1_writedata      (_connected_to_i_reconfig_xcvr1_writedata_),      //   input,   width = 32,                      .writedata
		.o_reconfig_xcvr1_waitrequest    (_connected_to_o_reconfig_xcvr1_waitrequest_),    //  output,    width = 1,                      .waitrequest
		.i_reconfig_xcvr2_addr           (_connected_to_i_reconfig_xcvr2_addr_),           //   input,   width = 18, reconfig_xcvr_slave_2.address
		.i_reconfig_xcvr2_byteenable     (_connected_to_i_reconfig_xcvr2_byteenable_),     //   input,    width = 4,                      .byteenable
		.o_reconfig_xcvr2_readdata_valid (_connected_to_o_reconfig_xcvr2_readdata_valid_), //  output,    width = 1,                      .readdatavalid
		.i_reconfig_xcvr2_read           (_connected_to_i_reconfig_xcvr2_read_),           //   input,    width = 1,                      .read
		.i_reconfig_xcvr2_write          (_connected_to_i_reconfig_xcvr2_write_),          //   input,    width = 1,                      .write
		.o_reconfig_xcvr2_readdata       (_connected_to_o_reconfig_xcvr2_readdata_),       //  output,   width = 32,                      .readdata
		.i_reconfig_xcvr2_writedata      (_connected_to_i_reconfig_xcvr2_writedata_),      //   input,   width = 32,                      .writedata
		.o_reconfig_xcvr2_waitrequest    (_connected_to_o_reconfig_xcvr2_waitrequest_),    //  output,    width = 1,                      .waitrequest
		.i_reconfig_xcvr3_addr           (_connected_to_i_reconfig_xcvr3_addr_),           //   input,   width = 18, reconfig_xcvr_slave_3.address
		.i_reconfig_xcvr3_byteenable     (_connected_to_i_reconfig_xcvr3_byteenable_),     //   input,    width = 4,                      .byteenable
		.o_reconfig_xcvr3_readdata_valid (_connected_to_o_reconfig_xcvr3_readdata_valid_), //  output,    width = 1,                      .readdatavalid
		.i_reconfig_xcvr3_read           (_connected_to_i_reconfig_xcvr3_read_),           //   input,    width = 1,                      .read
		.i_reconfig_xcvr3_write          (_connected_to_i_reconfig_xcvr3_write_),          //   input,    width = 1,                      .write
		.o_reconfig_xcvr3_readdata       (_connected_to_o_reconfig_xcvr3_readdata_),       //  output,   width = 32,                      .readdata
		.i_reconfig_xcvr3_writedata      (_connected_to_i_reconfig_xcvr3_writedata_),      //   input,   width = 32,                      .writedata
		.o_reconfig_xcvr3_waitrequest    (_connected_to_o_reconfig_xcvr3_waitrequest_),    //  output,    width = 1,                      .waitrequest
		.i_clk_pll                       (_connected_to_i_clk_pll_)                        //   input,    width = 1,             i_clk_pll.clk
	);

