	component ex_100G is
		port (
			i_clk_tx                        : in  std_logic                      := 'X';             -- clk
			i_clk_rx                        : in  std_logic                      := 'X';             -- clk
			o_clk_pll                       : out std_logic;                                         -- clk
			i_reconfig_clk                  : in  std_logic                      := 'X';             -- clk
			i_reconfig_reset                : in  std_logic                      := 'X';             -- reset
			o_sys_pll_locked                : out std_logic;                                         -- o_sys_pll_locked
			o_tx_serial                     : out std_logic_vector(3 downto 0);                      -- o_tx_serial
			i_rx_serial                     : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- i_rx_serial
			o_tx_serial_n                   : out std_logic_vector(3 downto 0);                      -- o_tx_serial_n
			i_rx_serial_n                   : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- i_rx_serial_n
			i_clk_ref                       : in  std_logic                      := 'X';             -- clk
			i_clk_sys                       : in  std_logic                      := 'X';             -- clk
			i_reconfig_eth_addr             : in  std_logic_vector(13 downto 0)  := (others => 'X'); -- address
			i_reconfig_eth_byteenable       : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- byteenable
			o_reconfig_eth_readdata_valid   : out std_logic;                                         -- readdatavalid
			i_reconfig_eth_read             : in  std_logic                      := 'X';             -- read
			i_reconfig_eth_write            : in  std_logic                      := 'X';             -- write
			o_reconfig_eth_readdata         : out std_logic_vector(31 downto 0);                     -- readdata
			i_reconfig_eth_writedata        : in  std_logic_vector(31 downto 0)  := (others => 'X'); -- writedata
			o_reconfig_eth_waitrequest      : out std_logic;                                         -- waitrequest
			i_rst_n                         : in  std_logic                      := 'X';             -- reset_n
			i_tx_rst_n                      : in  std_logic                      := 'X';             -- reset_n
			i_rx_rst_n                      : in  std_logic                      := 'X';             -- reset_n
			o_rst_ack_n                     : out std_logic;                                         -- o_rst_ack_n
			o_tx_rst_ack_n                  : out std_logic;                                         -- o_tx_rst_ack_n
			o_rx_rst_ack_n                  : out std_logic;                                         -- o_rx_rst_ack_n
			o_cdr_lock                      : out std_logic;                                         -- o_cdr_lock
			o_tx_pll_locked                 : out std_logic;                                         -- o_tx_pll_locked
			o_tx_lanes_stable               : out std_logic;                                         -- o_tx_lanes_stable
			o_rx_pcs_ready                  : out std_logic;                                         -- o_rx_pcs_ready
			o_clk_tx_div                    : out std_logic;                                         -- clk
			o_clk_rec_div64                 : out std_logic;                                         -- clk
			o_clk_rec_div                   : out std_logic;                                         -- clk
			o_rx_block_lock                 : out std_logic;                                         -- o_rx_block_lock
			o_rx_am_lock                    : out std_logic;                                         -- o_rx_am_lock
			o_local_fault_status            : out std_logic;                                         -- o_local_fault_status
			o_remote_fault_status           : out std_logic;                                         -- o_remote_fault_status
			i_stats_snapshot                : in  std_logic                      := 'X';             -- i_stats_snapshot
			o_rx_hi_ber                     : out std_logic;                                         -- o_rx_hi_ber
			o_rx_pcs_fully_aligned          : out std_logic;                                         -- o_rx_pcs_fully_aligned
			i_tx_data                       : in  std_logic_vector(511 downto 0) := (others => 'X'); -- data
			i_tx_valid                      : in  std_logic                      := 'X';             -- valid
			i_tx_startofpacket              : in  std_logic                      := 'X';             -- startofpacket
			i_tx_endofpacket                : in  std_logic                      := 'X';             -- endofpacket
			i_tx_error                      : in  std_logic                      := 'X';             -- error
			o_tx_ready                      : out std_logic;                                         -- ready
			i_tx_empty                      : in  std_logic_vector(5 downto 0)   := (others => 'X'); -- empty
			i_tx_skip_crc                   : in  std_logic                      := 'X';             -- i_tx_skip_crc
			o_rx_data                       : out std_logic_vector(511 downto 0);                    -- data
			o_rx_valid                      : out std_logic;                                         -- valid
			o_rx_startofpacket              : out std_logic;                                         -- startofpacket
			o_rx_endofpacket                : out std_logic;                                         -- endofpacket
			o_rx_error                      : out std_logic_vector(5 downto 0);                      -- error
			o_rx_empty                      : out std_logic_vector(5 downto 0);                      -- empty
			o_rxstatus_data                 : out std_logic_vector(39 downto 0);                     -- o_rxstatus_data
			o_rxstatus_valid                : out std_logic;                                         -- o_rxstatus_valid
			i_tx_pfc                        : in  std_logic_vector(7 downto 0)   := (others => 'X'); -- i_tx_pfc
			o_rx_pfc                        : out std_logic_vector(7 downto 0);                      -- o_rx_pfc
			i_tx_pause                      : in  std_logic                      := 'X';             -- i_tx_pause
			o_rx_pause                      : out std_logic;                                         -- o_rx_pause
			i_reconfig_xcvr0_addr           : in  std_logic_vector(17 downto 0)  := (others => 'X'); -- address
			i_reconfig_xcvr0_byteenable     : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- byteenable
			o_reconfig_xcvr0_readdata_valid : out std_logic;                                         -- readdatavalid
			i_reconfig_xcvr0_read           : in  std_logic                      := 'X';             -- read
			i_reconfig_xcvr0_write          : in  std_logic                      := 'X';             -- write
			o_reconfig_xcvr0_readdata       : out std_logic_vector(31 downto 0);                     -- readdata
			i_reconfig_xcvr0_writedata      : in  std_logic_vector(31 downto 0)  := (others => 'X'); -- writedata
			o_reconfig_xcvr0_waitrequest    : out std_logic;                                         -- waitrequest
			i_reconfig_xcvr1_addr           : in  std_logic_vector(17 downto 0)  := (others => 'X'); -- address
			i_reconfig_xcvr1_byteenable     : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- byteenable
			o_reconfig_xcvr1_readdata_valid : out std_logic;                                         -- readdatavalid
			i_reconfig_xcvr1_read           : in  std_logic                      := 'X';             -- read
			i_reconfig_xcvr1_write          : in  std_logic                      := 'X';             -- write
			o_reconfig_xcvr1_readdata       : out std_logic_vector(31 downto 0);                     -- readdata
			i_reconfig_xcvr1_writedata      : in  std_logic_vector(31 downto 0)  := (others => 'X'); -- writedata
			o_reconfig_xcvr1_waitrequest    : out std_logic;                                         -- waitrequest
			i_reconfig_xcvr2_addr           : in  std_logic_vector(17 downto 0)  := (others => 'X'); -- address
			i_reconfig_xcvr2_byteenable     : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- byteenable
			o_reconfig_xcvr2_readdata_valid : out std_logic;                                         -- readdatavalid
			i_reconfig_xcvr2_read           : in  std_logic                      := 'X';             -- read
			i_reconfig_xcvr2_write          : in  std_logic                      := 'X';             -- write
			o_reconfig_xcvr2_readdata       : out std_logic_vector(31 downto 0);                     -- readdata
			i_reconfig_xcvr2_writedata      : in  std_logic_vector(31 downto 0)  := (others => 'X'); -- writedata
			o_reconfig_xcvr2_waitrequest    : out std_logic;                                         -- waitrequest
			i_reconfig_xcvr3_addr           : in  std_logic_vector(17 downto 0)  := (others => 'X'); -- address
			i_reconfig_xcvr3_byteenable     : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- byteenable
			o_reconfig_xcvr3_readdata_valid : out std_logic;                                         -- readdatavalid
			i_reconfig_xcvr3_read           : in  std_logic                      := 'X';             -- read
			i_reconfig_xcvr3_write          : in  std_logic                      := 'X';             -- write
			o_reconfig_xcvr3_readdata       : out std_logic_vector(31 downto 0);                     -- readdata
			i_reconfig_xcvr3_writedata      : in  std_logic_vector(31 downto 0)  := (others => 'X'); -- writedata
			o_reconfig_xcvr3_waitrequest    : out std_logic;                                         -- waitrequest
			i_clk_pll                       : in  std_logic                      := 'X'              -- clk
		);
	end component ex_100G;

	u0 : component ex_100G
		port map (
			i_clk_tx                        => CONNECTED_TO_i_clk_tx,                        --              i_tx_clk.clk
			i_clk_rx                        => CONNECTED_TO_i_clk_rx,                        --              i_rx_clk.clk
			o_clk_pll                       => CONNECTED_TO_o_clk_pll,                       --             o_clk_pll.clk
			i_reconfig_clk                  => CONNECTED_TO_i_reconfig_clk,                  --        i_reconfig_clk.clk
			i_reconfig_reset                => CONNECTED_TO_i_reconfig_reset,                --      i_reconfig_reset.reset
			o_sys_pll_locked                => CONNECTED_TO_o_sys_pll_locked,                --      o_sys_pll_locked.o_sys_pll_locked
			o_tx_serial                     => CONNECTED_TO_o_tx_serial,                     --                serial.o_tx_serial
			i_rx_serial                     => CONNECTED_TO_i_rx_serial,                     --                      .i_rx_serial
			o_tx_serial_n                   => CONNECTED_TO_o_tx_serial_n,                   --                      .o_tx_serial_n
			i_rx_serial_n                   => CONNECTED_TO_i_rx_serial_n,                   --                      .i_rx_serial_n
			i_clk_ref                       => CONNECTED_TO_i_clk_ref,                       --             i_clk_ref.clk
			i_clk_sys                       => CONNECTED_TO_i_clk_sys,                       --             i_clk_sys.clk
			i_reconfig_eth_addr             => CONNECTED_TO_i_reconfig_eth_addr,             --    reconfig_eth_slave.address
			i_reconfig_eth_byteenable       => CONNECTED_TO_i_reconfig_eth_byteenable,       --                      .byteenable
			o_reconfig_eth_readdata_valid   => CONNECTED_TO_o_reconfig_eth_readdata_valid,   --                      .readdatavalid
			i_reconfig_eth_read             => CONNECTED_TO_i_reconfig_eth_read,             --                      .read
			i_reconfig_eth_write            => CONNECTED_TO_i_reconfig_eth_write,            --                      .write
			o_reconfig_eth_readdata         => CONNECTED_TO_o_reconfig_eth_readdata,         --                      .readdata
			i_reconfig_eth_writedata        => CONNECTED_TO_i_reconfig_eth_writedata,        --                      .writedata
			o_reconfig_eth_waitrequest      => CONNECTED_TO_o_reconfig_eth_waitrequest,      --                      .waitrequest
			i_rst_n                         => CONNECTED_TO_i_rst_n,                         --               i_rst_n.reset_n
			i_tx_rst_n                      => CONNECTED_TO_i_tx_rst_n,                      --            i_tx_rst_n.reset_n
			i_rx_rst_n                      => CONNECTED_TO_i_rx_rst_n,                      --            i_rx_rst_n.reset_n
			o_rst_ack_n                     => CONNECTED_TO_o_rst_ack_n,                     --    reset_status_ports.o_rst_ack_n
			o_tx_rst_ack_n                  => CONNECTED_TO_o_tx_rst_ack_n,                  --                      .o_tx_rst_ack_n
			o_rx_rst_ack_n                  => CONNECTED_TO_o_rx_rst_ack_n,                  --                      .o_rx_rst_ack_n
			o_cdr_lock                      => CONNECTED_TO_o_cdr_lock,                      --    clock_status_ports.o_cdr_lock
			o_tx_pll_locked                 => CONNECTED_TO_o_tx_pll_locked,                 --                      .o_tx_pll_locked
			o_tx_lanes_stable               => CONNECTED_TO_o_tx_lanes_stable,               --                      .o_tx_lanes_stable
			o_rx_pcs_ready                  => CONNECTED_TO_o_rx_pcs_ready,                  --                      .o_rx_pcs_ready
			o_clk_tx_div                    => CONNECTED_TO_o_clk_tx_div,                    --            clk_tx_div.clk
			o_clk_rec_div64                 => CONNECTED_TO_o_clk_rec_div64,                 --         clk_rec_div64.clk
			o_clk_rec_div                   => CONNECTED_TO_o_clk_rec_div,                   --           clk_rec_div.clk
			o_rx_block_lock                 => CONNECTED_TO_o_rx_block_lock,                 --          status_ports.o_rx_block_lock
			o_rx_am_lock                    => CONNECTED_TO_o_rx_am_lock,                    --                      .o_rx_am_lock
			o_local_fault_status            => CONNECTED_TO_o_local_fault_status,            --                      .o_local_fault_status
			o_remote_fault_status           => CONNECTED_TO_o_remote_fault_status,           --                      .o_remote_fault_status
			i_stats_snapshot                => CONNECTED_TO_i_stats_snapshot,                --                      .i_stats_snapshot
			o_rx_hi_ber                     => CONNECTED_TO_o_rx_hi_ber,                     --                      .o_rx_hi_ber
			o_rx_pcs_fully_aligned          => CONNECTED_TO_o_rx_pcs_fully_aligned,          --                      .o_rx_pcs_fully_aligned
			i_tx_data                       => CONNECTED_TO_i_tx_data,                       --          tx_streaming.data
			i_tx_valid                      => CONNECTED_TO_i_tx_valid,                      --                      .valid
			i_tx_startofpacket              => CONNECTED_TO_i_tx_startofpacket,              --                      .startofpacket
			i_tx_endofpacket                => CONNECTED_TO_i_tx_endofpacket,                --                      .endofpacket
			i_tx_error                      => CONNECTED_TO_i_tx_error,                      --                      .error
			o_tx_ready                      => CONNECTED_TO_o_tx_ready,                      --                      .ready
			i_tx_empty                      => CONNECTED_TO_i_tx_empty,                      --                      .empty
			i_tx_skip_crc                   => CONNECTED_TO_i_tx_skip_crc,                   --              tx_ports.i_tx_skip_crc
			o_rx_data                       => CONNECTED_TO_o_rx_data,                       --          rx_streaming.data
			o_rx_valid                      => CONNECTED_TO_o_rx_valid,                      --                      .valid
			o_rx_startofpacket              => CONNECTED_TO_o_rx_startofpacket,              --                      .startofpacket
			o_rx_endofpacket                => CONNECTED_TO_o_rx_endofpacket,                --                      .endofpacket
			o_rx_error                      => CONNECTED_TO_o_rx_error,                      --                      .error
			o_rx_empty                      => CONNECTED_TO_o_rx_empty,                      --                      .empty
			o_rxstatus_data                 => CONNECTED_TO_o_rxstatus_data,                 --              rx_ports.o_rxstatus_data
			o_rxstatus_valid                => CONNECTED_TO_o_rxstatus_valid,                --                      .o_rxstatus_valid
			i_tx_pfc                        => CONNECTED_TO_i_tx_pfc,                        --             pfc_ports.i_tx_pfc
			o_rx_pfc                        => CONNECTED_TO_o_rx_pfc,                        --                      .o_rx_pfc
			i_tx_pause                      => CONNECTED_TO_i_tx_pause,                      --             sfc_ports.i_tx_pause
			o_rx_pause                      => CONNECTED_TO_o_rx_pause,                      --                      .o_rx_pause
			i_reconfig_xcvr0_addr           => CONNECTED_TO_i_reconfig_xcvr0_addr,           -- reconfig_xcvr_slave_0.address
			i_reconfig_xcvr0_byteenable     => CONNECTED_TO_i_reconfig_xcvr0_byteenable,     --                      .byteenable
			o_reconfig_xcvr0_readdata_valid => CONNECTED_TO_o_reconfig_xcvr0_readdata_valid, --                      .readdatavalid
			i_reconfig_xcvr0_read           => CONNECTED_TO_i_reconfig_xcvr0_read,           --                      .read
			i_reconfig_xcvr0_write          => CONNECTED_TO_i_reconfig_xcvr0_write,          --                      .write
			o_reconfig_xcvr0_readdata       => CONNECTED_TO_o_reconfig_xcvr0_readdata,       --                      .readdata
			i_reconfig_xcvr0_writedata      => CONNECTED_TO_i_reconfig_xcvr0_writedata,      --                      .writedata
			o_reconfig_xcvr0_waitrequest    => CONNECTED_TO_o_reconfig_xcvr0_waitrequest,    --                      .waitrequest
			i_reconfig_xcvr1_addr           => CONNECTED_TO_i_reconfig_xcvr1_addr,           -- reconfig_xcvr_slave_1.address
			i_reconfig_xcvr1_byteenable     => CONNECTED_TO_i_reconfig_xcvr1_byteenable,     --                      .byteenable
			o_reconfig_xcvr1_readdata_valid => CONNECTED_TO_o_reconfig_xcvr1_readdata_valid, --                      .readdatavalid
			i_reconfig_xcvr1_read           => CONNECTED_TO_i_reconfig_xcvr1_read,           --                      .read
			i_reconfig_xcvr1_write          => CONNECTED_TO_i_reconfig_xcvr1_write,          --                      .write
			o_reconfig_xcvr1_readdata       => CONNECTED_TO_o_reconfig_xcvr1_readdata,       --                      .readdata
			i_reconfig_xcvr1_writedata      => CONNECTED_TO_i_reconfig_xcvr1_writedata,      --                      .writedata
			o_reconfig_xcvr1_waitrequest    => CONNECTED_TO_o_reconfig_xcvr1_waitrequest,    --                      .waitrequest
			i_reconfig_xcvr2_addr           => CONNECTED_TO_i_reconfig_xcvr2_addr,           -- reconfig_xcvr_slave_2.address
			i_reconfig_xcvr2_byteenable     => CONNECTED_TO_i_reconfig_xcvr2_byteenable,     --                      .byteenable
			o_reconfig_xcvr2_readdata_valid => CONNECTED_TO_o_reconfig_xcvr2_readdata_valid, --                      .readdatavalid
			i_reconfig_xcvr2_read           => CONNECTED_TO_i_reconfig_xcvr2_read,           --                      .read
			i_reconfig_xcvr2_write          => CONNECTED_TO_i_reconfig_xcvr2_write,          --                      .write
			o_reconfig_xcvr2_readdata       => CONNECTED_TO_o_reconfig_xcvr2_readdata,       --                      .readdata
			i_reconfig_xcvr2_writedata      => CONNECTED_TO_i_reconfig_xcvr2_writedata,      --                      .writedata
			o_reconfig_xcvr2_waitrequest    => CONNECTED_TO_o_reconfig_xcvr2_waitrequest,    --                      .waitrequest
			i_reconfig_xcvr3_addr           => CONNECTED_TO_i_reconfig_xcvr3_addr,           -- reconfig_xcvr_slave_3.address
			i_reconfig_xcvr3_byteenable     => CONNECTED_TO_i_reconfig_xcvr3_byteenable,     --                      .byteenable
			o_reconfig_xcvr3_readdata_valid => CONNECTED_TO_o_reconfig_xcvr3_readdata_valid, --                      .readdatavalid
			i_reconfig_xcvr3_read           => CONNECTED_TO_i_reconfig_xcvr3_read,           --                      .read
			i_reconfig_xcvr3_write          => CONNECTED_TO_i_reconfig_xcvr3_write,          --                      .write
			o_reconfig_xcvr3_readdata       => CONNECTED_TO_o_reconfig_xcvr3_readdata,       --                      .readdata
			i_reconfig_xcvr3_writedata      => CONNECTED_TO_i_reconfig_xcvr3_writedata,      --                      .writedata
			o_reconfig_xcvr3_waitrequest    => CONNECTED_TO_o_reconfig_xcvr3_waitrequest,    --                      .waitrequest
			i_clk_pll                       => CONNECTED_TO_i_clk_pll                        --             i_clk_pll.clk
		);

