module Qsys (
		input  wire [1:0]  button_external_connection_export,               //               button_external_connection.export
		input  wire        clk_clk,                                         //                                      clk.clk
		output wire        ddr4_local_reset_req_external_connection_export, // ddr4_local_reset_req_external_connection.export
		input  wire [5:0]  ddr4_status_external_connection_export,          //          ddr4_status_external_connection.export
		input  wire        emif_ddr4a_local_reset_req_local_reset_req,      //               emif_ddr4a_local_reset_req.local_reset_req
		output wire        emif_ddr4a_local_reset_status_local_reset_done,  //            emif_ddr4a_local_reset_status.local_reset_done
		input  wire        emif_ddr4a_pll_ref_clk_clk,                      //                   emif_ddr4a_pll_ref_clk.clk
		input  wire        emif_ddr4a_oct_oct_rzqin,                        //                           emif_ddr4a_oct.oct_rzqin
		output wire [0:0]  emif_ddr4a_mem_mem_ck,                           //                           emif_ddr4a_mem.mem_ck
		output wire [0:0]  emif_ddr4a_mem_mem_ck_n,                         //                                         .mem_ck_n
		output wire [16:0] emif_ddr4a_mem_mem_a,                            //                                         .mem_a
		output wire [0:0]  emif_ddr4a_mem_mem_act_n,                        //                                         .mem_act_n
		output wire [1:0]  emif_ddr4a_mem_mem_ba,                           //                                         .mem_ba
		output wire [1:0]  emif_ddr4a_mem_mem_bg,                           //                                         .mem_bg
		output wire [0:0]  emif_ddr4a_mem_mem_cke,                          //                                         .mem_cke
		output wire [0:0]  emif_ddr4a_mem_mem_cs_n,                         //                                         .mem_cs_n
		output wire [0:0]  emif_ddr4a_mem_mem_odt,                          //                                         .mem_odt
		output wire [0:0]  emif_ddr4a_mem_mem_reset_n,                      //                                         .mem_reset_n
		output wire [0:0]  emif_ddr4a_mem_mem_par,                          //                                         .mem_par
		input  wire [0:0]  emif_ddr4a_mem_mem_alert_n,                      //                                         .mem_alert_n
		inout  wire [8:0]  emif_ddr4a_mem_mem_dqs,                          //                                         .mem_dqs
		inout  wire [8:0]  emif_ddr4a_mem_mem_dqs_n,                        //                                         .mem_dqs_n
		inout  wire [71:0] emif_ddr4a_mem_mem_dq,                           //                                         .mem_dq
		inout  wire [8:0]  emif_ddr4a_mem_mem_dbi_n,                        //                                         .mem_dbi_n
		output wire        emif_ddr4a_status_local_cal_success,             //                        emif_ddr4a_status.local_cal_success
		output wire        emif_ddr4a_status_local_cal_fail,                //                                         .local_cal_fail
		input  wire        emif_ddr4b_local_reset_req_local_reset_req,      //               emif_ddr4b_local_reset_req.local_reset_req
		output wire        emif_ddr4b_local_reset_status_local_reset_done,  //            emif_ddr4b_local_reset_status.local_reset_done
		input  wire        emif_ddr4b_pll_ref_clk_clk,                      //                   emif_ddr4b_pll_ref_clk.clk
		input  wire        emif_ddr4b_oct_oct_rzqin,                        //                           emif_ddr4b_oct.oct_rzqin
		output wire [0:0]  emif_ddr4b_mem_mem_ck,                           //                           emif_ddr4b_mem.mem_ck
		output wire [0:0]  emif_ddr4b_mem_mem_ck_n,                         //                                         .mem_ck_n
		output wire [16:0] emif_ddr4b_mem_mem_a,                            //                                         .mem_a
		output wire [0:0]  emif_ddr4b_mem_mem_act_n,                        //                                         .mem_act_n
		output wire [1:0]  emif_ddr4b_mem_mem_ba,                           //                                         .mem_ba
		output wire [0:0]  emif_ddr4b_mem_mem_bg,                           //                                         .mem_bg
		output wire [0:0]  emif_ddr4b_mem_mem_cke,                          //                                         .mem_cke
		output wire [0:0]  emif_ddr4b_mem_mem_cs_n,                         //                                         .mem_cs_n
		output wire [0:0]  emif_ddr4b_mem_mem_odt,                          //                                         .mem_odt
		output wire [0:0]  emif_ddr4b_mem_mem_reset_n,                      //                                         .mem_reset_n
		output wire [0:0]  emif_ddr4b_mem_mem_par,                          //                                         .mem_par
		input  wire [0:0]  emif_ddr4b_mem_mem_alert_n,                      //                                         .mem_alert_n
		inout  wire [8:0]  emif_ddr4b_mem_mem_dqs,                          //                                         .mem_dqs
		inout  wire [8:0]  emif_ddr4b_mem_mem_dqs_n,                        //                                         .mem_dqs_n
		inout  wire [71:0] emif_ddr4b_mem_mem_dq,                           //                                         .mem_dq
		inout  wire [8:0]  emif_ddr4b_mem_mem_dbi_n,                        //                                         .mem_dbi_n
		output wire        emif_ddr4b_status_local_cal_success,             //                        emif_ddr4b_status.local_cal_success
		output wire        emif_ddr4b_status_local_cal_fail,                //                                         .local_cal_fail
		output wire        iopll_locked_export,                             //                             iopll_locked.export
		output wire [1:0]  led_external_connection_export,                  //                  led_external_connection.export
		input  wire        reset_reset_n                                    //                                    reset.reset_n
	);
endmodule

