// Qsys.v

// Generated using ACDS version 22.3 104

`timescale 1 ps / 1 ps
module Qsys (
		input  wire [1:0]  button_external_connection_export,               //               button_external_connection.export
		input  wire        clk_clk,                                         //                                      clk.clk
		output wire        ddr4_local_reset_req_external_connection_export, // ddr4_local_reset_req_external_connection.export
		input  wire [5:0]  ddr4_status_external_connection_export,          //          ddr4_status_external_connection.export
		input  wire        emif_ddr4a_local_reset_req_local_reset_req,      //               emif_ddr4a_local_reset_req.local_reset_req
		output wire        emif_ddr4a_local_reset_status_local_reset_done,  //            emif_ddr4a_local_reset_status.local_reset_done
		input  wire        emif_ddr4a_pll_ref_clk_clk,                      //                   emif_ddr4a_pll_ref_clk.clk
		input  wire        emif_ddr4a_oct_oct_rzqin,                        //                           emif_ddr4a_oct.oct_rzqin
		output wire [0:0]  emif_ddr4a_mem_mem_ck,                           //                           emif_ddr4a_mem.mem_ck
		output wire [0:0]  emif_ddr4a_mem_mem_ck_n,                         //                                         .mem_ck_n
		output wire [16:0] emif_ddr4a_mem_mem_a,                            //                                         .mem_a
		output wire [0:0]  emif_ddr4a_mem_mem_act_n,                        //                                         .mem_act_n
		output wire [1:0]  emif_ddr4a_mem_mem_ba,                           //                                         .mem_ba
		output wire [1:0]  emif_ddr4a_mem_mem_bg,                           //                                         .mem_bg
		output wire [0:0]  emif_ddr4a_mem_mem_cke,                          //                                         .mem_cke
		output wire [0:0]  emif_ddr4a_mem_mem_cs_n,                         //                                         .mem_cs_n
		output wire [0:0]  emif_ddr4a_mem_mem_odt,                          //                                         .mem_odt
		output wire [0:0]  emif_ddr4a_mem_mem_reset_n,                      //                                         .mem_reset_n
		output wire [0:0]  emif_ddr4a_mem_mem_par,                          //                                         .mem_par
		input  wire [0:0]  emif_ddr4a_mem_mem_alert_n,                      //                                         .mem_alert_n
		inout  wire [8:0]  emif_ddr4a_mem_mem_dqs,                          //                                         .mem_dqs
		inout  wire [8:0]  emif_ddr4a_mem_mem_dqs_n,                        //                                         .mem_dqs_n
		inout  wire [71:0] emif_ddr4a_mem_mem_dq,                           //                                         .mem_dq
		inout  wire [8:0]  emif_ddr4a_mem_mem_dbi_n,                        //                                         .mem_dbi_n
		output wire        emif_ddr4a_status_local_cal_success,             //                        emif_ddr4a_status.local_cal_success
		output wire        emif_ddr4a_status_local_cal_fail,                //                                         .local_cal_fail
		input  wire        emif_ddr4b_local_reset_req_local_reset_req,      //               emif_ddr4b_local_reset_req.local_reset_req
		output wire        emif_ddr4b_local_reset_status_local_reset_done,  //            emif_ddr4b_local_reset_status.local_reset_done
		input  wire        emif_ddr4b_pll_ref_clk_clk,                      //                   emif_ddr4b_pll_ref_clk.clk
		input  wire        emif_ddr4b_oct_oct_rzqin,                        //                           emif_ddr4b_oct.oct_rzqin
		output wire [0:0]  emif_ddr4b_mem_mem_ck,                           //                           emif_ddr4b_mem.mem_ck
		output wire [0:0]  emif_ddr4b_mem_mem_ck_n,                         //                                         .mem_ck_n
		output wire [16:0] emif_ddr4b_mem_mem_a,                            //                                         .mem_a
		output wire [0:0]  emif_ddr4b_mem_mem_act_n,                        //                                         .mem_act_n
		output wire [1:0]  emif_ddr4b_mem_mem_ba,                           //                                         .mem_ba
		output wire [0:0]  emif_ddr4b_mem_mem_bg,                           //                                         .mem_bg
		output wire [0:0]  emif_ddr4b_mem_mem_cke,                          //                                         .mem_cke
		output wire [0:0]  emif_ddr4b_mem_mem_cs_n,                         //                                         .mem_cs_n
		output wire [0:0]  emif_ddr4b_mem_mem_odt,                          //                                         .mem_odt
		output wire [0:0]  emif_ddr4b_mem_mem_reset_n,                      //                                         .mem_reset_n
		output wire [0:0]  emif_ddr4b_mem_mem_par,                          //                                         .mem_par
		input  wire [0:0]  emif_ddr4b_mem_mem_alert_n,                      //                                         .mem_alert_n
		inout  wire [8:0]  emif_ddr4b_mem_mem_dqs,                          //                                         .mem_dqs
		inout  wire [8:0]  emif_ddr4b_mem_mem_dqs_n,                        //                                         .mem_dqs_n
		inout  wire [71:0] emif_ddr4b_mem_mem_dq,                           //                                         .mem_dq
		inout  wire [8:0]  emif_ddr4b_mem_mem_dbi_n,                        //                                         .mem_dbi_n
		output wire        emif_ddr4b_status_local_cal_success,             //                        emif_ddr4b_status.local_cal_success
		output wire        emif_ddr4b_status_local_cal_fail,                //                                         .local_cal_fail
		output wire        iopll_locked_export,                             //                             iopll_locked.export
		output wire [1:0]  led_external_connection_export,                  //                  led_external_connection.export
		input  wire        reset_reset_n                                    //                                    reset.reset_n
	);

	wire           emif_cal_ddr4a_emif_calbus_clk_clk;                                     // emif_cal_ddr4a:calbus_clk -> emif_ddr4a:calbus_clk
	wire           emif_cal_ddr4b_emif_calbus_clk_clk;                                     // emif_cal_ddr4b:calbus_clk -> emif_ddr4b:calbus_clk
	wire           clock_in_out_clk_clk;                                                   // clock_in:out_clk -> [button:clk, ddr4_local_reset_req:clk, ddr4_status:clk, iopll:refclk, irq_synchronizer:receiver_clk, irq_synchronizer_001:receiver_clk, jtag_uart:clk, led:clk, mm_ccb:m0_clk, mm_interconnect_2:clock_in_out_clk_clk, reset_in:clk, rst_controller_008:clk, sysid_qsys:clock, timer:clk]
	wire           iopll_outclk0_clk;                                                      // iopll:outclk_0 -> [address_span_extender_0:clk, intel_onchip_memory:clk, irq_mapper:clk, irq_synchronizer:sender_clk, irq_synchronizer_001:sender_clk, mm_ccb:s0_clk, mm_interconnect_0:iopll_outclk0_clk, mm_interconnect_1:iopll_outclk0_clk, nios2_gen2:clk, rst_controller:clk, rst_controller_001:clk, rst_controller_002:clk, rst_controller_003:clk, rst_controller_004:clk, rst_controller_005:clk]
	wire    [31:0] emif_cal_ddr4a_emif_calbus_0_calbus_wdata;                              // emif_cal_ddr4a:calbus_wdata_0 -> emif_ddr4a:calbus_wdata
	wire    [19:0] emif_cal_ddr4a_emif_calbus_0_calbus_address;                            // emif_cal_ddr4a:calbus_address_0 -> emif_ddr4a:calbus_address
	wire  [4095:0] emif_ddr4a_emif_calbus_calbus_seq_param_tbl;                            // emif_ddr4a:calbus_seq_param_tbl -> emif_cal_ddr4a:calbus_seq_param_tbl_0
	wire           emif_cal_ddr4a_emif_calbus_0_calbus_read;                               // emif_cal_ddr4a:calbus_read_0 -> emif_ddr4a:calbus_read
	wire           emif_cal_ddr4a_emif_calbus_0_calbus_write;                              // emif_cal_ddr4a:calbus_write_0 -> emif_ddr4a:calbus_write
	wire    [31:0] emif_ddr4a_emif_calbus_calbus_rdata;                                    // emif_ddr4a:calbus_rdata -> emif_cal_ddr4a:calbus_rdata_0
	wire    [31:0] emif_cal_ddr4b_emif_calbus_0_calbus_wdata;                              // emif_cal_ddr4b:calbus_wdata_0 -> emif_ddr4b:calbus_wdata
	wire    [19:0] emif_cal_ddr4b_emif_calbus_0_calbus_address;                            // emif_cal_ddr4b:calbus_address_0 -> emif_ddr4b:calbus_address
	wire  [4095:0] emif_ddr4b_emif_calbus_calbus_seq_param_tbl;                            // emif_ddr4b:calbus_seq_param_tbl -> emif_cal_ddr4b:calbus_seq_param_tbl_0
	wire           emif_cal_ddr4b_emif_calbus_0_calbus_read;                               // emif_cal_ddr4b:calbus_read_0 -> emif_ddr4b:calbus_read
	wire           emif_cal_ddr4b_emif_calbus_0_calbus_write;                              // emif_cal_ddr4b:calbus_write_0 -> emif_ddr4b:calbus_write
	wire    [31:0] emif_ddr4b_emif_calbus_calbus_rdata;                                    // emif_ddr4b:calbus_rdata -> emif_cal_ddr4b:calbus_rdata_0
	wire           reset_in_out_reset_reset;                                               // reset_in:out_reset_n -> [button:reset_n, ddr4_local_reset_req:reset_n, ddr4_status:reset_n, iopll:rst, irq_synchronizer:receiver_reset, irq_synchronizer_001:receiver_reset, jtag_uart:rst_n, led:reset_n, mm_ccb:m0_reset, rst_controller:reset_in0, rst_controller_002:reset_in1, rst_controller_003:reset_in1, rst_controller_004:reset_in0, rst_controller_008:reset_in0, sysid_qsys:reset_n, timer:reset_n]
	wire    [31:0] nios2_gen2_data_master_readdata;                                        // mm_interconnect_0:nios2_gen2_data_master_readdata -> nios2_gen2:d_readdata
	wire           nios2_gen2_data_master_waitrequest;                                     // mm_interconnect_0:nios2_gen2_data_master_waitrequest -> nios2_gen2:d_waitrequest
	wire           nios2_gen2_data_master_debugaccess;                                     // nios2_gen2:debug_mem_slave_debugaccess_to_roms -> mm_interconnect_0:nios2_gen2_data_master_debugaccess
	wire    [30:0] nios2_gen2_data_master_address;                                         // nios2_gen2:d_address -> mm_interconnect_0:nios2_gen2_data_master_address
	wire     [3:0] nios2_gen2_data_master_byteenable;                                      // nios2_gen2:d_byteenable -> mm_interconnect_0:nios2_gen2_data_master_byteenable
	wire           nios2_gen2_data_master_read;                                            // nios2_gen2:d_read -> mm_interconnect_0:nios2_gen2_data_master_read
	wire           nios2_gen2_data_master_readdatavalid;                                   // mm_interconnect_0:nios2_gen2_data_master_readdatavalid -> nios2_gen2:d_readdatavalid
	wire           nios2_gen2_data_master_write;                                           // nios2_gen2:d_write -> mm_interconnect_0:nios2_gen2_data_master_write
	wire    [31:0] nios2_gen2_data_master_writedata;                                       // nios2_gen2:d_writedata -> mm_interconnect_0:nios2_gen2_data_master_writedata
	wire    [31:0] nios2_gen2_instruction_master_readdata;                                 // mm_interconnect_0:nios2_gen2_instruction_master_readdata -> nios2_gen2:i_readdata
	wire           nios2_gen2_instruction_master_waitrequest;                              // mm_interconnect_0:nios2_gen2_instruction_master_waitrequest -> nios2_gen2:i_waitrequest
	wire    [30:0] nios2_gen2_instruction_master_address;                                  // nios2_gen2:i_address -> mm_interconnect_0:nios2_gen2_instruction_master_address
	wire           nios2_gen2_instruction_master_read;                                     // nios2_gen2:i_read -> mm_interconnect_0:nios2_gen2_instruction_master_read
	wire           nios2_gen2_instruction_master_readdatavalid;                            // mm_interconnect_0:nios2_gen2_instruction_master_readdatavalid -> nios2_gen2:i_readdatavalid
	wire    [63:0] mm_interconnect_0_address_span_extender_0_cntl_readdata;                // address_span_extender_0:avs_cntl_readdata -> mm_interconnect_0:address_span_extender_0_cntl_readdata
	wire           mm_interconnect_0_address_span_extender_0_cntl_read;                    // mm_interconnect_0:address_span_extender_0_cntl_read -> address_span_extender_0:avs_cntl_read
	wire     [7:0] mm_interconnect_0_address_span_extender_0_cntl_byteenable;              // mm_interconnect_0:address_span_extender_0_cntl_byteenable -> address_span_extender_0:avs_cntl_byteenable
	wire           mm_interconnect_0_address_span_extender_0_cntl_write;                   // mm_interconnect_0:address_span_extender_0_cntl_write -> address_span_extender_0:avs_cntl_write
	wire    [63:0] mm_interconnect_0_address_span_extender_0_cntl_writedata;               // mm_interconnect_0:address_span_extender_0_cntl_writedata -> address_span_extender_0:avs_cntl_writedata
	wire    [31:0] mm_interconnect_0_nios2_gen2_debug_mem_slave_readdata;                  // nios2_gen2:debug_mem_slave_readdata -> mm_interconnect_0:nios2_gen2_debug_mem_slave_readdata
	wire           mm_interconnect_0_nios2_gen2_debug_mem_slave_waitrequest;               // nios2_gen2:debug_mem_slave_waitrequest -> mm_interconnect_0:nios2_gen2_debug_mem_slave_waitrequest
	wire           mm_interconnect_0_nios2_gen2_debug_mem_slave_debugaccess;               // mm_interconnect_0:nios2_gen2_debug_mem_slave_debugaccess -> nios2_gen2:debug_mem_slave_debugaccess
	wire     [8:0] mm_interconnect_0_nios2_gen2_debug_mem_slave_address;                   // mm_interconnect_0:nios2_gen2_debug_mem_slave_address -> nios2_gen2:debug_mem_slave_address
	wire           mm_interconnect_0_nios2_gen2_debug_mem_slave_read;                      // mm_interconnect_0:nios2_gen2_debug_mem_slave_read -> nios2_gen2:debug_mem_slave_read
	wire     [3:0] mm_interconnect_0_nios2_gen2_debug_mem_slave_byteenable;                // mm_interconnect_0:nios2_gen2_debug_mem_slave_byteenable -> nios2_gen2:debug_mem_slave_byteenable
	wire           mm_interconnect_0_nios2_gen2_debug_mem_slave_write;                     // mm_interconnect_0:nios2_gen2_debug_mem_slave_write -> nios2_gen2:debug_mem_slave_write
	wire    [31:0] mm_interconnect_0_nios2_gen2_debug_mem_slave_writedata;                 // mm_interconnect_0:nios2_gen2_debug_mem_slave_writedata -> nios2_gen2:debug_mem_slave_writedata
	wire    [31:0] mm_interconnect_0_mm_ccb_s0_readdata;                                   // mm_ccb:s0_readdata -> mm_interconnect_0:mm_ccb_s0_readdata
	wire           mm_interconnect_0_mm_ccb_s0_waitrequest;                                // mm_ccb:s0_waitrequest -> mm_interconnect_0:mm_ccb_s0_waitrequest
	wire           mm_interconnect_0_mm_ccb_s0_debugaccess;                                // mm_interconnect_0:mm_ccb_s0_debugaccess -> mm_ccb:s0_debugaccess
	wire     [9:0] mm_interconnect_0_mm_ccb_s0_address;                                    // mm_interconnect_0:mm_ccb_s0_address -> mm_ccb:s0_address
	wire           mm_interconnect_0_mm_ccb_s0_read;                                       // mm_interconnect_0:mm_ccb_s0_read -> mm_ccb:s0_read
	wire     [3:0] mm_interconnect_0_mm_ccb_s0_byteenable;                                 // mm_interconnect_0:mm_ccb_s0_byteenable -> mm_ccb:s0_byteenable
	wire           mm_interconnect_0_mm_ccb_s0_readdatavalid;                              // mm_ccb:s0_readdatavalid -> mm_interconnect_0:mm_ccb_s0_readdatavalid
	wire           mm_interconnect_0_mm_ccb_s0_write;                                      // mm_interconnect_0:mm_ccb_s0_write -> mm_ccb:s0_write
	wire    [31:0] mm_interconnect_0_mm_ccb_s0_writedata;                                  // mm_interconnect_0:mm_ccb_s0_writedata -> mm_ccb:s0_writedata
	wire     [0:0] mm_interconnect_0_mm_ccb_s0_burstcount;                                 // mm_interconnect_0:mm_ccb_s0_burstcount -> mm_ccb:s0_burstcount
	wire    [31:0] mm_interconnect_0_intel_onchip_memory_s1_readdata;                      // intel_onchip_memory:readdata -> mm_interconnect_0:intel_onchip_memory_s1_readdata
	wire    [16:0] mm_interconnect_0_intel_onchip_memory_s1_address;                       // mm_interconnect_0:intel_onchip_memory_s1_address -> intel_onchip_memory:address
	wire           mm_interconnect_0_intel_onchip_memory_s1_read;                          // mm_interconnect_0:intel_onchip_memory_s1_read -> intel_onchip_memory:read
	wire     [3:0] mm_interconnect_0_intel_onchip_memory_s1_byteenable;                    // mm_interconnect_0:intel_onchip_memory_s1_byteenable -> intel_onchip_memory:byteenable
	wire           mm_interconnect_0_intel_onchip_memory_s1_write;                         // mm_interconnect_0:intel_onchip_memory_s1_write -> intel_onchip_memory:write
	wire    [31:0] mm_interconnect_0_intel_onchip_memory_s1_writedata;                     // mm_interconnect_0:intel_onchip_memory_s1_writedata -> intel_onchip_memory:writedata
	wire    [31:0] mm_interconnect_0_address_span_extender_0_windowed_slave_readdata;      // address_span_extender_0:avs_s0_readdata -> mm_interconnect_0:address_span_extender_0_windowed_slave_readdata
	wire           mm_interconnect_0_address_span_extender_0_windowed_slave_waitrequest;   // address_span_extender_0:avs_s0_waitrequest -> mm_interconnect_0:address_span_extender_0_windowed_slave_waitrequest
	wire    [27:0] mm_interconnect_0_address_span_extender_0_windowed_slave_address;       // mm_interconnect_0:address_span_extender_0_windowed_slave_address -> address_span_extender_0:avs_s0_address
	wire           mm_interconnect_0_address_span_extender_0_windowed_slave_read;          // mm_interconnect_0:address_span_extender_0_windowed_slave_read -> address_span_extender_0:avs_s0_read
	wire     [3:0] mm_interconnect_0_address_span_extender_0_windowed_slave_byteenable;    // mm_interconnect_0:address_span_extender_0_windowed_slave_byteenable -> address_span_extender_0:avs_s0_byteenable
	wire           mm_interconnect_0_address_span_extender_0_windowed_slave_readdatavalid; // address_span_extender_0:avs_s0_readdatavalid -> mm_interconnect_0:address_span_extender_0_windowed_slave_readdatavalid
	wire           mm_interconnect_0_address_span_extender_0_windowed_slave_write;         // mm_interconnect_0:address_span_extender_0_windowed_slave_write -> address_span_extender_0:avs_s0_write
	wire    [31:0] mm_interconnect_0_address_span_extender_0_windowed_slave_writedata;     // mm_interconnect_0:address_span_extender_0_windowed_slave_writedata -> address_span_extender_0:avs_s0_writedata
	wire     [0:0] mm_interconnect_0_address_span_extender_0_windowed_slave_burstcount;    // mm_interconnect_0:address_span_extender_0_windowed_slave_burstcount -> address_span_extender_0:avs_s0_burstcount
	wire           address_span_extender_0_expanded_master_waitrequest;                    // mm_interconnect_1:address_span_extender_0_expanded_master_waitrequest -> address_span_extender_0:avm_m0_waitrequest
	wire    [31:0] address_span_extender_0_expanded_master_readdata;                       // mm_interconnect_1:address_span_extender_0_expanded_master_readdata -> address_span_extender_0:avm_m0_readdata
	wire    [35:0] address_span_extender_0_expanded_master_address;                        // address_span_extender_0:avm_m0_address -> mm_interconnect_1:address_span_extender_0_expanded_master_address
	wire           address_span_extender_0_expanded_master_read;                           // address_span_extender_0:avm_m0_read -> mm_interconnect_1:address_span_extender_0_expanded_master_read
	wire     [3:0] address_span_extender_0_expanded_master_byteenable;                     // address_span_extender_0:avm_m0_byteenable -> mm_interconnect_1:address_span_extender_0_expanded_master_byteenable
	wire           address_span_extender_0_expanded_master_readdatavalid;                  // mm_interconnect_1:address_span_extender_0_expanded_master_readdatavalid -> address_span_extender_0:avm_m0_readdatavalid
	wire           address_span_extender_0_expanded_master_write;                          // address_span_extender_0:avm_m0_write -> mm_interconnect_1:address_span_extender_0_expanded_master_write
	wire    [31:0] address_span_extender_0_expanded_master_writedata;                      // address_span_extender_0:avm_m0_writedata -> mm_interconnect_1:address_span_extender_0_expanded_master_writedata
	wire     [0:0] address_span_extender_0_expanded_master_burstcount;                     // address_span_extender_0:avm_m0_burstcount -> mm_interconnect_1:address_span_extender_0_expanded_master_burstcount
	wire   [511:0] mm_interconnect_1_emif_ddr4a_ctrl_amm_0_readdata;                       // emif_ddr4a:amm_readdata_0 -> mm_interconnect_1:emif_ddr4a_ctrl_amm_0_readdata
	wire           mm_interconnect_1_emif_ddr4a_ctrl_amm_0_waitrequest;                    // emif_ddr4a:amm_ready_0 -> mm_interconnect_1:emif_ddr4a_ctrl_amm_0_waitrequest
	wire    [26:0] mm_interconnect_1_emif_ddr4a_ctrl_amm_0_address;                        // mm_interconnect_1:emif_ddr4a_ctrl_amm_0_address -> emif_ddr4a:amm_address_0
	wire           mm_interconnect_1_emif_ddr4a_ctrl_amm_0_read;                           // mm_interconnect_1:emif_ddr4a_ctrl_amm_0_read -> emif_ddr4a:amm_read_0
	wire    [63:0] mm_interconnect_1_emif_ddr4a_ctrl_amm_0_byteenable;                     // mm_interconnect_1:emif_ddr4a_ctrl_amm_0_byteenable -> emif_ddr4a:amm_byteenable_0
	wire           mm_interconnect_1_emif_ddr4a_ctrl_amm_0_readdatavalid;                  // emif_ddr4a:amm_readdatavalid_0 -> mm_interconnect_1:emif_ddr4a_ctrl_amm_0_readdatavalid
	wire           mm_interconnect_1_emif_ddr4a_ctrl_amm_0_write;                          // mm_interconnect_1:emif_ddr4a_ctrl_amm_0_write -> emif_ddr4a:amm_write_0
	wire   [511:0] mm_interconnect_1_emif_ddr4a_ctrl_amm_0_writedata;                      // mm_interconnect_1:emif_ddr4a_ctrl_amm_0_writedata -> emif_ddr4a:amm_writedata_0
	wire     [6:0] mm_interconnect_1_emif_ddr4a_ctrl_amm_0_burstcount;                     // mm_interconnect_1:emif_ddr4a_ctrl_amm_0_burstcount -> emif_ddr4a:amm_burstcount_0
	wire           emif_ddr4a_emif_usr_clk_clk;                                            // emif_ddr4a:emif_usr_clk -> [mm_interconnect_1:emif_ddr4a_emif_usr_clk_clk, rst_controller_006:clk]
	wire   [511:0] mm_interconnect_1_emif_ddr4b_ctrl_amm_0_readdata;                       // emif_ddr4b:amm_readdata_0 -> mm_interconnect_1:emif_ddr4b_ctrl_amm_0_readdata
	wire           mm_interconnect_1_emif_ddr4b_ctrl_amm_0_waitrequest;                    // emif_ddr4b:amm_ready_0 -> mm_interconnect_1:emif_ddr4b_ctrl_amm_0_waitrequest
	wire    [26:0] mm_interconnect_1_emif_ddr4b_ctrl_amm_0_address;                        // mm_interconnect_1:emif_ddr4b_ctrl_amm_0_address -> emif_ddr4b:amm_address_0
	wire           mm_interconnect_1_emif_ddr4b_ctrl_amm_0_read;                           // mm_interconnect_1:emif_ddr4b_ctrl_amm_0_read -> emif_ddr4b:amm_read_0
	wire    [63:0] mm_interconnect_1_emif_ddr4b_ctrl_amm_0_byteenable;                     // mm_interconnect_1:emif_ddr4b_ctrl_amm_0_byteenable -> emif_ddr4b:amm_byteenable_0
	wire           mm_interconnect_1_emif_ddr4b_ctrl_amm_0_readdatavalid;                  // emif_ddr4b:amm_readdatavalid_0 -> mm_interconnect_1:emif_ddr4b_ctrl_amm_0_readdatavalid
	wire           mm_interconnect_1_emif_ddr4b_ctrl_amm_0_write;                          // mm_interconnect_1:emif_ddr4b_ctrl_amm_0_write -> emif_ddr4b:amm_write_0
	wire   [511:0] mm_interconnect_1_emif_ddr4b_ctrl_amm_0_writedata;                      // mm_interconnect_1:emif_ddr4b_ctrl_amm_0_writedata -> emif_ddr4b:amm_writedata_0
	wire     [6:0] mm_interconnect_1_emif_ddr4b_ctrl_amm_0_burstcount;                     // mm_interconnect_1:emif_ddr4b_ctrl_amm_0_burstcount -> emif_ddr4b:amm_burstcount_0
	wire           emif_ddr4b_emif_usr_clk_clk;                                            // emif_ddr4b:emif_usr_clk -> [mm_interconnect_1:emif_ddr4b_emif_usr_clk_clk, rst_controller_007:clk]
	wire           mm_ccb_m0_waitrequest;                                                  // mm_interconnect_2:mm_ccb_m0_waitrequest -> mm_ccb:m0_waitrequest
	wire    [31:0] mm_ccb_m0_readdata;                                                     // mm_interconnect_2:mm_ccb_m0_readdata -> mm_ccb:m0_readdata
	wire           mm_ccb_m0_debugaccess;                                                  // mm_ccb:m0_debugaccess -> mm_interconnect_2:mm_ccb_m0_debugaccess
	wire     [9:0] mm_ccb_m0_address;                                                      // mm_ccb:m0_address -> mm_interconnect_2:mm_ccb_m0_address
	wire           mm_ccb_m0_read;                                                         // mm_ccb:m0_read -> mm_interconnect_2:mm_ccb_m0_read
	wire     [3:0] mm_ccb_m0_byteenable;                                                   // mm_ccb:m0_byteenable -> mm_interconnect_2:mm_ccb_m0_byteenable
	wire           mm_ccb_m0_readdatavalid;                                                // mm_interconnect_2:mm_ccb_m0_readdatavalid -> mm_ccb:m0_readdatavalid
	wire    [31:0] mm_ccb_m0_writedata;                                                    // mm_ccb:m0_writedata -> mm_interconnect_2:mm_ccb_m0_writedata
	wire           mm_ccb_m0_write;                                                        // mm_ccb:m0_write -> mm_interconnect_2:mm_ccb_m0_write
	wire     [0:0] mm_ccb_m0_burstcount;                                                   // mm_ccb:m0_burstcount -> mm_interconnect_2:mm_ccb_m0_burstcount
	wire           mm_interconnect_2_jtag_uart_avalon_jtag_slave_chipselect;               // mm_interconnect_2:jtag_uart_avalon_jtag_slave_chipselect -> jtag_uart:av_chipselect
	wire    [31:0] mm_interconnect_2_jtag_uart_avalon_jtag_slave_readdata;                 // jtag_uart:av_readdata -> mm_interconnect_2:jtag_uart_avalon_jtag_slave_readdata
	wire           mm_interconnect_2_jtag_uart_avalon_jtag_slave_waitrequest;              // jtag_uart:av_waitrequest -> mm_interconnect_2:jtag_uart_avalon_jtag_slave_waitrequest
	wire     [0:0] mm_interconnect_2_jtag_uart_avalon_jtag_slave_address;                  // mm_interconnect_2:jtag_uart_avalon_jtag_slave_address -> jtag_uart:av_address
	wire           mm_interconnect_2_jtag_uart_avalon_jtag_slave_read;                     // mm_interconnect_2:jtag_uart_avalon_jtag_slave_read -> jtag_uart:av_read_n
	wire           mm_interconnect_2_jtag_uart_avalon_jtag_slave_write;                    // mm_interconnect_2:jtag_uart_avalon_jtag_slave_write -> jtag_uart:av_write_n
	wire    [31:0] mm_interconnect_2_jtag_uart_avalon_jtag_slave_writedata;                // mm_interconnect_2:jtag_uart_avalon_jtag_slave_writedata -> jtag_uart:av_writedata
	wire    [31:0] mm_interconnect_2_sysid_qsys_control_slave_readdata;                    // sysid_qsys:readdata -> mm_interconnect_2:sysid_qsys_control_slave_readdata
	wire     [0:0] mm_interconnect_2_sysid_qsys_control_slave_address;                     // mm_interconnect_2:sysid_qsys_control_slave_address -> sysid_qsys:address
	wire           mm_interconnect_2_timer_s1_chipselect;                                  // mm_interconnect_2:timer_s1_chipselect -> timer:chipselect
	wire    [15:0] mm_interconnect_2_timer_s1_readdata;                                    // timer:readdata -> mm_interconnect_2:timer_s1_readdata
	wire     [2:0] mm_interconnect_2_timer_s1_address;                                     // mm_interconnect_2:timer_s1_address -> timer:address
	wire           mm_interconnect_2_timer_s1_write;                                       // mm_interconnect_2:timer_s1_write -> timer:write_n
	wire    [15:0] mm_interconnect_2_timer_s1_writedata;                                   // mm_interconnect_2:timer_s1_writedata -> timer:writedata
	wire    [31:0] mm_interconnect_2_button_s1_readdata;                                   // button:readdata -> mm_interconnect_2:button_s1_readdata
	wire     [1:0] mm_interconnect_2_button_s1_address;                                    // mm_interconnect_2:button_s1_address -> button:address
	wire           mm_interconnect_2_led_s1_chipselect;                                    // mm_interconnect_2:led_s1_chipselect -> led:chipselect
	wire    [31:0] mm_interconnect_2_led_s1_readdata;                                      // led:readdata -> mm_interconnect_2:led_s1_readdata
	wire     [1:0] mm_interconnect_2_led_s1_address;                                       // mm_interconnect_2:led_s1_address -> led:address
	wire           mm_interconnect_2_led_s1_write;                                         // mm_interconnect_2:led_s1_write -> led:write_n
	wire    [31:0] mm_interconnect_2_led_s1_writedata;                                     // mm_interconnect_2:led_s1_writedata -> led:writedata
	wire    [31:0] mm_interconnect_2_ddr4_status_s1_readdata;                              // ddr4_status:readdata -> mm_interconnect_2:ddr4_status_s1_readdata
	wire     [1:0] mm_interconnect_2_ddr4_status_s1_address;                               // mm_interconnect_2:ddr4_status_s1_address -> ddr4_status:address
	wire           mm_interconnect_2_ddr4_local_reset_req_s1_chipselect;                   // mm_interconnect_2:ddr4_local_reset_req_s1_chipselect -> ddr4_local_reset_req:chipselect
	wire    [31:0] mm_interconnect_2_ddr4_local_reset_req_s1_readdata;                     // ddr4_local_reset_req:readdata -> mm_interconnect_2:ddr4_local_reset_req_s1_readdata
	wire     [1:0] mm_interconnect_2_ddr4_local_reset_req_s1_address;                      // mm_interconnect_2:ddr4_local_reset_req_s1_address -> ddr4_local_reset_req:address
	wire           mm_interconnect_2_ddr4_local_reset_req_s1_write;                        // mm_interconnect_2:ddr4_local_reset_req_s1_write -> ddr4_local_reset_req:write_n
	wire    [31:0] mm_interconnect_2_ddr4_local_reset_req_s1_writedata;                    // mm_interconnect_2:ddr4_local_reset_req_s1_writedata -> ddr4_local_reset_req:writedata
	wire    [31:0] nios2_gen2_irq_irq;                                                     // irq_mapper:sender_irq -> nios2_gen2:irq
	wire           irq_mapper_receiver0_irq;                                               // irq_synchronizer:sender_irq -> irq_mapper:receiver0_irq
	wire     [0:0] irq_synchronizer_receiver_irq;                                          // timer:irq -> irq_synchronizer:receiver_irq
	wire           irq_mapper_receiver1_irq;                                               // irq_synchronizer_001:sender_irq -> irq_mapper:receiver1_irq
	wire     [0:0] irq_synchronizer_001_receiver_irq;                                      // jtag_uart:av_irq -> irq_synchronizer_001:receiver_irq
	wire           rst_controller_reset_out_reset;                                         // rst_controller:reset_out -> [address_span_extender_0:reset, mm_ccb:s0_reset]
	wire           rst_controller_001_reset_out_reset;                                     // rst_controller_001:reset_out -> intel_onchip_memory:reset
	wire           rst_controller_001_reset_out_reset_req;                                 // rst_controller_001:reset_req -> intel_onchip_memory:reset_req
	wire           nios2_gen2_debug_reset_request_reset;                                   // nios2_gen2:debug_reset_request -> [rst_controller_001:reset_in0, rst_controller_002:reset_in0, rst_controller_003:reset_in0, rst_controller_005:reset_in0]
	wire           rst_controller_002_reset_out_reset;                                     // rst_controller_002:reset_out -> [irq_mapper:reset, irq_synchronizer:sender_reset, irq_synchronizer_001:sender_reset, nios2_gen2:reset_n, rst_translator:in_reset]
	wire           rst_controller_002_reset_out_reset_req;                                 // rst_controller_002:reset_req -> [nios2_gen2:reset_req, rst_translator:reset_req_in]
	wire           rst_controller_003_reset_out_reset;                                     // rst_controller_003:reset_out -> [mm_interconnect_0:nios2_gen2_data_master_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_0:nios2_gen2_reset_reset_bridge_in_reset_reset]
	wire           rst_controller_004_reset_out_reset;                                     // rst_controller_004:reset_out -> [mm_interconnect_0:address_span_extender_0_cntl_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_0:address_span_extender_0_reset_reset_bridge_in_reset_reset, mm_interconnect_1:address_span_extender_0_expanded_master_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_1:address_span_extender_0_reset_reset_bridge_in_reset_reset]
	wire           rst_controller_005_reset_out_reset;                                     // rst_controller_005:reset_out -> [mm_interconnect_0:intel_onchip_memory_reset1_reset_bridge_in_reset_reset, mm_interconnect_0:intel_onchip_memory_s1_translator_reset_reset_bridge_in_reset_reset]
	wire           rst_controller_006_reset_out_reset;                                     // rst_controller_006:reset_out -> [mm_interconnect_1:emif_ddr4a_ctrl_amm_0_agent_rsp_fifo_clk_reset_reset_bridge_in_reset_reset, mm_interconnect_1:emif_ddr4a_ctrl_amm_0_translator_reset_reset_bridge_in_reset_reset]
	wire           emif_ddr4a_emif_usr_reset_n_reset;                                      // emif_ddr4a:emif_usr_reset_n -> rst_controller_006:reset_in0
	wire           rst_controller_007_reset_out_reset;                                     // rst_controller_007:reset_out -> [mm_interconnect_1:emif_ddr4b_ctrl_amm_0_agent_rsp_fifo_clk_reset_reset_bridge_in_reset_reset, mm_interconnect_1:emif_ddr4b_ctrl_amm_0_translator_reset_reset_bridge_in_reset_reset]
	wire           emif_ddr4b_emif_usr_reset_n_reset;                                      // emif_ddr4b:emif_usr_reset_n -> rst_controller_007:reset_in0
	wire           rst_controller_008_reset_out_reset;                                     // rst_controller_008:reset_out -> [mm_interconnect_2:mm_ccb_m0_reset_reset_bridge_in_reset_reset, mm_interconnect_2:mm_ccb_m0_translator_reset_reset_bridge_in_reset_reset]

	Qsys_address_span_extender_0 address_span_extender_0 (
		.clk                  (iopll_outclk0_clk),                                                      //   input,   width = 1,           clock.clk
		.reset                (rst_controller_reset_out_reset),                                         //   input,   width = 1,           reset.reset
		.avs_s0_address       (mm_interconnect_0_address_span_extender_0_windowed_slave_address),       //   input,  width = 28,  windowed_slave.address
		.avs_s0_read          (mm_interconnect_0_address_span_extender_0_windowed_slave_read),          //   input,   width = 1,                .read
		.avs_s0_readdata      (mm_interconnect_0_address_span_extender_0_windowed_slave_readdata),      //  output,  width = 32,                .readdata
		.avs_s0_write         (mm_interconnect_0_address_span_extender_0_windowed_slave_write),         //   input,   width = 1,                .write
		.avs_s0_writedata     (mm_interconnect_0_address_span_extender_0_windowed_slave_writedata),     //   input,  width = 32,                .writedata
		.avs_s0_readdatavalid (mm_interconnect_0_address_span_extender_0_windowed_slave_readdatavalid), //  output,   width = 1,                .readdatavalid
		.avs_s0_waitrequest   (mm_interconnect_0_address_span_extender_0_windowed_slave_waitrequest),   //  output,   width = 1,                .waitrequest
		.avs_s0_byteenable    (mm_interconnect_0_address_span_extender_0_windowed_slave_byteenable),    //   input,   width = 4,                .byteenable
		.avs_s0_burstcount    (mm_interconnect_0_address_span_extender_0_windowed_slave_burstcount),    //   input,   width = 1,                .burstcount
		.avm_m0_address       (address_span_extender_0_expanded_master_address),                        //  output,  width = 36, expanded_master.address
		.avm_m0_read          (address_span_extender_0_expanded_master_read),                           //  output,   width = 1,                .read
		.avm_m0_waitrequest   (address_span_extender_0_expanded_master_waitrequest),                    //   input,   width = 1,                .waitrequest
		.avm_m0_readdata      (address_span_extender_0_expanded_master_readdata),                       //   input,  width = 32,                .readdata
		.avm_m0_write         (address_span_extender_0_expanded_master_write),                          //  output,   width = 1,                .write
		.avm_m0_writedata     (address_span_extender_0_expanded_master_writedata),                      //  output,  width = 32,                .writedata
		.avm_m0_readdatavalid (address_span_extender_0_expanded_master_readdatavalid),                  //   input,   width = 1,                .readdatavalid
		.avm_m0_byteenable    (address_span_extender_0_expanded_master_byteenable),                     //  output,   width = 4,                .byteenable
		.avm_m0_burstcount    (address_span_extender_0_expanded_master_burstcount),                     //  output,   width = 1,                .burstcount
		.avs_cntl_read        (mm_interconnect_0_address_span_extender_0_cntl_read),                    //   input,   width = 1,            cntl.read
		.avs_cntl_readdata    (mm_interconnect_0_address_span_extender_0_cntl_readdata),                //  output,  width = 64,                .readdata
		.avs_cntl_write       (mm_interconnect_0_address_span_extender_0_cntl_write),                   //   input,   width = 1,                .write
		.avs_cntl_writedata   (mm_interconnect_0_address_span_extender_0_cntl_writedata),               //   input,  width = 64,                .writedata
		.avs_cntl_byteenable  (mm_interconnect_0_address_span_extender_0_cntl_byteenable)               //   input,   width = 8,                .byteenable
	);

	Qsys_pio_0 button (
		.clk      (clock_in_out_clk_clk),                 //   input,   width = 1,                 clk.clk
		.reset_n  (reset_in_out_reset_reset),             //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_2_button_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_2_button_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (button_external_connection_export)     //   input,   width = 2, external_connection.export
	);

	Qsys_clock_in clock_in (
		.in_clk  (clk_clk),              //   input,  width = 1,  in_clk.clk
		.out_clk (clock_in_out_clk_clk)  //  output,  width = 1, out_clk.clk
	);

	Qsys_pio_3 ddr4_local_reset_req (
		.clk        (clock_in_out_clk_clk),                                 //   input,   width = 1,                 clk.clk
		.reset_n    (reset_in_out_reset_reset),                             //   input,   width = 1,               reset.reset_n
		.address    (mm_interconnect_2_ddr4_local_reset_req_s1_address),    //   input,   width = 2,                  s1.address
		.write_n    (~mm_interconnect_2_ddr4_local_reset_req_s1_write),     //   input,   width = 1,                    .write_n
		.writedata  (mm_interconnect_2_ddr4_local_reset_req_s1_writedata),  //   input,  width = 32,                    .writedata
		.chipselect (mm_interconnect_2_ddr4_local_reset_req_s1_chipselect), //   input,   width = 1,                    .chipselect
		.readdata   (mm_interconnect_2_ddr4_local_reset_req_s1_readdata),   //  output,  width = 32,                    .readdata
		.out_port   (ddr4_local_reset_req_external_connection_export)       //  output,   width = 1, external_connection.export
	);

	Qsys_pio_2 ddr4_status (
		.clk      (clock_in_out_clk_clk),                      //   input,   width = 1,                 clk.clk
		.reset_n  (reset_in_out_reset_reset),                  //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_2_ddr4_status_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_2_ddr4_status_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (ddr4_status_external_connection_export)     //   input,   width = 6, external_connection.export
	);

	Qsys_emif_cal_0 emif_cal_ddr4a (
		.calbus_read_0          (emif_cal_ddr4a_emif_calbus_0_calbus_read),    //  output,     width = 1,   emif_calbus_0.calbus_read
		.calbus_write_0         (emif_cal_ddr4a_emif_calbus_0_calbus_write),   //  output,     width = 1,                .calbus_write
		.calbus_address_0       (emif_cal_ddr4a_emif_calbus_0_calbus_address), //  output,    width = 20,                .calbus_address
		.calbus_wdata_0         (emif_cal_ddr4a_emif_calbus_0_calbus_wdata),   //  output,    width = 32,                .calbus_wdata
		.calbus_rdata_0         (emif_ddr4a_emif_calbus_calbus_rdata),         //   input,    width = 32,                .calbus_rdata
		.calbus_seq_param_tbl_0 (emif_ddr4a_emif_calbus_calbus_seq_param_tbl), //   input,  width = 4096,                .calbus_seq_param_tbl
		.calbus_clk             (emif_cal_ddr4a_emif_calbus_clk_clk)           //  output,     width = 1, emif_calbus_clk.clk
	);

	Qsys_emif_cal_0 emif_cal_ddr4b (
		.calbus_read_0          (emif_cal_ddr4b_emif_calbus_0_calbus_read),    //  output,     width = 1,   emif_calbus_0.calbus_read
		.calbus_write_0         (emif_cal_ddr4b_emif_calbus_0_calbus_write),   //  output,     width = 1,                .calbus_write
		.calbus_address_0       (emif_cal_ddr4b_emif_calbus_0_calbus_address), //  output,    width = 20,                .calbus_address
		.calbus_wdata_0         (emif_cal_ddr4b_emif_calbus_0_calbus_wdata),   //  output,    width = 32,                .calbus_wdata
		.calbus_rdata_0         (emif_ddr4b_emif_calbus_calbus_rdata),         //   input,    width = 32,                .calbus_rdata
		.calbus_seq_param_tbl_0 (emif_ddr4b_emif_calbus_calbus_seq_param_tbl), //   input,  width = 4096,                .calbus_seq_param_tbl
		.calbus_clk             (emif_cal_ddr4b_emif_calbus_clk_clk)           //  output,     width = 1, emif_calbus_clk.clk
	);

	Qsys_emif_fm_0 emif_ddr4a (
		.local_reset_req           (emif_ddr4a_local_reset_req_local_reset_req),            //   input,     width = 1,           local_reset_req.local_reset_req
		.local_reset_done          (emif_ddr4a_local_reset_status_local_reset_done),        //  output,     width = 1,        local_reset_status.local_reset_done
		.pll_ref_clk               (emif_ddr4a_pll_ref_clk_clk),                            //   input,     width = 1,               pll_ref_clk.clk
		.oct_rzqin                 (emif_ddr4a_oct_oct_rzqin),                              //   input,     width = 1,                       oct.oct_rzqin
		.mem_ck                    (emif_ddr4a_mem_mem_ck),                                 //  output,     width = 1,                       mem.mem_ck
		.mem_ck_n                  (emif_ddr4a_mem_mem_ck_n),                               //  output,     width = 1,                          .mem_ck_n
		.mem_a                     (emif_ddr4a_mem_mem_a),                                  //  output,    width = 17,                          .mem_a
		.mem_act_n                 (emif_ddr4a_mem_mem_act_n),                              //  output,     width = 1,                          .mem_act_n
		.mem_ba                    (emif_ddr4a_mem_mem_ba),                                 //  output,     width = 2,                          .mem_ba
		.mem_bg                    (emif_ddr4a_mem_mem_bg),                                 //  output,     width = 2,                          .mem_bg
		.mem_cke                   (emif_ddr4a_mem_mem_cke),                                //  output,     width = 1,                          .mem_cke
		.mem_cs_n                  (emif_ddr4a_mem_mem_cs_n),                               //  output,     width = 1,                          .mem_cs_n
		.mem_odt                   (emif_ddr4a_mem_mem_odt),                                //  output,     width = 1,                          .mem_odt
		.mem_reset_n               (emif_ddr4a_mem_mem_reset_n),                            //  output,     width = 1,                          .mem_reset_n
		.mem_par                   (emif_ddr4a_mem_mem_par),                                //  output,     width = 1,                          .mem_par
		.mem_alert_n               (emif_ddr4a_mem_mem_alert_n),                            //   input,     width = 1,                          .mem_alert_n
		.mem_dqs                   (emif_ddr4a_mem_mem_dqs),                                //   inout,     width = 9,                          .mem_dqs
		.mem_dqs_n                 (emif_ddr4a_mem_mem_dqs_n),                              //   inout,     width = 9,                          .mem_dqs_n
		.mem_dq                    (emif_ddr4a_mem_mem_dq),                                 //   inout,    width = 72,                          .mem_dq
		.mem_dbi_n                 (emif_ddr4a_mem_mem_dbi_n),                              //   inout,     width = 9,                          .mem_dbi_n
		.local_cal_success         (emif_ddr4a_status_local_cal_success),                   //  output,     width = 1,                    status.local_cal_success
		.local_cal_fail            (emif_ddr4a_status_local_cal_fail),                      //  output,     width = 1,                          .local_cal_fail
		.calbus_read               (emif_cal_ddr4a_emif_calbus_0_calbus_read),              //   input,     width = 1,               emif_calbus.calbus_read
		.calbus_write              (emif_cal_ddr4a_emif_calbus_0_calbus_write),             //   input,     width = 1,                          .calbus_write
		.calbus_address            (emif_cal_ddr4a_emif_calbus_0_calbus_address),           //   input,    width = 20,                          .calbus_address
		.calbus_wdata              (emif_cal_ddr4a_emif_calbus_0_calbus_wdata),             //   input,    width = 32,                          .calbus_wdata
		.calbus_rdata              (emif_ddr4a_emif_calbus_calbus_rdata),                   //  output,    width = 32,                          .calbus_rdata
		.calbus_seq_param_tbl      (emif_ddr4a_emif_calbus_calbus_seq_param_tbl),           //  output,  width = 4096,                          .calbus_seq_param_tbl
		.calbus_clk                (emif_cal_ddr4a_emif_calbus_clk_clk),                    //   input,     width = 1,           emif_calbus_clk.clk
		.emif_usr_reset_n          (emif_ddr4a_emif_usr_reset_n_reset),                     //  output,     width = 1,          emif_usr_reset_n.reset_n
		.emif_usr_clk              (emif_ddr4a_emif_usr_clk_clk),                           //  output,     width = 1,              emif_usr_clk.clk
		.ctrl_ecc_user_interrupt_0 (),                                                      //  output,     width = 1, ctrl_ecc_user_interrupt_0.ctrl_ecc_user_interrupt
		.amm_ready_0               (mm_interconnect_1_emif_ddr4a_ctrl_amm_0_waitrequest),   //  output,     width = 1,                ctrl_amm_0.waitrequest_n
		.amm_read_0                (mm_interconnect_1_emif_ddr4a_ctrl_amm_0_read),          //   input,     width = 1,                          .read
		.amm_write_0               (mm_interconnect_1_emif_ddr4a_ctrl_amm_0_write),         //   input,     width = 1,                          .write
		.amm_address_0             (mm_interconnect_1_emif_ddr4a_ctrl_amm_0_address),       //   input,    width = 27,                          .address
		.amm_readdata_0            (mm_interconnect_1_emif_ddr4a_ctrl_amm_0_readdata),      //  output,   width = 512,                          .readdata
		.amm_writedata_0           (mm_interconnect_1_emif_ddr4a_ctrl_amm_0_writedata),     //   input,   width = 512,                          .writedata
		.amm_burstcount_0          (mm_interconnect_1_emif_ddr4a_ctrl_amm_0_burstcount),    //   input,     width = 7,                          .burstcount
		.amm_byteenable_0          (mm_interconnect_1_emif_ddr4a_ctrl_amm_0_byteenable),    //   input,    width = 64,                          .byteenable
		.amm_readdatavalid_0       (mm_interconnect_1_emif_ddr4a_ctrl_amm_0_readdatavalid)  //  output,     width = 1,                          .readdatavalid
	);

	Qsys_emif_fm_1 emif_ddr4b (
		.local_reset_req           (emif_ddr4b_local_reset_req_local_reset_req),            //   input,     width = 1,           local_reset_req.local_reset_req
		.local_reset_done          (emif_ddr4b_local_reset_status_local_reset_done),        //  output,     width = 1,        local_reset_status.local_reset_done
		.pll_ref_clk               (emif_ddr4b_pll_ref_clk_clk),                            //   input,     width = 1,               pll_ref_clk.clk
		.oct_rzqin                 (emif_ddr4b_oct_oct_rzqin),                              //   input,     width = 1,                       oct.oct_rzqin
		.mem_ck                    (emif_ddr4b_mem_mem_ck),                                 //  output,     width = 1,                       mem.mem_ck
		.mem_ck_n                  (emif_ddr4b_mem_mem_ck_n),                               //  output,     width = 1,                          .mem_ck_n
		.mem_a                     (emif_ddr4b_mem_mem_a),                                  //  output,    width = 17,                          .mem_a
		.mem_act_n                 (emif_ddr4b_mem_mem_act_n),                              //  output,     width = 1,                          .mem_act_n
		.mem_ba                    (emif_ddr4b_mem_mem_ba),                                 //  output,     width = 2,                          .mem_ba
		.mem_bg                    (emif_ddr4b_mem_mem_bg),                                 //  output,     width = 1,                          .mem_bg
		.mem_cke                   (emif_ddr4b_mem_mem_cke),                                //  output,     width = 1,                          .mem_cke
		.mem_cs_n                  (emif_ddr4b_mem_mem_cs_n),                               //  output,     width = 1,                          .mem_cs_n
		.mem_odt                   (emif_ddr4b_mem_mem_odt),                                //  output,     width = 1,                          .mem_odt
		.mem_reset_n               (emif_ddr4b_mem_mem_reset_n),                            //  output,     width = 1,                          .mem_reset_n
		.mem_par                   (emif_ddr4b_mem_mem_par),                                //  output,     width = 1,                          .mem_par
		.mem_alert_n               (emif_ddr4b_mem_mem_alert_n),                            //   input,     width = 1,                          .mem_alert_n
		.mem_dqs                   (emif_ddr4b_mem_mem_dqs),                                //   inout,     width = 9,                          .mem_dqs
		.mem_dqs_n                 (emif_ddr4b_mem_mem_dqs_n),                              //   inout,     width = 9,                          .mem_dqs_n
		.mem_dq                    (emif_ddr4b_mem_mem_dq),                                 //   inout,    width = 72,                          .mem_dq
		.mem_dbi_n                 (emif_ddr4b_mem_mem_dbi_n),                              //   inout,     width = 9,                          .mem_dbi_n
		.local_cal_success         (emif_ddr4b_status_local_cal_success),                   //  output,     width = 1,                    status.local_cal_success
		.local_cal_fail            (emif_ddr4b_status_local_cal_fail),                      //  output,     width = 1,                          .local_cal_fail
		.calbus_read               (emif_cal_ddr4b_emif_calbus_0_calbus_read),              //   input,     width = 1,               emif_calbus.calbus_read
		.calbus_write              (emif_cal_ddr4b_emif_calbus_0_calbus_write),             //   input,     width = 1,                          .calbus_write
		.calbus_address            (emif_cal_ddr4b_emif_calbus_0_calbus_address),           //   input,    width = 20,                          .calbus_address
		.calbus_wdata              (emif_cal_ddr4b_emif_calbus_0_calbus_wdata),             //   input,    width = 32,                          .calbus_wdata
		.calbus_rdata              (emif_ddr4b_emif_calbus_calbus_rdata),                   //  output,    width = 32,                          .calbus_rdata
		.calbus_seq_param_tbl      (emif_ddr4b_emif_calbus_calbus_seq_param_tbl),           //  output,  width = 4096,                          .calbus_seq_param_tbl
		.calbus_clk                (emif_cal_ddr4b_emif_calbus_clk_clk),                    //   input,     width = 1,           emif_calbus_clk.clk
		.emif_usr_reset_n          (emif_ddr4b_emif_usr_reset_n_reset),                     //  output,     width = 1,          emif_usr_reset_n.reset_n
		.emif_usr_clk              (emif_ddr4b_emif_usr_clk_clk),                           //  output,     width = 1,              emif_usr_clk.clk
		.ctrl_ecc_user_interrupt_0 (),                                                      //  output,     width = 1, ctrl_ecc_user_interrupt_0.ctrl_ecc_user_interrupt
		.amm_ready_0               (mm_interconnect_1_emif_ddr4b_ctrl_amm_0_waitrequest),   //  output,     width = 1,                ctrl_amm_0.waitrequest_n
		.amm_read_0                (mm_interconnect_1_emif_ddr4b_ctrl_amm_0_read),          //   input,     width = 1,                          .read
		.amm_write_0               (mm_interconnect_1_emif_ddr4b_ctrl_amm_0_write),         //   input,     width = 1,                          .write
		.amm_address_0             (mm_interconnect_1_emif_ddr4b_ctrl_amm_0_address),       //   input,    width = 27,                          .address
		.amm_readdata_0            (mm_interconnect_1_emif_ddr4b_ctrl_amm_0_readdata),      //  output,   width = 512,                          .readdata
		.amm_writedata_0           (mm_interconnect_1_emif_ddr4b_ctrl_amm_0_writedata),     //   input,   width = 512,                          .writedata
		.amm_burstcount_0          (mm_interconnect_1_emif_ddr4b_ctrl_amm_0_burstcount),    //   input,     width = 7,                          .burstcount
		.amm_byteenable_0          (mm_interconnect_1_emif_ddr4b_ctrl_amm_0_byteenable),    //   input,    width = 64,                          .byteenable
		.amm_readdatavalid_0       (mm_interconnect_1_emif_ddr4b_ctrl_amm_0_readdatavalid)  //  output,     width = 1,                          .readdatavalid
	);

	Qsys_intel_onchip_memory_0 intel_onchip_memory (
		.clk        (iopll_outclk0_clk),                                   //   input,   width = 1,   clk1.clk
		.address    (mm_interconnect_0_intel_onchip_memory_s1_address),    //   input,  width = 17,     s1.address
		.read       (mm_interconnect_0_intel_onchip_memory_s1_read),       //   input,   width = 1,       .read
		.readdata   (mm_interconnect_0_intel_onchip_memory_s1_readdata),   //  output,  width = 32,       .readdata
		.byteenable (mm_interconnect_0_intel_onchip_memory_s1_byteenable), //   input,   width = 4,       .byteenable
		.write      (mm_interconnect_0_intel_onchip_memory_s1_write),      //   input,   width = 1,       .write
		.writedata  (mm_interconnect_0_intel_onchip_memory_s1_writedata),  //   input,  width = 32,       .writedata
		.reset      (rst_controller_001_reset_out_reset),                  //   input,   width = 1, reset1.reset
		.reset_req  (rst_controller_001_reset_out_reset_req)               //   input,   width = 1,       .reset_req
	);

	Qsys_iopll_0 iopll (
		.refclk   (clock_in_out_clk_clk),      //   input,  width = 1,  refclk.clk
		.locked   (iopll_locked_export),       //  output,  width = 1,  locked.export
		.rst      (~reset_in_out_reset_reset), //   input,  width = 1,   reset.reset
		.outclk_0 (iopll_outclk0_clk)          //  output,  width = 1, outclk0.clk
	);

	Qsys_jtag_uart_0 jtag_uart (
		.clk            (clock_in_out_clk_clk),                                      //   input,   width = 1,               clk.clk
		.rst_n          (reset_in_out_reset_reset),                                  //   input,   width = 1,             reset.reset_n
		.av_chipselect  (mm_interconnect_2_jtag_uart_avalon_jtag_slave_chipselect),  //   input,   width = 1, avalon_jtag_slave.chipselect
		.av_address     (mm_interconnect_2_jtag_uart_avalon_jtag_slave_address),     //   input,   width = 1,                  .address
		.av_read_n      (~mm_interconnect_2_jtag_uart_avalon_jtag_slave_read),       //   input,   width = 1,                  .read_n
		.av_readdata    (mm_interconnect_2_jtag_uart_avalon_jtag_slave_readdata),    //  output,  width = 32,                  .readdata
		.av_write_n     (~mm_interconnect_2_jtag_uart_avalon_jtag_slave_write),      //   input,   width = 1,                  .write_n
		.av_writedata   (mm_interconnect_2_jtag_uart_avalon_jtag_slave_writedata),   //   input,  width = 32,                  .writedata
		.av_waitrequest (mm_interconnect_2_jtag_uart_avalon_jtag_slave_waitrequest), //  output,   width = 1,                  .waitrequest
		.av_irq         (irq_synchronizer_001_receiver_irq)                          //  output,   width = 1,               irq.irq
	);

	Qsys_pio_1 led (
		.clk        (clock_in_out_clk_clk),                //   input,   width = 1,                 clk.clk
		.reset_n    (reset_in_out_reset_reset),            //   input,   width = 1,               reset.reset_n
		.address    (mm_interconnect_2_led_s1_address),    //   input,   width = 2,                  s1.address
		.write_n    (~mm_interconnect_2_led_s1_write),     //   input,   width = 1,                    .write_n
		.writedata  (mm_interconnect_2_led_s1_writedata),  //   input,  width = 32,                    .writedata
		.chipselect (mm_interconnect_2_led_s1_chipselect), //   input,   width = 1,                    .chipselect
		.readdata   (mm_interconnect_2_led_s1_readdata),   //  output,  width = 32,                    .readdata
		.out_port   (led_external_connection_export)       //  output,   width = 2, external_connection.export
	);

	Qsys_mm_ccb_0 mm_ccb (
		.m0_clk           (clock_in_out_clk_clk),                      //   input,   width = 1,   m0_clk.clk
		.m0_reset         (~reset_in_out_reset_reset),                 //   input,   width = 1, m0_reset.reset
		.s0_clk           (iopll_outclk0_clk),                         //   input,   width = 1,   s0_clk.clk
		.s0_reset         (rst_controller_reset_out_reset),            //   input,   width = 1, s0_reset.reset
		.s0_waitrequest   (mm_interconnect_0_mm_ccb_s0_waitrequest),   //  output,   width = 1,       s0.waitrequest
		.s0_readdata      (mm_interconnect_0_mm_ccb_s0_readdata),      //  output,  width = 32,         .readdata
		.s0_readdatavalid (mm_interconnect_0_mm_ccb_s0_readdatavalid), //  output,   width = 1,         .readdatavalid
		.s0_burstcount    (mm_interconnect_0_mm_ccb_s0_burstcount),    //   input,   width = 1,         .burstcount
		.s0_writedata     (mm_interconnect_0_mm_ccb_s0_writedata),     //   input,  width = 32,         .writedata
		.s0_address       (mm_interconnect_0_mm_ccb_s0_address),       //   input,  width = 10,         .address
		.s0_write         (mm_interconnect_0_mm_ccb_s0_write),         //   input,   width = 1,         .write
		.s0_read          (mm_interconnect_0_mm_ccb_s0_read),          //   input,   width = 1,         .read
		.s0_byteenable    (mm_interconnect_0_mm_ccb_s0_byteenable),    //   input,   width = 4,         .byteenable
		.s0_debugaccess   (mm_interconnect_0_mm_ccb_s0_debugaccess),   //   input,   width = 1,         .debugaccess
		.m0_waitrequest   (mm_ccb_m0_waitrequest),                     //   input,   width = 1,       m0.waitrequest
		.m0_readdata      (mm_ccb_m0_readdata),                        //   input,  width = 32,         .readdata
		.m0_readdatavalid (mm_ccb_m0_readdatavalid),                   //   input,   width = 1,         .readdatavalid
		.m0_burstcount    (mm_ccb_m0_burstcount),                      //  output,   width = 1,         .burstcount
		.m0_writedata     (mm_ccb_m0_writedata),                       //  output,  width = 32,         .writedata
		.m0_address       (mm_ccb_m0_address),                         //  output,  width = 10,         .address
		.m0_write         (mm_ccb_m0_write),                           //  output,   width = 1,         .write
		.m0_read          (mm_ccb_m0_read),                            //  output,   width = 1,         .read
		.m0_byteenable    (mm_ccb_m0_byteenable),                      //  output,   width = 4,         .byteenable
		.m0_debugaccess   (mm_ccb_m0_debugaccess)                      //  output,   width = 1,         .debugaccess
	);

	Qsys_nios2_gen2_0 nios2_gen2 (
		.clk                                 (iopll_outclk0_clk),                                        //   input,   width = 1,                       clk.clk
		.reset_n                             (~rst_controller_002_reset_out_reset),                      //   input,   width = 1,                     reset.reset_n
		.reset_req                           (rst_controller_002_reset_out_reset_req),                   //   input,   width = 1,                          .reset_req
		.d_address                           (nios2_gen2_data_master_address),                           //  output,  width = 31,               data_master.address
		.d_byteenable                        (nios2_gen2_data_master_byteenable),                        //  output,   width = 4,                          .byteenable
		.d_read                              (nios2_gen2_data_master_read),                              //  output,   width = 1,                          .read
		.d_readdata                          (nios2_gen2_data_master_readdata),                          //   input,  width = 32,                          .readdata
		.d_waitrequest                       (nios2_gen2_data_master_waitrequest),                       //   input,   width = 1,                          .waitrequest
		.d_write                             (nios2_gen2_data_master_write),                             //  output,   width = 1,                          .write
		.d_writedata                         (nios2_gen2_data_master_writedata),                         //  output,  width = 32,                          .writedata
		.d_readdatavalid                     (nios2_gen2_data_master_readdatavalid),                     //   input,   width = 1,                          .readdatavalid
		.debug_mem_slave_debugaccess_to_roms (nios2_gen2_data_master_debugaccess),                       //  output,   width = 1,                          .debugaccess
		.i_address                           (nios2_gen2_instruction_master_address),                    //  output,  width = 31,        instruction_master.address
		.i_read                              (nios2_gen2_instruction_master_read),                       //  output,   width = 1,                          .read
		.i_readdata                          (nios2_gen2_instruction_master_readdata),                   //   input,  width = 32,                          .readdata
		.i_waitrequest                       (nios2_gen2_instruction_master_waitrequest),                //   input,   width = 1,                          .waitrequest
		.i_readdatavalid                     (nios2_gen2_instruction_master_readdatavalid),              //   input,   width = 1,                          .readdatavalid
		.irq                                 (nios2_gen2_irq_irq),                                       //   input,  width = 32,                       irq.irq
		.debug_reset_request                 (nios2_gen2_debug_reset_request_reset),                     //  output,   width = 1,       debug_reset_request.reset
		.debug_mem_slave_address             (mm_interconnect_0_nios2_gen2_debug_mem_slave_address),     //   input,   width = 9,           debug_mem_slave.address
		.debug_mem_slave_byteenable          (mm_interconnect_0_nios2_gen2_debug_mem_slave_byteenable),  //   input,   width = 4,                          .byteenable
		.debug_mem_slave_debugaccess         (mm_interconnect_0_nios2_gen2_debug_mem_slave_debugaccess), //   input,   width = 1,                          .debugaccess
		.debug_mem_slave_read                (mm_interconnect_0_nios2_gen2_debug_mem_slave_read),        //   input,   width = 1,                          .read
		.debug_mem_slave_readdata            (mm_interconnect_0_nios2_gen2_debug_mem_slave_readdata),    //  output,  width = 32,                          .readdata
		.debug_mem_slave_waitrequest         (mm_interconnect_0_nios2_gen2_debug_mem_slave_waitrequest), //  output,   width = 1,                          .waitrequest
		.debug_mem_slave_write               (mm_interconnect_0_nios2_gen2_debug_mem_slave_write),       //   input,   width = 1,                          .write
		.debug_mem_slave_writedata           (mm_interconnect_0_nios2_gen2_debug_mem_slave_writedata),   //   input,  width = 32,                          .writedata
		.dummy_ci_port                       ()                                                          //  output,   width = 1, custom_instruction_master.readra
	);

	Qsys_reset_in reset_in (
		.clk         (clock_in_out_clk_clk),     //   input,  width = 1,       clk.clk
		.in_reset_n  (reset_reset_n),            //   input,  width = 1,  in_reset.reset_n
		.out_reset_n (reset_in_out_reset_reset)  //  output,  width = 1, out_reset.reset_n
	);

	Qsys_sysid_qsys_0 sysid_qsys (
		.clock    (clock_in_out_clk_clk),                                //   input,   width = 1,           clk.clk
		.reset_n  (reset_in_out_reset_reset),                            //   input,   width = 1,         reset.reset_n
		.readdata (mm_interconnect_2_sysid_qsys_control_slave_readdata), //  output,  width = 32, control_slave.readdata
		.address  (mm_interconnect_2_sysid_qsys_control_slave_address)   //   input,   width = 1,              .address
	);

	Qsys_timer_0 timer (
		.clk        (clock_in_out_clk_clk),                  //   input,   width = 1,   clk.clk
		.reset_n    (reset_in_out_reset_reset),              //   input,   width = 1, reset.reset_n
		.address    (mm_interconnect_2_timer_s1_address),    //   input,   width = 3,    s1.address
		.writedata  (mm_interconnect_2_timer_s1_writedata),  //   input,  width = 16,      .writedata
		.readdata   (mm_interconnect_2_timer_s1_readdata),   //  output,  width = 16,      .readdata
		.chipselect (mm_interconnect_2_timer_s1_chipselect), //   input,   width = 1,      .chipselect
		.write_n    (~mm_interconnect_2_timer_s1_write),     //   input,   width = 1,      .write_n
		.irq        (irq_synchronizer_receiver_irq)          //  output,   width = 1,   irq.irq
	);

	Qsys_altera_mm_interconnect_1920_rwz3qty mm_interconnect_0 (
		.nios2_gen2_data_master_address                                            (nios2_gen2_data_master_address),                                         //   input,  width = 31,                                              nios2_gen2_data_master.address
		.nios2_gen2_data_master_waitrequest                                        (nios2_gen2_data_master_waitrequest),                                     //  output,   width = 1,                                                                    .waitrequest
		.nios2_gen2_data_master_byteenable                                         (nios2_gen2_data_master_byteenable),                                      //   input,   width = 4,                                                                    .byteenable
		.nios2_gen2_data_master_read                                               (nios2_gen2_data_master_read),                                            //   input,   width = 1,                                                                    .read
		.nios2_gen2_data_master_readdata                                           (nios2_gen2_data_master_readdata),                                        //  output,  width = 32,                                                                    .readdata
		.nios2_gen2_data_master_readdatavalid                                      (nios2_gen2_data_master_readdatavalid),                                   //  output,   width = 1,                                                                    .readdatavalid
		.nios2_gen2_data_master_write                                              (nios2_gen2_data_master_write),                                           //   input,   width = 1,                                                                    .write
		.nios2_gen2_data_master_writedata                                          (nios2_gen2_data_master_writedata),                                       //   input,  width = 32,                                                                    .writedata
		.nios2_gen2_data_master_debugaccess                                        (nios2_gen2_data_master_debugaccess),                                     //   input,   width = 1,                                                                    .debugaccess
		.nios2_gen2_instruction_master_address                                     (nios2_gen2_instruction_master_address),                                  //   input,  width = 31,                                       nios2_gen2_instruction_master.address
		.nios2_gen2_instruction_master_waitrequest                                 (nios2_gen2_instruction_master_waitrequest),                              //  output,   width = 1,                                                                    .waitrequest
		.nios2_gen2_instruction_master_read                                        (nios2_gen2_instruction_master_read),                                     //   input,   width = 1,                                                                    .read
		.nios2_gen2_instruction_master_readdata                                    (nios2_gen2_instruction_master_readdata),                                 //  output,  width = 32,                                                                    .readdata
		.nios2_gen2_instruction_master_readdatavalid                               (nios2_gen2_instruction_master_readdatavalid),                            //  output,   width = 1,                                                                    .readdatavalid
		.address_span_extender_0_cntl_write                                        (mm_interconnect_0_address_span_extender_0_cntl_write),                   //  output,   width = 1,                                        address_span_extender_0_cntl.write
		.address_span_extender_0_cntl_read                                         (mm_interconnect_0_address_span_extender_0_cntl_read),                    //  output,   width = 1,                                                                    .read
		.address_span_extender_0_cntl_readdata                                     (mm_interconnect_0_address_span_extender_0_cntl_readdata),                //   input,  width = 64,                                                                    .readdata
		.address_span_extender_0_cntl_writedata                                    (mm_interconnect_0_address_span_extender_0_cntl_writedata),               //  output,  width = 64,                                                                    .writedata
		.address_span_extender_0_cntl_byteenable                                   (mm_interconnect_0_address_span_extender_0_cntl_byteenable),              //  output,   width = 8,                                                                    .byteenable
		.nios2_gen2_debug_mem_slave_address                                        (mm_interconnect_0_nios2_gen2_debug_mem_slave_address),                   //  output,   width = 9,                                          nios2_gen2_debug_mem_slave.address
		.nios2_gen2_debug_mem_slave_write                                          (mm_interconnect_0_nios2_gen2_debug_mem_slave_write),                     //  output,   width = 1,                                                                    .write
		.nios2_gen2_debug_mem_slave_read                                           (mm_interconnect_0_nios2_gen2_debug_mem_slave_read),                      //  output,   width = 1,                                                                    .read
		.nios2_gen2_debug_mem_slave_readdata                                       (mm_interconnect_0_nios2_gen2_debug_mem_slave_readdata),                  //   input,  width = 32,                                                                    .readdata
		.nios2_gen2_debug_mem_slave_writedata                                      (mm_interconnect_0_nios2_gen2_debug_mem_slave_writedata),                 //  output,  width = 32,                                                                    .writedata
		.nios2_gen2_debug_mem_slave_byteenable                                     (mm_interconnect_0_nios2_gen2_debug_mem_slave_byteenable),                //  output,   width = 4,                                                                    .byteenable
		.nios2_gen2_debug_mem_slave_waitrequest                                    (mm_interconnect_0_nios2_gen2_debug_mem_slave_waitrequest),               //   input,   width = 1,                                                                    .waitrequest
		.nios2_gen2_debug_mem_slave_debugaccess                                    (mm_interconnect_0_nios2_gen2_debug_mem_slave_debugaccess),               //  output,   width = 1,                                                                    .debugaccess
		.mm_ccb_s0_address                                                         (mm_interconnect_0_mm_ccb_s0_address),                                    //  output,  width = 10,                                                           mm_ccb_s0.address
		.mm_ccb_s0_write                                                           (mm_interconnect_0_mm_ccb_s0_write),                                      //  output,   width = 1,                                                                    .write
		.mm_ccb_s0_read                                                            (mm_interconnect_0_mm_ccb_s0_read),                                       //  output,   width = 1,                                                                    .read
		.mm_ccb_s0_readdata                                                        (mm_interconnect_0_mm_ccb_s0_readdata),                                   //   input,  width = 32,                                                                    .readdata
		.mm_ccb_s0_writedata                                                       (mm_interconnect_0_mm_ccb_s0_writedata),                                  //  output,  width = 32,                                                                    .writedata
		.mm_ccb_s0_burstcount                                                      (mm_interconnect_0_mm_ccb_s0_burstcount),                                 //  output,   width = 1,                                                                    .burstcount
		.mm_ccb_s0_byteenable                                                      (mm_interconnect_0_mm_ccb_s0_byteenable),                                 //  output,   width = 4,                                                                    .byteenable
		.mm_ccb_s0_readdatavalid                                                   (mm_interconnect_0_mm_ccb_s0_readdatavalid),                              //   input,   width = 1,                                                                    .readdatavalid
		.mm_ccb_s0_waitrequest                                                     (mm_interconnect_0_mm_ccb_s0_waitrequest),                                //   input,   width = 1,                                                                    .waitrequest
		.mm_ccb_s0_debugaccess                                                     (mm_interconnect_0_mm_ccb_s0_debugaccess),                                //  output,   width = 1,                                                                    .debugaccess
		.intel_onchip_memory_s1_address                                            (mm_interconnect_0_intel_onchip_memory_s1_address),                       //  output,  width = 17,                                              intel_onchip_memory_s1.address
		.intel_onchip_memory_s1_write                                              (mm_interconnect_0_intel_onchip_memory_s1_write),                         //  output,   width = 1,                                                                    .write
		.intel_onchip_memory_s1_read                                               (mm_interconnect_0_intel_onchip_memory_s1_read),                          //  output,   width = 1,                                                                    .read
		.intel_onchip_memory_s1_readdata                                           (mm_interconnect_0_intel_onchip_memory_s1_readdata),                      //   input,  width = 32,                                                                    .readdata
		.intel_onchip_memory_s1_writedata                                          (mm_interconnect_0_intel_onchip_memory_s1_writedata),                     //  output,  width = 32,                                                                    .writedata
		.intel_onchip_memory_s1_byteenable                                         (mm_interconnect_0_intel_onchip_memory_s1_byteenable),                    //  output,   width = 4,                                                                    .byteenable
		.address_span_extender_0_windowed_slave_address                            (mm_interconnect_0_address_span_extender_0_windowed_slave_address),       //  output,  width = 28,                              address_span_extender_0_windowed_slave.address
		.address_span_extender_0_windowed_slave_write                              (mm_interconnect_0_address_span_extender_0_windowed_slave_write),         //  output,   width = 1,                                                                    .write
		.address_span_extender_0_windowed_slave_read                               (mm_interconnect_0_address_span_extender_0_windowed_slave_read),          //  output,   width = 1,                                                                    .read
		.address_span_extender_0_windowed_slave_readdata                           (mm_interconnect_0_address_span_extender_0_windowed_slave_readdata),      //   input,  width = 32,                                                                    .readdata
		.address_span_extender_0_windowed_slave_writedata                          (mm_interconnect_0_address_span_extender_0_windowed_slave_writedata),     //  output,  width = 32,                                                                    .writedata
		.address_span_extender_0_windowed_slave_burstcount                         (mm_interconnect_0_address_span_extender_0_windowed_slave_burstcount),    //  output,   width = 1,                                                                    .burstcount
		.address_span_extender_0_windowed_slave_byteenable                         (mm_interconnect_0_address_span_extender_0_windowed_slave_byteenable),    //  output,   width = 4,                                                                    .byteenable
		.address_span_extender_0_windowed_slave_readdatavalid                      (mm_interconnect_0_address_span_extender_0_windowed_slave_readdatavalid), //   input,   width = 1,                                                                    .readdatavalid
		.address_span_extender_0_windowed_slave_waitrequest                        (mm_interconnect_0_address_span_extender_0_windowed_slave_waitrequest),   //   input,   width = 1,                                                                    .waitrequest
		.nios2_gen2_reset_reset_bridge_in_reset_reset                              (rst_controller_003_reset_out_reset),                                     //   input,   width = 1,                              nios2_gen2_reset_reset_bridge_in_reset.reset
		.address_span_extender_0_reset_reset_bridge_in_reset_reset                 (rst_controller_004_reset_out_reset),                                     //   input,   width = 1,                 address_span_extender_0_reset_reset_bridge_in_reset.reset
		.intel_onchip_memory_reset1_reset_bridge_in_reset_reset                    (rst_controller_005_reset_out_reset),                                     //   input,   width = 1,                    intel_onchip_memory_reset1_reset_bridge_in_reset.reset
		.nios2_gen2_data_master_translator_reset_reset_bridge_in_reset_reset       (rst_controller_003_reset_out_reset),                                     //   input,   width = 1,       nios2_gen2_data_master_translator_reset_reset_bridge_in_reset.reset
		.address_span_extender_0_cntl_translator_reset_reset_bridge_in_reset_reset (rst_controller_004_reset_out_reset),                                     //   input,   width = 1, address_span_extender_0_cntl_translator_reset_reset_bridge_in_reset.reset
		.intel_onchip_memory_s1_translator_reset_reset_bridge_in_reset_reset       (rst_controller_005_reset_out_reset),                                     //   input,   width = 1,       intel_onchip_memory_s1_translator_reset_reset_bridge_in_reset.reset
		.iopll_outclk0_clk                                                         (iopll_outclk0_clk)                                                       //   input,   width = 1,                                                       iopll_outclk0.clk
	);

	Qsys_altera_mm_interconnect_1920_rejqntq mm_interconnect_1 (
		.address_span_extender_0_expanded_master_address                                      (address_span_extender_0_expanded_master_address),       //   input,   width = 36,                                        address_span_extender_0_expanded_master.address
		.address_span_extender_0_expanded_master_waitrequest                                  (address_span_extender_0_expanded_master_waitrequest),   //  output,    width = 1,                                                                               .waitrequest
		.address_span_extender_0_expanded_master_burstcount                                   (address_span_extender_0_expanded_master_burstcount),    //   input,    width = 1,                                                                               .burstcount
		.address_span_extender_0_expanded_master_byteenable                                   (address_span_extender_0_expanded_master_byteenable),    //   input,    width = 4,                                                                               .byteenable
		.address_span_extender_0_expanded_master_read                                         (address_span_extender_0_expanded_master_read),          //   input,    width = 1,                                                                               .read
		.address_span_extender_0_expanded_master_readdata                                     (address_span_extender_0_expanded_master_readdata),      //  output,   width = 32,                                                                               .readdata
		.address_span_extender_0_expanded_master_readdatavalid                                (address_span_extender_0_expanded_master_readdatavalid), //  output,    width = 1,                                                                               .readdatavalid
		.address_span_extender_0_expanded_master_write                                        (address_span_extender_0_expanded_master_write),         //   input,    width = 1,                                                                               .write
		.address_span_extender_0_expanded_master_writedata                                    (address_span_extender_0_expanded_master_writedata),     //   input,   width = 32,                                                                               .writedata
		.emif_ddr4a_ctrl_amm_0_address                                                        (mm_interconnect_1_emif_ddr4a_ctrl_amm_0_address),       //  output,   width = 27,                                                          emif_ddr4a_ctrl_amm_0.address
		.emif_ddr4a_ctrl_amm_0_write                                                          (mm_interconnect_1_emif_ddr4a_ctrl_amm_0_write),         //  output,    width = 1,                                                                               .write
		.emif_ddr4a_ctrl_amm_0_read                                                           (mm_interconnect_1_emif_ddr4a_ctrl_amm_0_read),          //  output,    width = 1,                                                                               .read
		.emif_ddr4a_ctrl_amm_0_readdata                                                       (mm_interconnect_1_emif_ddr4a_ctrl_amm_0_readdata),      //   input,  width = 512,                                                                               .readdata
		.emif_ddr4a_ctrl_amm_0_writedata                                                      (mm_interconnect_1_emif_ddr4a_ctrl_amm_0_writedata),     //  output,  width = 512,                                                                               .writedata
		.emif_ddr4a_ctrl_amm_0_burstcount                                                     (mm_interconnect_1_emif_ddr4a_ctrl_amm_0_burstcount),    //  output,    width = 7,                                                                               .burstcount
		.emif_ddr4a_ctrl_amm_0_byteenable                                                     (mm_interconnect_1_emif_ddr4a_ctrl_amm_0_byteenable),    //  output,   width = 64,                                                                               .byteenable
		.emif_ddr4a_ctrl_amm_0_readdatavalid                                                  (mm_interconnect_1_emif_ddr4a_ctrl_amm_0_readdatavalid), //   input,    width = 1,                                                                               .readdatavalid
		.emif_ddr4a_ctrl_amm_0_waitrequest                                                    (~mm_interconnect_1_emif_ddr4a_ctrl_amm_0_waitrequest),  //   input,    width = 1,                                                                               .waitrequest
		.emif_ddr4b_ctrl_amm_0_address                                                        (mm_interconnect_1_emif_ddr4b_ctrl_amm_0_address),       //  output,   width = 27,                                                          emif_ddr4b_ctrl_amm_0.address
		.emif_ddr4b_ctrl_amm_0_write                                                          (mm_interconnect_1_emif_ddr4b_ctrl_amm_0_write),         //  output,    width = 1,                                                                               .write
		.emif_ddr4b_ctrl_amm_0_read                                                           (mm_interconnect_1_emif_ddr4b_ctrl_amm_0_read),          //  output,    width = 1,                                                                               .read
		.emif_ddr4b_ctrl_amm_0_readdata                                                       (mm_interconnect_1_emif_ddr4b_ctrl_amm_0_readdata),      //   input,  width = 512,                                                                               .readdata
		.emif_ddr4b_ctrl_amm_0_writedata                                                      (mm_interconnect_1_emif_ddr4b_ctrl_amm_0_writedata),     //  output,  width = 512,                                                                               .writedata
		.emif_ddr4b_ctrl_amm_0_burstcount                                                     (mm_interconnect_1_emif_ddr4b_ctrl_amm_0_burstcount),    //  output,    width = 7,                                                                               .burstcount
		.emif_ddr4b_ctrl_amm_0_byteenable                                                     (mm_interconnect_1_emif_ddr4b_ctrl_amm_0_byteenable),    //  output,   width = 64,                                                                               .byteenable
		.emif_ddr4b_ctrl_amm_0_readdatavalid                                                  (mm_interconnect_1_emif_ddr4b_ctrl_amm_0_readdatavalid), //   input,    width = 1,                                                                               .readdatavalid
		.emif_ddr4b_ctrl_amm_0_waitrequest                                                    (~mm_interconnect_1_emif_ddr4b_ctrl_amm_0_waitrequest),  //   input,    width = 1,                                                                               .waitrequest
		.address_span_extender_0_reset_reset_bridge_in_reset_reset                            (rst_controller_004_reset_out_reset),                    //   input,    width = 1,                            address_span_extender_0_reset_reset_bridge_in_reset.reset
		.address_span_extender_0_expanded_master_translator_reset_reset_bridge_in_reset_reset (rst_controller_004_reset_out_reset),                    //   input,    width = 1, address_span_extender_0_expanded_master_translator_reset_reset_bridge_in_reset.reset
		.emif_ddr4a_ctrl_amm_0_translator_reset_reset_bridge_in_reset_reset                   (rst_controller_006_reset_out_reset),                    //   input,    width = 1,                   emif_ddr4a_ctrl_amm_0_translator_reset_reset_bridge_in_reset.reset
		.emif_ddr4b_ctrl_amm_0_translator_reset_reset_bridge_in_reset_reset                   (rst_controller_007_reset_out_reset),                    //   input,    width = 1,                   emif_ddr4b_ctrl_amm_0_translator_reset_reset_bridge_in_reset.reset
		.emif_ddr4a_ctrl_amm_0_agent_rsp_fifo_clk_reset_reset_bridge_in_reset_reset           (rst_controller_006_reset_out_reset),                    //   input,    width = 1,           emif_ddr4a_ctrl_amm_0_agent_rsp_fifo_clk_reset_reset_bridge_in_reset.reset
		.emif_ddr4b_ctrl_amm_0_agent_rsp_fifo_clk_reset_reset_bridge_in_reset_reset           (rst_controller_007_reset_out_reset),                    //   input,    width = 1,           emif_ddr4b_ctrl_amm_0_agent_rsp_fifo_clk_reset_reset_bridge_in_reset.reset
		.iopll_outclk0_clk                                                                    (iopll_outclk0_clk),                                     //   input,    width = 1,                                                                  iopll_outclk0.clk
		.emif_ddr4a_emif_usr_clk_clk                                                          (emif_ddr4a_emif_usr_clk_clk),                           //   input,    width = 1,                                                        emif_ddr4a_emif_usr_clk.clk
		.emif_ddr4b_emif_usr_clk_clk                                                          (emif_ddr4b_emif_usr_clk_clk)                            //   input,    width = 1,                                                        emif_ddr4b_emif_usr_clk.clk
	);

	Qsys_altera_mm_interconnect_1920_quqe7ta mm_interconnect_2 (
		.mm_ccb_m0_address                                      (mm_ccb_m0_address),                                         //   input,  width = 10,                                        mm_ccb_m0.address
		.mm_ccb_m0_waitrequest                                  (mm_ccb_m0_waitrequest),                                     //  output,   width = 1,                                                 .waitrequest
		.mm_ccb_m0_burstcount                                   (mm_ccb_m0_burstcount),                                      //   input,   width = 1,                                                 .burstcount
		.mm_ccb_m0_byteenable                                   (mm_ccb_m0_byteenable),                                      //   input,   width = 4,                                                 .byteenable
		.mm_ccb_m0_read                                         (mm_ccb_m0_read),                                            //   input,   width = 1,                                                 .read
		.mm_ccb_m0_readdata                                     (mm_ccb_m0_readdata),                                        //  output,  width = 32,                                                 .readdata
		.mm_ccb_m0_readdatavalid                                (mm_ccb_m0_readdatavalid),                                   //  output,   width = 1,                                                 .readdatavalid
		.mm_ccb_m0_write                                        (mm_ccb_m0_write),                                           //   input,   width = 1,                                                 .write
		.mm_ccb_m0_writedata                                    (mm_ccb_m0_writedata),                                       //   input,  width = 32,                                                 .writedata
		.mm_ccb_m0_debugaccess                                  (mm_ccb_m0_debugaccess),                                     //   input,   width = 1,                                                 .debugaccess
		.jtag_uart_avalon_jtag_slave_address                    (mm_interconnect_2_jtag_uart_avalon_jtag_slave_address),     //  output,   width = 1,                      jtag_uart_avalon_jtag_slave.address
		.jtag_uart_avalon_jtag_slave_write                      (mm_interconnect_2_jtag_uart_avalon_jtag_slave_write),       //  output,   width = 1,                                                 .write
		.jtag_uart_avalon_jtag_slave_read                       (mm_interconnect_2_jtag_uart_avalon_jtag_slave_read),        //  output,   width = 1,                                                 .read
		.jtag_uart_avalon_jtag_slave_readdata                   (mm_interconnect_2_jtag_uart_avalon_jtag_slave_readdata),    //   input,  width = 32,                                                 .readdata
		.jtag_uart_avalon_jtag_slave_writedata                  (mm_interconnect_2_jtag_uart_avalon_jtag_slave_writedata),   //  output,  width = 32,                                                 .writedata
		.jtag_uart_avalon_jtag_slave_waitrequest                (mm_interconnect_2_jtag_uart_avalon_jtag_slave_waitrequest), //   input,   width = 1,                                                 .waitrequest
		.jtag_uart_avalon_jtag_slave_chipselect                 (mm_interconnect_2_jtag_uart_avalon_jtag_slave_chipselect),  //  output,   width = 1,                                                 .chipselect
		.sysid_qsys_control_slave_address                       (mm_interconnect_2_sysid_qsys_control_slave_address),        //  output,   width = 1,                         sysid_qsys_control_slave.address
		.sysid_qsys_control_slave_readdata                      (mm_interconnect_2_sysid_qsys_control_slave_readdata),       //   input,  width = 32,                                                 .readdata
		.timer_s1_address                                       (mm_interconnect_2_timer_s1_address),                        //  output,   width = 3,                                         timer_s1.address
		.timer_s1_write                                         (mm_interconnect_2_timer_s1_write),                          //  output,   width = 1,                                                 .write
		.timer_s1_readdata                                      (mm_interconnect_2_timer_s1_readdata),                       //   input,  width = 16,                                                 .readdata
		.timer_s1_writedata                                     (mm_interconnect_2_timer_s1_writedata),                      //  output,  width = 16,                                                 .writedata
		.timer_s1_chipselect                                    (mm_interconnect_2_timer_s1_chipselect),                     //  output,   width = 1,                                                 .chipselect
		.button_s1_address                                      (mm_interconnect_2_button_s1_address),                       //  output,   width = 2,                                        button_s1.address
		.button_s1_readdata                                     (mm_interconnect_2_button_s1_readdata),                      //   input,  width = 32,                                                 .readdata
		.led_s1_address                                         (mm_interconnect_2_led_s1_address),                          //  output,   width = 2,                                           led_s1.address
		.led_s1_write                                           (mm_interconnect_2_led_s1_write),                            //  output,   width = 1,                                                 .write
		.led_s1_readdata                                        (mm_interconnect_2_led_s1_readdata),                         //   input,  width = 32,                                                 .readdata
		.led_s1_writedata                                       (mm_interconnect_2_led_s1_writedata),                        //  output,  width = 32,                                                 .writedata
		.led_s1_chipselect                                      (mm_interconnect_2_led_s1_chipselect),                       //  output,   width = 1,                                                 .chipselect
		.ddr4_status_s1_address                                 (mm_interconnect_2_ddr4_status_s1_address),                  //  output,   width = 2,                                   ddr4_status_s1.address
		.ddr4_status_s1_readdata                                (mm_interconnect_2_ddr4_status_s1_readdata),                 //   input,  width = 32,                                                 .readdata
		.ddr4_local_reset_req_s1_address                        (mm_interconnect_2_ddr4_local_reset_req_s1_address),         //  output,   width = 2,                          ddr4_local_reset_req_s1.address
		.ddr4_local_reset_req_s1_write                          (mm_interconnect_2_ddr4_local_reset_req_s1_write),           //  output,   width = 1,                                                 .write
		.ddr4_local_reset_req_s1_readdata                       (mm_interconnect_2_ddr4_local_reset_req_s1_readdata),        //   input,  width = 32,                                                 .readdata
		.ddr4_local_reset_req_s1_writedata                      (mm_interconnect_2_ddr4_local_reset_req_s1_writedata),       //  output,  width = 32,                                                 .writedata
		.ddr4_local_reset_req_s1_chipselect                     (mm_interconnect_2_ddr4_local_reset_req_s1_chipselect),      //  output,   width = 1,                                                 .chipselect
		.mm_ccb_m0_reset_reset_bridge_in_reset_reset            (rst_controller_008_reset_out_reset),                        //   input,   width = 1,            mm_ccb_m0_reset_reset_bridge_in_reset.reset
		.mm_ccb_m0_translator_reset_reset_bridge_in_reset_reset (rst_controller_008_reset_out_reset),                        //   input,   width = 1, mm_ccb_m0_translator_reset_reset_bridge_in_reset.reset
		.clock_in_out_clk_clk                                   (clock_in_out_clk_clk)                                       //   input,   width = 1,                                 clock_in_out_clk.clk
	);

	Qsys_altera_irq_mapper_2000_dcsx22a irq_mapper (
		.clk           (iopll_outclk0_clk),                  //   input,   width = 1,       clk.clk
		.reset         (rst_controller_002_reset_out_reset), //   input,   width = 1, clk_reset.reset
		.receiver0_irq (irq_mapper_receiver0_irq),           //   input,   width = 1, receiver0.irq
		.receiver1_irq (irq_mapper_receiver1_irq),           //   input,   width = 1, receiver1.irq
		.sender_irq    (nios2_gen2_irq_irq)                  //  output,  width = 32,    sender.irq
	);

	Qsys_altera_irq_clock_crosser_2000_65i6gcy #(
		.IRQ_WIDTH (1)
	) irq_synchronizer (
		.receiver_clk   (clock_in_out_clk_clk),               //   input,  width = 1,       receiver_clk.clk
		.sender_clk     (iopll_outclk0_clk),                  //   input,  width = 1,         sender_clk.clk
		.receiver_reset (~reset_in_out_reset_reset),          //   input,  width = 1, receiver_clk_reset.reset
		.sender_reset   (rst_controller_002_reset_out_reset), //   input,  width = 1,   sender_clk_reset.reset
		.receiver_irq   (irq_synchronizer_receiver_irq),      //   input,  width = 1,           receiver.irq
		.sender_irq     (irq_mapper_receiver0_irq)            //  output,  width = 1,             sender.irq
	);

	Qsys_altera_irq_clock_crosser_2000_65i6gcy #(
		.IRQ_WIDTH (1)
	) irq_synchronizer_001 (
		.receiver_clk   (clock_in_out_clk_clk),               //   input,  width = 1,       receiver_clk.clk
		.sender_clk     (iopll_outclk0_clk),                  //   input,  width = 1,         sender_clk.clk
		.receiver_reset (~reset_in_out_reset_reset),          //   input,  width = 1, receiver_clk_reset.reset
		.sender_reset   (rst_controller_002_reset_out_reset), //   input,  width = 1,   sender_clk_reset.reset
		.receiver_irq   (irq_synchronizer_001_receiver_irq),  //   input,  width = 1,           receiver.irq
		.sender_irq     (irq_mapper_receiver1_irq)            //  output,  width = 1,             sender.irq
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_in_out_reset_reset),      //   input,  width = 1, reset_in0.reset
		.clk            (iopll_outclk0_clk),              //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_reset_out_reset), //  output,  width = 1, reset_out.reset
		.reset_req      (),                               // (terminated),                       
		.reset_req_in0  (1'b0),                           // (terminated),                       
		.reset_in1      (1'b0),                           // (terminated),                       
		.reset_req_in1  (1'b0),                           // (terminated),                       
		.reset_in2      (1'b0),                           // (terminated),                       
		.reset_req_in2  (1'b0),                           // (terminated),                       
		.reset_in3      (1'b0),                           // (terminated),                       
		.reset_req_in3  (1'b0),                           // (terminated),                       
		.reset_in4      (1'b0),                           // (terminated),                       
		.reset_req_in4  (1'b0),                           // (terminated),                       
		.reset_in5      (1'b0),                           // (terminated),                       
		.reset_req_in5  (1'b0),                           // (terminated),                       
		.reset_in6      (1'b0),                           // (terminated),                       
		.reset_req_in6  (1'b0),                           // (terminated),                       
		.reset_in7      (1'b0),                           // (terminated),                       
		.reset_req_in7  (1'b0),                           // (terminated),                       
		.reset_in8      (1'b0),                           // (terminated),                       
		.reset_req_in8  (1'b0),                           // (terminated),                       
		.reset_in9      (1'b0),                           // (terminated),                       
		.reset_req_in9  (1'b0),                           // (terminated),                       
		.reset_in10     (1'b0),                           // (terminated),                       
		.reset_req_in10 (1'b0),                           // (terminated),                       
		.reset_in11     (1'b0),                           // (terminated),                       
		.reset_req_in11 (1'b0),                           // (terminated),                       
		.reset_in12     (1'b0),                           // (terminated),                       
		.reset_req_in12 (1'b0),                           // (terminated),                       
		.reset_in13     (1'b0),                           // (terminated),                       
		.reset_req_in13 (1'b0),                           // (terminated),                       
		.reset_in14     (1'b0),                           // (terminated),                       
		.reset_req_in14 (1'b0),                           // (terminated),                       
		.reset_in15     (1'b0),                           // (terminated),                       
		.reset_req_in15 (1'b0)                            // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_001 (
		.reset_in0      (nios2_gen2_debug_reset_request_reset),   //   input,  width = 1, reset_in0.reset
		.clk            (iopll_outclk0_clk),                      //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_001_reset_out_reset),     //  output,  width = 1, reset_out.reset
		.reset_req      (rst_controller_001_reset_out_reset_req), //  output,  width = 1,          .reset_req
		.reset_req_in0  (1'b0),                                   // (terminated),                       
		.reset_in1      (1'b0),                                   // (terminated),                       
		.reset_req_in1  (1'b0),                                   // (terminated),                       
		.reset_in2      (1'b0),                                   // (terminated),                       
		.reset_req_in2  (1'b0),                                   // (terminated),                       
		.reset_in3      (1'b0),                                   // (terminated),                       
		.reset_req_in3  (1'b0),                                   // (terminated),                       
		.reset_in4      (1'b0),                                   // (terminated),                       
		.reset_req_in4  (1'b0),                                   // (terminated),                       
		.reset_in5      (1'b0),                                   // (terminated),                       
		.reset_req_in5  (1'b0),                                   // (terminated),                       
		.reset_in6      (1'b0),                                   // (terminated),                       
		.reset_req_in6  (1'b0),                                   // (terminated),                       
		.reset_in7      (1'b0),                                   // (terminated),                       
		.reset_req_in7  (1'b0),                                   // (terminated),                       
		.reset_in8      (1'b0),                                   // (terminated),                       
		.reset_req_in8  (1'b0),                                   // (terminated),                       
		.reset_in9      (1'b0),                                   // (terminated),                       
		.reset_req_in9  (1'b0),                                   // (terminated),                       
		.reset_in10     (1'b0),                                   // (terminated),                       
		.reset_req_in10 (1'b0),                                   // (terminated),                       
		.reset_in11     (1'b0),                                   // (terminated),                       
		.reset_req_in11 (1'b0),                                   // (terminated),                       
		.reset_in12     (1'b0),                                   // (terminated),                       
		.reset_req_in12 (1'b0),                                   // (terminated),                       
		.reset_in13     (1'b0),                                   // (terminated),                       
		.reset_req_in13 (1'b0),                                   // (terminated),                       
		.reset_in14     (1'b0),                                   // (terminated),                       
		.reset_req_in14 (1'b0),                                   // (terminated),                       
		.reset_in15     (1'b0),                                   // (terminated),                       
		.reset_req_in15 (1'b0)                                    // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_002 (
		.reset_in0      (nios2_gen2_debug_reset_request_reset),   //   input,  width = 1, reset_in0.reset
		.reset_in1      (~reset_in_out_reset_reset),              //   input,  width = 1, reset_in1.reset
		.clk            (iopll_outclk0_clk),                      //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_002_reset_out_reset),     //  output,  width = 1, reset_out.reset
		.reset_req      (rst_controller_002_reset_out_reset_req), //  output,  width = 1,          .reset_req
		.reset_req_in0  (1'b0),                                   // (terminated),                       
		.reset_req_in1  (1'b0),                                   // (terminated),                       
		.reset_in2      (1'b0),                                   // (terminated),                       
		.reset_req_in2  (1'b0),                                   // (terminated),                       
		.reset_in3      (1'b0),                                   // (terminated),                       
		.reset_req_in3  (1'b0),                                   // (terminated),                       
		.reset_in4      (1'b0),                                   // (terminated),                       
		.reset_req_in4  (1'b0),                                   // (terminated),                       
		.reset_in5      (1'b0),                                   // (terminated),                       
		.reset_req_in5  (1'b0),                                   // (terminated),                       
		.reset_in6      (1'b0),                                   // (terminated),                       
		.reset_req_in6  (1'b0),                                   // (terminated),                       
		.reset_in7      (1'b0),                                   // (terminated),                       
		.reset_req_in7  (1'b0),                                   // (terminated),                       
		.reset_in8      (1'b0),                                   // (terminated),                       
		.reset_req_in8  (1'b0),                                   // (terminated),                       
		.reset_in9      (1'b0),                                   // (terminated),                       
		.reset_req_in9  (1'b0),                                   // (terminated),                       
		.reset_in10     (1'b0),                                   // (terminated),                       
		.reset_req_in10 (1'b0),                                   // (terminated),                       
		.reset_in11     (1'b0),                                   // (terminated),                       
		.reset_req_in11 (1'b0),                                   // (terminated),                       
		.reset_in12     (1'b0),                                   // (terminated),                       
		.reset_req_in12 (1'b0),                                   // (terminated),                       
		.reset_in13     (1'b0),                                   // (terminated),                       
		.reset_req_in13 (1'b0),                                   // (terminated),                       
		.reset_in14     (1'b0),                                   // (terminated),                       
		.reset_req_in14 (1'b0),                                   // (terminated),                       
		.reset_in15     (1'b0),                                   // (terminated),                       
		.reset_req_in15 (1'b0)                                    // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("both"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_003 (
		.reset_in0      (nios2_gen2_debug_reset_request_reset), //   input,  width = 1, reset_in0.reset
		.reset_in1      (~reset_in_out_reset_reset),            //   input,  width = 1, reset_in1.reset
		.clk            (iopll_outclk0_clk),                    //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_003_reset_out_reset),   //  output,  width = 1, reset_out.reset
		.reset_req      (),                                     // (terminated),                       
		.reset_req_in0  (1'b0),                                 // (terminated),                       
		.reset_req_in1  (1'b0),                                 // (terminated),                       
		.reset_in2      (1'b0),                                 // (terminated),                       
		.reset_req_in2  (1'b0),                                 // (terminated),                       
		.reset_in3      (1'b0),                                 // (terminated),                       
		.reset_req_in3  (1'b0),                                 // (terminated),                       
		.reset_in4      (1'b0),                                 // (terminated),                       
		.reset_req_in4  (1'b0),                                 // (terminated),                       
		.reset_in5      (1'b0),                                 // (terminated),                       
		.reset_req_in5  (1'b0),                                 // (terminated),                       
		.reset_in6      (1'b0),                                 // (terminated),                       
		.reset_req_in6  (1'b0),                                 // (terminated),                       
		.reset_in7      (1'b0),                                 // (terminated),                       
		.reset_req_in7  (1'b0),                                 // (terminated),                       
		.reset_in8      (1'b0),                                 // (terminated),                       
		.reset_req_in8  (1'b0),                                 // (terminated),                       
		.reset_in9      (1'b0),                                 // (terminated),                       
		.reset_req_in9  (1'b0),                                 // (terminated),                       
		.reset_in10     (1'b0),                                 // (terminated),                       
		.reset_req_in10 (1'b0),                                 // (terminated),                       
		.reset_in11     (1'b0),                                 // (terminated),                       
		.reset_req_in11 (1'b0),                                 // (terminated),                       
		.reset_in12     (1'b0),                                 // (terminated),                       
		.reset_req_in12 (1'b0),                                 // (terminated),                       
		.reset_in13     (1'b0),                                 // (terminated),                       
		.reset_req_in13 (1'b0),                                 // (terminated),                       
		.reset_in14     (1'b0),                                 // (terminated),                       
		.reset_req_in14 (1'b0),                                 // (terminated),                       
		.reset_in15     (1'b0),                                 // (terminated),                       
		.reset_req_in15 (1'b0)                                  // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("both"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_004 (
		.reset_in0      (~reset_in_out_reset_reset),          //   input,  width = 1, reset_in0.reset
		.clk            (iopll_outclk0_clk),                  //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_004_reset_out_reset), //  output,  width = 1, reset_out.reset
		.reset_req      (),                                   // (terminated),                       
		.reset_req_in0  (1'b0),                               // (terminated),                       
		.reset_in1      (1'b0),                               // (terminated),                       
		.reset_req_in1  (1'b0),                               // (terminated),                       
		.reset_in2      (1'b0),                               // (terminated),                       
		.reset_req_in2  (1'b0),                               // (terminated),                       
		.reset_in3      (1'b0),                               // (terminated),                       
		.reset_req_in3  (1'b0),                               // (terminated),                       
		.reset_in4      (1'b0),                               // (terminated),                       
		.reset_req_in4  (1'b0),                               // (terminated),                       
		.reset_in5      (1'b0),                               // (terminated),                       
		.reset_req_in5  (1'b0),                               // (terminated),                       
		.reset_in6      (1'b0),                               // (terminated),                       
		.reset_req_in6  (1'b0),                               // (terminated),                       
		.reset_in7      (1'b0),                               // (terminated),                       
		.reset_req_in7  (1'b0),                               // (terminated),                       
		.reset_in8      (1'b0),                               // (terminated),                       
		.reset_req_in8  (1'b0),                               // (terminated),                       
		.reset_in9      (1'b0),                               // (terminated),                       
		.reset_req_in9  (1'b0),                               // (terminated),                       
		.reset_in10     (1'b0),                               // (terminated),                       
		.reset_req_in10 (1'b0),                               // (terminated),                       
		.reset_in11     (1'b0),                               // (terminated),                       
		.reset_req_in11 (1'b0),                               // (terminated),                       
		.reset_in12     (1'b0),                               // (terminated),                       
		.reset_req_in12 (1'b0),                               // (terminated),                       
		.reset_in13     (1'b0),                               // (terminated),                       
		.reset_req_in13 (1'b0),                               // (terminated),                       
		.reset_in14     (1'b0),                               // (terminated),                       
		.reset_req_in14 (1'b0),                               // (terminated),                       
		.reset_in15     (1'b0),                               // (terminated),                       
		.reset_req_in15 (1'b0)                                // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("both"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_005 (
		.reset_in0      (nios2_gen2_debug_reset_request_reset), //   input,  width = 1, reset_in0.reset
		.clk            (iopll_outclk0_clk),                    //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_005_reset_out_reset),   //  output,  width = 1, reset_out.reset
		.reset_req      (),                                     // (terminated),                       
		.reset_req_in0  (1'b0),                                 // (terminated),                       
		.reset_in1      (1'b0),                                 // (terminated),                       
		.reset_req_in1  (1'b0),                                 // (terminated),                       
		.reset_in2      (1'b0),                                 // (terminated),                       
		.reset_req_in2  (1'b0),                                 // (terminated),                       
		.reset_in3      (1'b0),                                 // (terminated),                       
		.reset_req_in3  (1'b0),                                 // (terminated),                       
		.reset_in4      (1'b0),                                 // (terminated),                       
		.reset_req_in4  (1'b0),                                 // (terminated),                       
		.reset_in5      (1'b0),                                 // (terminated),                       
		.reset_req_in5  (1'b0),                                 // (terminated),                       
		.reset_in6      (1'b0),                                 // (terminated),                       
		.reset_req_in6  (1'b0),                                 // (terminated),                       
		.reset_in7      (1'b0),                                 // (terminated),                       
		.reset_req_in7  (1'b0),                                 // (terminated),                       
		.reset_in8      (1'b0),                                 // (terminated),                       
		.reset_req_in8  (1'b0),                                 // (terminated),                       
		.reset_in9      (1'b0),                                 // (terminated),                       
		.reset_req_in9  (1'b0),                                 // (terminated),                       
		.reset_in10     (1'b0),                                 // (terminated),                       
		.reset_req_in10 (1'b0),                                 // (terminated),                       
		.reset_in11     (1'b0),                                 // (terminated),                       
		.reset_req_in11 (1'b0),                                 // (terminated),                       
		.reset_in12     (1'b0),                                 // (terminated),                       
		.reset_req_in12 (1'b0),                                 // (terminated),                       
		.reset_in13     (1'b0),                                 // (terminated),                       
		.reset_req_in13 (1'b0),                                 // (terminated),                       
		.reset_in14     (1'b0),                                 // (terminated),                       
		.reset_req_in14 (1'b0),                                 // (terminated),                       
		.reset_in15     (1'b0),                                 // (terminated),                       
		.reset_req_in15 (1'b0)                                  // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("both"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_006 (
		.reset_in0      (~emif_ddr4a_emif_usr_reset_n_reset), //   input,  width = 1, reset_in0.reset
		.clk            (emif_ddr4a_emif_usr_clk_clk),        //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_006_reset_out_reset), //  output,  width = 1, reset_out.reset
		.reset_req      (),                                   // (terminated),                       
		.reset_req_in0  (1'b0),                               // (terminated),                       
		.reset_in1      (1'b0),                               // (terminated),                       
		.reset_req_in1  (1'b0),                               // (terminated),                       
		.reset_in2      (1'b0),                               // (terminated),                       
		.reset_req_in2  (1'b0),                               // (terminated),                       
		.reset_in3      (1'b0),                               // (terminated),                       
		.reset_req_in3  (1'b0),                               // (terminated),                       
		.reset_in4      (1'b0),                               // (terminated),                       
		.reset_req_in4  (1'b0),                               // (terminated),                       
		.reset_in5      (1'b0),                               // (terminated),                       
		.reset_req_in5  (1'b0),                               // (terminated),                       
		.reset_in6      (1'b0),                               // (terminated),                       
		.reset_req_in6  (1'b0),                               // (terminated),                       
		.reset_in7      (1'b0),                               // (terminated),                       
		.reset_req_in7  (1'b0),                               // (terminated),                       
		.reset_in8      (1'b0),                               // (terminated),                       
		.reset_req_in8  (1'b0),                               // (terminated),                       
		.reset_in9      (1'b0),                               // (terminated),                       
		.reset_req_in9  (1'b0),                               // (terminated),                       
		.reset_in10     (1'b0),                               // (terminated),                       
		.reset_req_in10 (1'b0),                               // (terminated),                       
		.reset_in11     (1'b0),                               // (terminated),                       
		.reset_req_in11 (1'b0),                               // (terminated),                       
		.reset_in12     (1'b0),                               // (terminated),                       
		.reset_req_in12 (1'b0),                               // (terminated),                       
		.reset_in13     (1'b0),                               // (terminated),                       
		.reset_req_in13 (1'b0),                               // (terminated),                       
		.reset_in14     (1'b0),                               // (terminated),                       
		.reset_req_in14 (1'b0),                               // (terminated),                       
		.reset_in15     (1'b0),                               // (terminated),                       
		.reset_req_in15 (1'b0)                                // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("both"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_007 (
		.reset_in0      (~emif_ddr4b_emif_usr_reset_n_reset), //   input,  width = 1, reset_in0.reset
		.clk            (emif_ddr4b_emif_usr_clk_clk),        //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_007_reset_out_reset), //  output,  width = 1, reset_out.reset
		.reset_req      (),                                   // (terminated),                       
		.reset_req_in0  (1'b0),                               // (terminated),                       
		.reset_in1      (1'b0),                               // (terminated),                       
		.reset_req_in1  (1'b0),                               // (terminated),                       
		.reset_in2      (1'b0),                               // (terminated),                       
		.reset_req_in2  (1'b0),                               // (terminated),                       
		.reset_in3      (1'b0),                               // (terminated),                       
		.reset_req_in3  (1'b0),                               // (terminated),                       
		.reset_in4      (1'b0),                               // (terminated),                       
		.reset_req_in4  (1'b0),                               // (terminated),                       
		.reset_in5      (1'b0),                               // (terminated),                       
		.reset_req_in5  (1'b0),                               // (terminated),                       
		.reset_in6      (1'b0),                               // (terminated),                       
		.reset_req_in6  (1'b0),                               // (terminated),                       
		.reset_in7      (1'b0),                               // (terminated),                       
		.reset_req_in7  (1'b0),                               // (terminated),                       
		.reset_in8      (1'b0),                               // (terminated),                       
		.reset_req_in8  (1'b0),                               // (terminated),                       
		.reset_in9      (1'b0),                               // (terminated),                       
		.reset_req_in9  (1'b0),                               // (terminated),                       
		.reset_in10     (1'b0),                               // (terminated),                       
		.reset_req_in10 (1'b0),                               // (terminated),                       
		.reset_in11     (1'b0),                               // (terminated),                       
		.reset_req_in11 (1'b0),                               // (terminated),                       
		.reset_in12     (1'b0),                               // (terminated),                       
		.reset_req_in12 (1'b0),                               // (terminated),                       
		.reset_in13     (1'b0),                               // (terminated),                       
		.reset_req_in13 (1'b0),                               // (terminated),                       
		.reset_in14     (1'b0),                               // (terminated),                       
		.reset_req_in14 (1'b0),                               // (terminated),                       
		.reset_in15     (1'b0),                               // (terminated),                       
		.reset_req_in15 (1'b0)                                // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("both"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_008 (
		.reset_in0      (~reset_in_out_reset_reset),          //   input,  width = 1, reset_in0.reset
		.clk            (clock_in_out_clk_clk),               //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_008_reset_out_reset), //  output,  width = 1, reset_out.reset
		.reset_req      (),                                   // (terminated),                       
		.reset_req_in0  (1'b0),                               // (terminated),                       
		.reset_in1      (1'b0),                               // (terminated),                       
		.reset_req_in1  (1'b0),                               // (terminated),                       
		.reset_in2      (1'b0),                               // (terminated),                       
		.reset_req_in2  (1'b0),                               // (terminated),                       
		.reset_in3      (1'b0),                               // (terminated),                       
		.reset_req_in3  (1'b0),                               // (terminated),                       
		.reset_in4      (1'b0),                               // (terminated),                       
		.reset_req_in4  (1'b0),                               // (terminated),                       
		.reset_in5      (1'b0),                               // (terminated),                       
		.reset_req_in5  (1'b0),                               // (terminated),                       
		.reset_in6      (1'b0),                               // (terminated),                       
		.reset_req_in6  (1'b0),                               // (terminated),                       
		.reset_in7      (1'b0),                               // (terminated),                       
		.reset_req_in7  (1'b0),                               // (terminated),                       
		.reset_in8      (1'b0),                               // (terminated),                       
		.reset_req_in8  (1'b0),                               // (terminated),                       
		.reset_in9      (1'b0),                               // (terminated),                       
		.reset_req_in9  (1'b0),                               // (terminated),                       
		.reset_in10     (1'b0),                               // (terminated),                       
		.reset_req_in10 (1'b0),                               // (terminated),                       
		.reset_in11     (1'b0),                               // (terminated),                       
		.reset_req_in11 (1'b0),                               // (terminated),                       
		.reset_in12     (1'b0),                               // (terminated),                       
		.reset_req_in12 (1'b0),                               // (terminated),                       
		.reset_in13     (1'b0),                               // (terminated),                       
		.reset_req_in13 (1'b0),                               // (terminated),                       
		.reset_in14     (1'b0),                               // (terminated),                       
		.reset_req_in14 (1'b0),                               // (terminated),                       
		.reset_in15     (1'b0),                               // (terminated),                       
		.reset_req_in15 (1'b0)                                // (terminated),                       
	);

endmodule
