	component pcie_ed is
		port (
			emif_fm_ddr4a_local_reset_req_local_reset_req     : in    std_logic                     := 'X';             -- local_reset_req
			emif_fm_ddr4a_local_reset_status_local_reset_done : out   std_logic;                                        -- local_reset_done
			emif_fm_ddr4a_pll_ref_clk_clk                     : in    std_logic                     := 'X';             -- clk
			emif_fm_ddr4a_oct_oct_rzqin                       : in    std_logic                     := 'X';             -- oct_rzqin
			emif_fm_ddr4a_mem_mem_ck                          : out   std_logic_vector(0 downto 0);                     -- mem_ck
			emif_fm_ddr4a_mem_mem_ck_n                        : out   std_logic_vector(0 downto 0);                     -- mem_ck_n
			emif_fm_ddr4a_mem_mem_a                           : out   std_logic_vector(16 downto 0);                    -- mem_a
			emif_fm_ddr4a_mem_mem_act_n                       : out   std_logic_vector(0 downto 0);                     -- mem_act_n
			emif_fm_ddr4a_mem_mem_ba                          : out   std_logic_vector(1 downto 0);                     -- mem_ba
			emif_fm_ddr4a_mem_mem_bg                          : out   std_logic_vector(1 downto 0);                     -- mem_bg
			emif_fm_ddr4a_mem_mem_cke                         : out   std_logic_vector(0 downto 0);                     -- mem_cke
			emif_fm_ddr4a_mem_mem_cs_n                        : out   std_logic_vector(0 downto 0);                     -- mem_cs_n
			emif_fm_ddr4a_mem_mem_odt                         : out   std_logic_vector(0 downto 0);                     -- mem_odt
			emif_fm_ddr4a_mem_mem_reset_n                     : out   std_logic_vector(0 downto 0);                     -- mem_reset_n
			emif_fm_ddr4a_mem_mem_par                         : out   std_logic_vector(0 downto 0);                     -- mem_par
			emif_fm_ddr4a_mem_mem_alert_n                     : in    std_logic_vector(0 downto 0)  := (others => 'X'); -- mem_alert_n
			emif_fm_ddr4a_mem_mem_dqs                         : inout std_logic_vector(8 downto 0)  := (others => 'X'); -- mem_dqs
			emif_fm_ddr4a_mem_mem_dqs_n                       : inout std_logic_vector(8 downto 0)  := (others => 'X'); -- mem_dqs_n
			emif_fm_ddr4a_mem_mem_dq                          : inout std_logic_vector(71 downto 0) := (others => 'X'); -- mem_dq
			emif_fm_ddr4a_mem_mem_dbi_n                       : inout std_logic_vector(8 downto 0)  := (others => 'X'); -- mem_dbi_n
			emif_fm_ddr4a_status_local_cal_success            : out   std_logic;                                        -- local_cal_success
			emif_fm_ddr4a_status_local_cal_fail               : out   std_logic;                                        -- local_cal_fail
			emif_fm_ddr4b_local_reset_req_local_reset_req     : in    std_logic                     := 'X';             -- local_reset_req
			emif_fm_ddr4b_local_reset_status_local_reset_done : out   std_logic;                                        -- local_reset_done
			emif_fm_ddr4b_pll_ref_clk_clk                     : in    std_logic                     := 'X';             -- clk
			emif_fm_ddr4b_oct_oct_rzqin                       : in    std_logic                     := 'X';             -- oct_rzqin
			emif_fm_ddr4b_mem_mem_ck                          : out   std_logic_vector(0 downto 0);                     -- mem_ck
			emif_fm_ddr4b_mem_mem_ck_n                        : out   std_logic_vector(0 downto 0);                     -- mem_ck_n
			emif_fm_ddr4b_mem_mem_a                           : out   std_logic_vector(16 downto 0);                    -- mem_a
			emif_fm_ddr4b_mem_mem_act_n                       : out   std_logic_vector(0 downto 0);                     -- mem_act_n
			emif_fm_ddr4b_mem_mem_ba                          : out   std_logic_vector(1 downto 0);                     -- mem_ba
			emif_fm_ddr4b_mem_mem_bg                          : out   std_logic_vector(0 downto 0);                     -- mem_bg
			emif_fm_ddr4b_mem_mem_cke                         : out   std_logic_vector(0 downto 0);                     -- mem_cke
			emif_fm_ddr4b_mem_mem_cs_n                        : out   std_logic_vector(0 downto 0);                     -- mem_cs_n
			emif_fm_ddr4b_mem_mem_odt                         : out   std_logic_vector(0 downto 0);                     -- mem_odt
			emif_fm_ddr4b_mem_mem_reset_n                     : out   std_logic_vector(0 downto 0);                     -- mem_reset_n
			emif_fm_ddr4b_mem_mem_par                         : out   std_logic_vector(0 downto 0);                     -- mem_par
			emif_fm_ddr4b_mem_mem_alert_n                     : in    std_logic_vector(0 downto 0)  := (others => 'X'); -- mem_alert_n
			emif_fm_ddr4b_mem_mem_dqs                         : inout std_logic_vector(8 downto 0)  := (others => 'X'); -- mem_dqs
			emif_fm_ddr4b_mem_mem_dqs_n                       : inout std_logic_vector(8 downto 0)  := (others => 'X'); -- mem_dqs_n
			emif_fm_ddr4b_mem_mem_dq                          : inout std_logic_vector(71 downto 0) := (others => 'X'); -- mem_dq
			emif_fm_ddr4b_mem_mem_dbi_n                       : inout std_logic_vector(8 downto 0)  := (others => 'X'); -- mem_dbi_n
			emif_fm_ddr4b_status_local_cal_success            : out   std_logic;                                        -- local_cal_success
			emif_fm_ddr4b_status_local_cal_fail               : out   std_logic;                                        -- local_cal_fail
			hip_serial_rx_n_in0                               : in    std_logic                     := 'X';             -- rx_n_in0
			hip_serial_rx_n_in1                               : in    std_logic                     := 'X';             -- rx_n_in1
			hip_serial_rx_n_in2                               : in    std_logic                     := 'X';             -- rx_n_in2
			hip_serial_rx_n_in3                               : in    std_logic                     := 'X';             -- rx_n_in3
			hip_serial_rx_n_in4                               : in    std_logic                     := 'X';             -- rx_n_in4
			hip_serial_rx_n_in5                               : in    std_logic                     := 'X';             -- rx_n_in5
			hip_serial_rx_n_in6                               : in    std_logic                     := 'X';             -- rx_n_in6
			hip_serial_rx_n_in7                               : in    std_logic                     := 'X';             -- rx_n_in7
			hip_serial_rx_p_in0                               : in    std_logic                     := 'X';             -- rx_p_in0
			hip_serial_rx_p_in1                               : in    std_logic                     := 'X';             -- rx_p_in1
			hip_serial_rx_p_in2                               : in    std_logic                     := 'X';             -- rx_p_in2
			hip_serial_rx_p_in3                               : in    std_logic                     := 'X';             -- rx_p_in3
			hip_serial_rx_p_in4                               : in    std_logic                     := 'X';             -- rx_p_in4
			hip_serial_rx_p_in5                               : in    std_logic                     := 'X';             -- rx_p_in5
			hip_serial_rx_p_in6                               : in    std_logic                     := 'X';             -- rx_p_in6
			hip_serial_rx_p_in7                               : in    std_logic                     := 'X';             -- rx_p_in7
			hip_serial_tx_n_out0                              : out   std_logic;                                        -- tx_n_out0
			hip_serial_tx_n_out1                              : out   std_logic;                                        -- tx_n_out1
			hip_serial_tx_n_out2                              : out   std_logic;                                        -- tx_n_out2
			hip_serial_tx_n_out3                              : out   std_logic;                                        -- tx_n_out3
			hip_serial_tx_n_out4                              : out   std_logic;                                        -- tx_n_out4
			hip_serial_tx_n_out5                              : out   std_logic;                                        -- tx_n_out5
			hip_serial_tx_n_out6                              : out   std_logic;                                        -- tx_n_out6
			hip_serial_tx_n_out7                              : out   std_logic;                                        -- tx_n_out7
			hip_serial_tx_p_out0                              : out   std_logic;                                        -- tx_p_out0
			hip_serial_tx_p_out1                              : out   std_logic;                                        -- tx_p_out1
			hip_serial_tx_p_out2                              : out   std_logic;                                        -- tx_p_out2
			hip_serial_tx_p_out3                              : out   std_logic;                                        -- tx_p_out3
			hip_serial_tx_p_out4                              : out   std_logic;                                        -- tx_p_out4
			hip_serial_tx_p_out5                              : out   std_logic;                                        -- tx_p_out5
			hip_serial_tx_p_out6                              : out   std_logic;                                        -- tx_p_out6
			hip_serial_tx_p_out7                              : out   std_logic;                                        -- tx_p_out7
			pin_perst_reset_n                                 : in    std_logic                     := 'X';             -- reset_n
			pio_button_export                                 : in    std_logic_vector(1 downto 0)  := (others => 'X'); -- export
			pio_led_export                                    : out   std_logic_vector(1 downto 0);                     -- export
			pll_in_refclk_fgt_0                               : in    std_logic                     := 'X'              -- in_refclk_fgt_0
		);
	end component pcie_ed;

	u0 : component pcie_ed
		port map (
			emif_fm_ddr4a_local_reset_req_local_reset_req     => CONNECTED_TO_emif_fm_ddr4a_local_reset_req_local_reset_req,     --    emif_fm_ddr4a_local_reset_req.local_reset_req
			emif_fm_ddr4a_local_reset_status_local_reset_done => CONNECTED_TO_emif_fm_ddr4a_local_reset_status_local_reset_done, -- emif_fm_ddr4a_local_reset_status.local_reset_done
			emif_fm_ddr4a_pll_ref_clk_clk                     => CONNECTED_TO_emif_fm_ddr4a_pll_ref_clk_clk,                     --        emif_fm_ddr4a_pll_ref_clk.clk
			emif_fm_ddr4a_oct_oct_rzqin                       => CONNECTED_TO_emif_fm_ddr4a_oct_oct_rzqin,                       --                emif_fm_ddr4a_oct.oct_rzqin
			emif_fm_ddr4a_mem_mem_ck                          => CONNECTED_TO_emif_fm_ddr4a_mem_mem_ck,                          --                emif_fm_ddr4a_mem.mem_ck
			emif_fm_ddr4a_mem_mem_ck_n                        => CONNECTED_TO_emif_fm_ddr4a_mem_mem_ck_n,                        --                                 .mem_ck_n
			emif_fm_ddr4a_mem_mem_a                           => CONNECTED_TO_emif_fm_ddr4a_mem_mem_a,                           --                                 .mem_a
			emif_fm_ddr4a_mem_mem_act_n                       => CONNECTED_TO_emif_fm_ddr4a_mem_mem_act_n,                       --                                 .mem_act_n
			emif_fm_ddr4a_mem_mem_ba                          => CONNECTED_TO_emif_fm_ddr4a_mem_mem_ba,                          --                                 .mem_ba
			emif_fm_ddr4a_mem_mem_bg                          => CONNECTED_TO_emif_fm_ddr4a_mem_mem_bg,                          --                                 .mem_bg
			emif_fm_ddr4a_mem_mem_cke                         => CONNECTED_TO_emif_fm_ddr4a_mem_mem_cke,                         --                                 .mem_cke
			emif_fm_ddr4a_mem_mem_cs_n                        => CONNECTED_TO_emif_fm_ddr4a_mem_mem_cs_n,                        --                                 .mem_cs_n
			emif_fm_ddr4a_mem_mem_odt                         => CONNECTED_TO_emif_fm_ddr4a_mem_mem_odt,                         --                                 .mem_odt
			emif_fm_ddr4a_mem_mem_reset_n                     => CONNECTED_TO_emif_fm_ddr4a_mem_mem_reset_n,                     --                                 .mem_reset_n
			emif_fm_ddr4a_mem_mem_par                         => CONNECTED_TO_emif_fm_ddr4a_mem_mem_par,                         --                                 .mem_par
			emif_fm_ddr4a_mem_mem_alert_n                     => CONNECTED_TO_emif_fm_ddr4a_mem_mem_alert_n,                     --                                 .mem_alert_n
			emif_fm_ddr4a_mem_mem_dqs                         => CONNECTED_TO_emif_fm_ddr4a_mem_mem_dqs,                         --                                 .mem_dqs
			emif_fm_ddr4a_mem_mem_dqs_n                       => CONNECTED_TO_emif_fm_ddr4a_mem_mem_dqs_n,                       --                                 .mem_dqs_n
			emif_fm_ddr4a_mem_mem_dq                          => CONNECTED_TO_emif_fm_ddr4a_mem_mem_dq,                          --                                 .mem_dq
			emif_fm_ddr4a_mem_mem_dbi_n                       => CONNECTED_TO_emif_fm_ddr4a_mem_mem_dbi_n,                       --                                 .mem_dbi_n
			emif_fm_ddr4a_status_local_cal_success            => CONNECTED_TO_emif_fm_ddr4a_status_local_cal_success,            --             emif_fm_ddr4a_status.local_cal_success
			emif_fm_ddr4a_status_local_cal_fail               => CONNECTED_TO_emif_fm_ddr4a_status_local_cal_fail,               --                                 .local_cal_fail
			emif_fm_ddr4b_local_reset_req_local_reset_req     => CONNECTED_TO_emif_fm_ddr4b_local_reset_req_local_reset_req,     --    emif_fm_ddr4b_local_reset_req.local_reset_req
			emif_fm_ddr4b_local_reset_status_local_reset_done => CONNECTED_TO_emif_fm_ddr4b_local_reset_status_local_reset_done, -- emif_fm_ddr4b_local_reset_status.local_reset_done
			emif_fm_ddr4b_pll_ref_clk_clk                     => CONNECTED_TO_emif_fm_ddr4b_pll_ref_clk_clk,                     --        emif_fm_ddr4b_pll_ref_clk.clk
			emif_fm_ddr4b_oct_oct_rzqin                       => CONNECTED_TO_emif_fm_ddr4b_oct_oct_rzqin,                       --                emif_fm_ddr4b_oct.oct_rzqin
			emif_fm_ddr4b_mem_mem_ck                          => CONNECTED_TO_emif_fm_ddr4b_mem_mem_ck,                          --                emif_fm_ddr4b_mem.mem_ck
			emif_fm_ddr4b_mem_mem_ck_n                        => CONNECTED_TO_emif_fm_ddr4b_mem_mem_ck_n,                        --                                 .mem_ck_n
			emif_fm_ddr4b_mem_mem_a                           => CONNECTED_TO_emif_fm_ddr4b_mem_mem_a,                           --                                 .mem_a
			emif_fm_ddr4b_mem_mem_act_n                       => CONNECTED_TO_emif_fm_ddr4b_mem_mem_act_n,                       --                                 .mem_act_n
			emif_fm_ddr4b_mem_mem_ba                          => CONNECTED_TO_emif_fm_ddr4b_mem_mem_ba,                          --                                 .mem_ba
			emif_fm_ddr4b_mem_mem_bg                          => CONNECTED_TO_emif_fm_ddr4b_mem_mem_bg,                          --                                 .mem_bg
			emif_fm_ddr4b_mem_mem_cke                         => CONNECTED_TO_emif_fm_ddr4b_mem_mem_cke,                         --                                 .mem_cke
			emif_fm_ddr4b_mem_mem_cs_n                        => CONNECTED_TO_emif_fm_ddr4b_mem_mem_cs_n,                        --                                 .mem_cs_n
			emif_fm_ddr4b_mem_mem_odt                         => CONNECTED_TO_emif_fm_ddr4b_mem_mem_odt,                         --                                 .mem_odt
			emif_fm_ddr4b_mem_mem_reset_n                     => CONNECTED_TO_emif_fm_ddr4b_mem_mem_reset_n,                     --                                 .mem_reset_n
			emif_fm_ddr4b_mem_mem_par                         => CONNECTED_TO_emif_fm_ddr4b_mem_mem_par,                         --                                 .mem_par
			emif_fm_ddr4b_mem_mem_alert_n                     => CONNECTED_TO_emif_fm_ddr4b_mem_mem_alert_n,                     --                                 .mem_alert_n
			emif_fm_ddr4b_mem_mem_dqs                         => CONNECTED_TO_emif_fm_ddr4b_mem_mem_dqs,                         --                                 .mem_dqs
			emif_fm_ddr4b_mem_mem_dqs_n                       => CONNECTED_TO_emif_fm_ddr4b_mem_mem_dqs_n,                       --                                 .mem_dqs_n
			emif_fm_ddr4b_mem_mem_dq                          => CONNECTED_TO_emif_fm_ddr4b_mem_mem_dq,                          --                                 .mem_dq
			emif_fm_ddr4b_mem_mem_dbi_n                       => CONNECTED_TO_emif_fm_ddr4b_mem_mem_dbi_n,                       --                                 .mem_dbi_n
			emif_fm_ddr4b_status_local_cal_success            => CONNECTED_TO_emif_fm_ddr4b_status_local_cal_success,            --             emif_fm_ddr4b_status.local_cal_success
			emif_fm_ddr4b_status_local_cal_fail               => CONNECTED_TO_emif_fm_ddr4b_status_local_cal_fail,               --                                 .local_cal_fail
			hip_serial_rx_n_in0                               => CONNECTED_TO_hip_serial_rx_n_in0,                               --                       hip_serial.rx_n_in0
			hip_serial_rx_n_in1                               => CONNECTED_TO_hip_serial_rx_n_in1,                               --                                 .rx_n_in1
			hip_serial_rx_n_in2                               => CONNECTED_TO_hip_serial_rx_n_in2,                               --                                 .rx_n_in2
			hip_serial_rx_n_in3                               => CONNECTED_TO_hip_serial_rx_n_in3,                               --                                 .rx_n_in3
			hip_serial_rx_n_in4                               => CONNECTED_TO_hip_serial_rx_n_in4,                               --                                 .rx_n_in4
			hip_serial_rx_n_in5                               => CONNECTED_TO_hip_serial_rx_n_in5,                               --                                 .rx_n_in5
			hip_serial_rx_n_in6                               => CONNECTED_TO_hip_serial_rx_n_in6,                               --                                 .rx_n_in6
			hip_serial_rx_n_in7                               => CONNECTED_TO_hip_serial_rx_n_in7,                               --                                 .rx_n_in7
			hip_serial_rx_p_in0                               => CONNECTED_TO_hip_serial_rx_p_in0,                               --                                 .rx_p_in0
			hip_serial_rx_p_in1                               => CONNECTED_TO_hip_serial_rx_p_in1,                               --                                 .rx_p_in1
			hip_serial_rx_p_in2                               => CONNECTED_TO_hip_serial_rx_p_in2,                               --                                 .rx_p_in2
			hip_serial_rx_p_in3                               => CONNECTED_TO_hip_serial_rx_p_in3,                               --                                 .rx_p_in3
			hip_serial_rx_p_in4                               => CONNECTED_TO_hip_serial_rx_p_in4,                               --                                 .rx_p_in4
			hip_serial_rx_p_in5                               => CONNECTED_TO_hip_serial_rx_p_in5,                               --                                 .rx_p_in5
			hip_serial_rx_p_in6                               => CONNECTED_TO_hip_serial_rx_p_in6,                               --                                 .rx_p_in6
			hip_serial_rx_p_in7                               => CONNECTED_TO_hip_serial_rx_p_in7,                               --                                 .rx_p_in7
			hip_serial_tx_n_out0                              => CONNECTED_TO_hip_serial_tx_n_out0,                              --                                 .tx_n_out0
			hip_serial_tx_n_out1                              => CONNECTED_TO_hip_serial_tx_n_out1,                              --                                 .tx_n_out1
			hip_serial_tx_n_out2                              => CONNECTED_TO_hip_serial_tx_n_out2,                              --                                 .tx_n_out2
			hip_serial_tx_n_out3                              => CONNECTED_TO_hip_serial_tx_n_out3,                              --                                 .tx_n_out3
			hip_serial_tx_n_out4                              => CONNECTED_TO_hip_serial_tx_n_out4,                              --                                 .tx_n_out4
			hip_serial_tx_n_out5                              => CONNECTED_TO_hip_serial_tx_n_out5,                              --                                 .tx_n_out5
			hip_serial_tx_n_out6                              => CONNECTED_TO_hip_serial_tx_n_out6,                              --                                 .tx_n_out6
			hip_serial_tx_n_out7                              => CONNECTED_TO_hip_serial_tx_n_out7,                              --                                 .tx_n_out7
			hip_serial_tx_p_out0                              => CONNECTED_TO_hip_serial_tx_p_out0,                              --                                 .tx_p_out0
			hip_serial_tx_p_out1                              => CONNECTED_TO_hip_serial_tx_p_out1,                              --                                 .tx_p_out1
			hip_serial_tx_p_out2                              => CONNECTED_TO_hip_serial_tx_p_out2,                              --                                 .tx_p_out2
			hip_serial_tx_p_out3                              => CONNECTED_TO_hip_serial_tx_p_out3,                              --                                 .tx_p_out3
			hip_serial_tx_p_out4                              => CONNECTED_TO_hip_serial_tx_p_out4,                              --                                 .tx_p_out4
			hip_serial_tx_p_out5                              => CONNECTED_TO_hip_serial_tx_p_out5,                              --                                 .tx_p_out5
			hip_serial_tx_p_out6                              => CONNECTED_TO_hip_serial_tx_p_out6,                              --                                 .tx_p_out6
			hip_serial_tx_p_out7                              => CONNECTED_TO_hip_serial_tx_p_out7,                              --                                 .tx_p_out7
			pin_perst_reset_n                                 => CONNECTED_TO_pin_perst_reset_n,                                 --                        pin_perst.reset_n
			pio_button_export                                 => CONNECTED_TO_pio_button_export,                                 --                       pio_button.export
			pio_led_export                                    => CONNECTED_TO_pio_led_export,                                    --                          pio_led.export
			pll_in_refclk_fgt_0                               => CONNECTED_TO_pll_in_refclk_fgt_0                                --                              pll.in_refclk_fgt_0
		);

