module pcie_ed_BAM_INTERPRETER (
		input  wire         clk_i,               //           clock.clk
		input  wire         reset_i,             //           reset.reset
		input  wire         bam_read_i,          //  AVMM_BAM_Slave.read
		input  wire         bam_write_i,         //                .write
		input  wire [29:0]  bam_address_i,       //                .address
		input  wire [4:0]   bam_burstcount_i,    //                .burstcount
		input  wire [31:0]  bam_byteenable_i,    //                .byteenable
		input  wire [255:0] bam_writedata_i,     //                .writedata
		output wire         bam_waitrequest_o,   //                .waitrequest
		output wire [255:0] bam_readdata_o,      //                .readdata
		output wire         bam_readdatavalid_o, //                .readdatavalid
		output wire         bam_read_o,          // AVMM_BAM_Master.read
		output wire         bam_write_o,         //                .write
		output wire [26:0]  bam_address_o,       //                .address
		output wire [4:0]   bam_burstcount_o,    //                .burstcount
		output wire [31:0]  bam_byteenable_o,    //                .byteenable
		output wire [255:0] bam_writedata_o,     //                .writedata
		input  wire         bam_waitrequest_i,   //                .waitrequest
		input  wire [255:0] bam_readdata_i,      //                .readdata
		input  wire         bam_readdatavalid_i  //                .readdatavalid
	);
endmodule

