	pcie_ftile_mcdma u0 (
		.app_clk                (_connected_to_app_clk_),                //  output,    width = 1,            app_clk.clk
		.app_rst_n              (_connected_to_app_rst_n_),              //  output,    width = 1,  app_nreset_status.reset_n
		.d2hdm_waitrequest_i    (_connected_to_d2hdm_waitrequest_i_),    //   input,    width = 1,    p0_d2hdm_master.waitrequest
		.d2hdm_read_o           (_connected_to_d2hdm_read_o_),           //  output,    width = 1,                   .read
		.d2hdm_address_o        (_connected_to_d2hdm_address_o_),        //  output,   width = 64,                   .address
		.d2hdm_burstcount_o     (_connected_to_d2hdm_burstcount_o_),     //  output,    width = 5,                   .burstcount
		.d2hdm_byteenable_o     (_connected_to_d2hdm_byteenable_o_),     //  output,   width = 32,                   .byteenable
		.d2hdm_readdatavalid_i  (_connected_to_d2hdm_readdatavalid_i_),  //   input,    width = 1,                   .readdatavalid
		.d2hdm_readdata_i       (_connected_to_d2hdm_readdata_i_),       //   input,  width = 256,                   .readdata
		.d2hdm_response_i       (_connected_to_d2hdm_response_i_),       //   input,    width = 2,                   .response
		.h2ddm_waitrequest_i    (_connected_to_h2ddm_waitrequest_i_),    //   input,    width = 1,    p0_h2ddm_master.waitrequest
		.h2ddm_write_o          (_connected_to_h2ddm_write_o_),          //  output,    width = 1,                   .write
		.h2ddm_address_o        (_connected_to_h2ddm_address_o_),        //  output,   width = 64,                   .address
		.h2ddm_burstcount_o     (_connected_to_h2ddm_burstcount_o_),     //  output,    width = 5,                   .burstcount
		.h2ddm_byteenable_o     (_connected_to_h2ddm_byteenable_o_),     //  output,   width = 32,                   .byteenable
		.h2ddm_writedata_o      (_connected_to_h2ddm_writedata_o_),      //  output,  width = 256,                   .writedata
		.bam_waitrequest_i      (_connected_to_bam_waitrequest_i_),      //   input,    width = 1,      p0_bam_master.waitrequest
		.bam_address_o          (_connected_to_bam_address_o_),          //  output,   width = 30,                   .address
		.bam_byteenable_o       (_connected_to_bam_byteenable_o_),       //  output,   width = 32,                   .byteenable
		.bam_read_o             (_connected_to_bam_read_o_),             //  output,    width = 1,                   .read
		.bam_readdata_i         (_connected_to_bam_readdata_i_),         //   input,  width = 256,                   .readdata
		.bam_readdatavalid_i    (_connected_to_bam_readdatavalid_i_),    //   input,    width = 1,                   .readdatavalid
		.bam_write_o            (_connected_to_bam_write_o_),            //  output,    width = 1,                   .write
		.bam_writedata_o        (_connected_to_bam_writedata_o_),        //  output,  width = 256,                   .writedata
		.bam_burstcount_o       (_connected_to_bam_burstcount_o_),       //  output,    width = 5,                   .burstcount
		.usr_hip_tl_cfg_func_o  (_connected_to_usr_hip_tl_cfg_func_o_),  //  output,    width = 3,   p0_usr_config_tl.tl_cfg_func
		.usr_hip_tl_cfg_add_o   (_connected_to_usr_hip_tl_cfg_add_o_),   //  output,    width = 5,                   .tl_cfg_add
		.usr_hip_tl_cfg_ctl_o   (_connected_to_usr_hip_tl_cfg_ctl_o_),   //  output,   width = 16,                   .tl_cfg_ctl
		.p0_link_up_o           (_connected_to_p0_link_up_o_),           //  output,    width = 1,      p0_hip_status.link_up
		.p0_dl_up_o             (_connected_to_p0_dl_up_o_),             //  output,    width = 1,                   .dl_up
		.p0_surprise_down_err_o (_connected_to_p0_surprise_down_err_o_), //  output,    width = 1,                   .surprise_down_err
		.p0_ltssm_state_o       (_connected_to_p0_ltssm_state_o_),       //  output,    width = 6,                   .ltssmstate
		.refclk0                (_connected_to_refclk0_),                //   input,    width = 1,            refclk0.clk
		.refclk1                (_connected_to_refclk1_),                //   input,    width = 1,            refclk1.clk
		.pcie_systempll_clk     (_connected_to_pcie_systempll_clk_),     //   input,    width = 1, pcie_systempll_clk.clk
		.ninit_done             (_connected_to_ninit_done_),             //   input,    width = 1,         ninit_done.reset
		.rx_n_in0               (_connected_to_rx_n_in0_),               //   input,    width = 1,         hip_serial.rx_n_in0
		.rx_n_in1               (_connected_to_rx_n_in1_),               //   input,    width = 1,                   .rx_n_in1
		.rx_n_in2               (_connected_to_rx_n_in2_),               //   input,    width = 1,                   .rx_n_in2
		.rx_n_in3               (_connected_to_rx_n_in3_),               //   input,    width = 1,                   .rx_n_in3
		.rx_n_in4               (_connected_to_rx_n_in4_),               //   input,    width = 1,                   .rx_n_in4
		.rx_n_in5               (_connected_to_rx_n_in5_),               //   input,    width = 1,                   .rx_n_in5
		.rx_n_in6               (_connected_to_rx_n_in6_),               //   input,    width = 1,                   .rx_n_in6
		.rx_n_in7               (_connected_to_rx_n_in7_),               //   input,    width = 1,                   .rx_n_in7
		.rx_p_in0               (_connected_to_rx_p_in0_),               //   input,    width = 1,                   .rx_p_in0
		.rx_p_in1               (_connected_to_rx_p_in1_),               //   input,    width = 1,                   .rx_p_in1
		.rx_p_in2               (_connected_to_rx_p_in2_),               //   input,    width = 1,                   .rx_p_in2
		.rx_p_in3               (_connected_to_rx_p_in3_),               //   input,    width = 1,                   .rx_p_in3
		.rx_p_in4               (_connected_to_rx_p_in4_),               //   input,    width = 1,                   .rx_p_in4
		.rx_p_in5               (_connected_to_rx_p_in5_),               //   input,    width = 1,                   .rx_p_in5
		.rx_p_in6               (_connected_to_rx_p_in6_),               //   input,    width = 1,                   .rx_p_in6
		.rx_p_in7               (_connected_to_rx_p_in7_),               //   input,    width = 1,                   .rx_p_in7
		.tx_n_out0              (_connected_to_tx_n_out0_),              //  output,    width = 1,                   .tx_n_out0
		.tx_n_out1              (_connected_to_tx_n_out1_),              //  output,    width = 1,                   .tx_n_out1
		.tx_n_out2              (_connected_to_tx_n_out2_),              //  output,    width = 1,                   .tx_n_out2
		.tx_n_out3              (_connected_to_tx_n_out3_),              //  output,    width = 1,                   .tx_n_out3
		.tx_n_out4              (_connected_to_tx_n_out4_),              //  output,    width = 1,                   .tx_n_out4
		.tx_n_out5              (_connected_to_tx_n_out5_),              //  output,    width = 1,                   .tx_n_out5
		.tx_n_out6              (_connected_to_tx_n_out6_),              //  output,    width = 1,                   .tx_n_out6
		.tx_n_out7              (_connected_to_tx_n_out7_),              //  output,    width = 1,                   .tx_n_out7
		.tx_p_out0              (_connected_to_tx_p_out0_),              //  output,    width = 1,                   .tx_p_out0
		.tx_p_out1              (_connected_to_tx_p_out1_),              //  output,    width = 1,                   .tx_p_out1
		.tx_p_out2              (_connected_to_tx_p_out2_),              //  output,    width = 1,                   .tx_p_out2
		.tx_p_out3              (_connected_to_tx_p_out3_),              //  output,    width = 1,                   .tx_p_out3
		.tx_p_out4              (_connected_to_tx_p_out4_),              //  output,    width = 1,                   .tx_p_out4
		.tx_p_out5              (_connected_to_tx_p_out5_),              //  output,    width = 1,                   .tx_p_out5
		.tx_p_out6              (_connected_to_tx_p_out6_),              //  output,    width = 1,                   .tx_p_out6
		.tx_p_out7              (_connected_to_tx_p_out7_),              //  output,    width = 1,                   .tx_p_out7
		.pin_perst_n            (_connected_to_pin_perst_n_)             //   input,    width = 1,          pin_perst.reset_n
	);

