	component pcie_ed is
		port (
			hip_serial_rx_n_in0  : in  std_logic                    := 'X';             -- rx_n_in0
			hip_serial_rx_n_in1  : in  std_logic                    := 'X';             -- rx_n_in1
			hip_serial_rx_n_in2  : in  std_logic                    := 'X';             -- rx_n_in2
			hip_serial_rx_n_in3  : in  std_logic                    := 'X';             -- rx_n_in3
			hip_serial_rx_n_in4  : in  std_logic                    := 'X';             -- rx_n_in4
			hip_serial_rx_n_in5  : in  std_logic                    := 'X';             -- rx_n_in5
			hip_serial_rx_n_in6  : in  std_logic                    := 'X';             -- rx_n_in6
			hip_serial_rx_n_in7  : in  std_logic                    := 'X';             -- rx_n_in7
			hip_serial_rx_p_in0  : in  std_logic                    := 'X';             -- rx_p_in0
			hip_serial_rx_p_in1  : in  std_logic                    := 'X';             -- rx_p_in1
			hip_serial_rx_p_in2  : in  std_logic                    := 'X';             -- rx_p_in2
			hip_serial_rx_p_in3  : in  std_logic                    := 'X';             -- rx_p_in3
			hip_serial_rx_p_in4  : in  std_logic                    := 'X';             -- rx_p_in4
			hip_serial_rx_p_in5  : in  std_logic                    := 'X';             -- rx_p_in5
			hip_serial_rx_p_in6  : in  std_logic                    := 'X';             -- rx_p_in6
			hip_serial_rx_p_in7  : in  std_logic                    := 'X';             -- rx_p_in7
			hip_serial_tx_n_out0 : out std_logic;                                       -- tx_n_out0
			hip_serial_tx_n_out1 : out std_logic;                                       -- tx_n_out1
			hip_serial_tx_n_out2 : out std_logic;                                       -- tx_n_out2
			hip_serial_tx_n_out3 : out std_logic;                                       -- tx_n_out3
			hip_serial_tx_n_out4 : out std_logic;                                       -- tx_n_out4
			hip_serial_tx_n_out5 : out std_logic;                                       -- tx_n_out5
			hip_serial_tx_n_out6 : out std_logic;                                       -- tx_n_out6
			hip_serial_tx_n_out7 : out std_logic;                                       -- tx_n_out7
			hip_serial_tx_p_out0 : out std_logic;                                       -- tx_p_out0
			hip_serial_tx_p_out1 : out std_logic;                                       -- tx_p_out1
			hip_serial_tx_p_out2 : out std_logic;                                       -- tx_p_out2
			hip_serial_tx_p_out3 : out std_logic;                                       -- tx_p_out3
			hip_serial_tx_p_out4 : out std_logic;                                       -- tx_p_out4
			hip_serial_tx_p_out5 : out std_logic;                                       -- tx_p_out5
			hip_serial_tx_p_out6 : out std_logic;                                       -- tx_p_out6
			hip_serial_tx_p_out7 : out std_logic;                                       -- tx_p_out7
			pin_perst_reset_n    : in  std_logic                    := 'X';             -- reset_n
			pio_button_export    : in  std_logic_vector(1 downto 0) := (others => 'X'); -- export
			pio_led_export       : out std_logic_vector(1 downto 0);                    -- export
			pll_in_refclk_fgt_0  : in  std_logic                    := 'X'              -- in_refclk_fgt_0
		);
	end component pcie_ed;

	u0 : component pcie_ed
		port map (
			hip_serial_rx_n_in0  => CONNECTED_TO_hip_serial_rx_n_in0,  -- hip_serial.rx_n_in0
			hip_serial_rx_n_in1  => CONNECTED_TO_hip_serial_rx_n_in1,  --           .rx_n_in1
			hip_serial_rx_n_in2  => CONNECTED_TO_hip_serial_rx_n_in2,  --           .rx_n_in2
			hip_serial_rx_n_in3  => CONNECTED_TO_hip_serial_rx_n_in3,  --           .rx_n_in3
			hip_serial_rx_n_in4  => CONNECTED_TO_hip_serial_rx_n_in4,  --           .rx_n_in4
			hip_serial_rx_n_in5  => CONNECTED_TO_hip_serial_rx_n_in5,  --           .rx_n_in5
			hip_serial_rx_n_in6  => CONNECTED_TO_hip_serial_rx_n_in6,  --           .rx_n_in6
			hip_serial_rx_n_in7  => CONNECTED_TO_hip_serial_rx_n_in7,  --           .rx_n_in7
			hip_serial_rx_p_in0  => CONNECTED_TO_hip_serial_rx_p_in0,  --           .rx_p_in0
			hip_serial_rx_p_in1  => CONNECTED_TO_hip_serial_rx_p_in1,  --           .rx_p_in1
			hip_serial_rx_p_in2  => CONNECTED_TO_hip_serial_rx_p_in2,  --           .rx_p_in2
			hip_serial_rx_p_in3  => CONNECTED_TO_hip_serial_rx_p_in3,  --           .rx_p_in3
			hip_serial_rx_p_in4  => CONNECTED_TO_hip_serial_rx_p_in4,  --           .rx_p_in4
			hip_serial_rx_p_in5  => CONNECTED_TO_hip_serial_rx_p_in5,  --           .rx_p_in5
			hip_serial_rx_p_in6  => CONNECTED_TO_hip_serial_rx_p_in6,  --           .rx_p_in6
			hip_serial_rx_p_in7  => CONNECTED_TO_hip_serial_rx_p_in7,  --           .rx_p_in7
			hip_serial_tx_n_out0 => CONNECTED_TO_hip_serial_tx_n_out0, --           .tx_n_out0
			hip_serial_tx_n_out1 => CONNECTED_TO_hip_serial_tx_n_out1, --           .tx_n_out1
			hip_serial_tx_n_out2 => CONNECTED_TO_hip_serial_tx_n_out2, --           .tx_n_out2
			hip_serial_tx_n_out3 => CONNECTED_TO_hip_serial_tx_n_out3, --           .tx_n_out3
			hip_serial_tx_n_out4 => CONNECTED_TO_hip_serial_tx_n_out4, --           .tx_n_out4
			hip_serial_tx_n_out5 => CONNECTED_TO_hip_serial_tx_n_out5, --           .tx_n_out5
			hip_serial_tx_n_out6 => CONNECTED_TO_hip_serial_tx_n_out6, --           .tx_n_out6
			hip_serial_tx_n_out7 => CONNECTED_TO_hip_serial_tx_n_out7, --           .tx_n_out7
			hip_serial_tx_p_out0 => CONNECTED_TO_hip_serial_tx_p_out0, --           .tx_p_out0
			hip_serial_tx_p_out1 => CONNECTED_TO_hip_serial_tx_p_out1, --           .tx_p_out1
			hip_serial_tx_p_out2 => CONNECTED_TO_hip_serial_tx_p_out2, --           .tx_p_out2
			hip_serial_tx_p_out3 => CONNECTED_TO_hip_serial_tx_p_out3, --           .tx_p_out3
			hip_serial_tx_p_out4 => CONNECTED_TO_hip_serial_tx_p_out4, --           .tx_p_out4
			hip_serial_tx_p_out5 => CONNECTED_TO_hip_serial_tx_p_out5, --           .tx_p_out5
			hip_serial_tx_p_out6 => CONNECTED_TO_hip_serial_tx_p_out6, --           .tx_p_out6
			hip_serial_tx_p_out7 => CONNECTED_TO_hip_serial_tx_p_out7, --           .tx_p_out7
			pin_perst_reset_n    => CONNECTED_TO_pin_perst_reset_n,    --  pin_perst.reset_n
			pio_button_export    => CONNECTED_TO_pio_button_export,    -- pio_button.export
			pio_led_export       => CONNECTED_TO_pio_led_export,       --    pio_led.export
			pll_in_refclk_fgt_0  => CONNECTED_TO_pll_in_refclk_fgt_0   --        pll.in_refclk_fgt_0
		);

