#**************************************************************
# This .sdc file is created by Terasic Tool.
# Users are recommended to modify this file to match users logic.
#**************************************************************

#**************************************************************
# Create Clock
#**************************************************************
# CLOCK
create_clock -period 10 [get_ports CLK_100_B3A_p]
create_clock -period 10 [get_ports CLK_100_p]
create_clock -period "148.5MHz" [get_ports CLK_148M5_p]
create_clock -period 20 [get_ports CLK_50_B2D_p]
create_clock -period 20 [get_ports CLK_50_B2E_p]
create_clock -period 20 [get_ports CLK_50_B3A_p]
create_clock -period 20 [get_ports CLK_50_B3C_p]
# DDR4A
create_clock -period 30 [get_ports DDR4A_REFCLK_p]
# DDR4B
create_clock -period 30 [get_ports DDR4B_REFCLK_p]
# HDMI
create_clock -period 10 [get_ports HDMI_REFCLK_100_p]
create_clock -period "148.5MHz" [get_ports HDMI_REFCLK_148M5_p]
# FMCP
create_clock -period 10 [get_ports FMCP_GBTCLK_M2C_p[0]]
create_clock -period 10 [get_ports FMCP_GBTCLK_M2C_p[1]]
create_clock -period "184.32MHz" [get_ports FMCP_REFCLK_p[0]]
create_clock -period "156.25MHz" [get_ports FMCP_REFCLK_p[1]]
create_clock -period "100MHz" [get_ports FMCP_REFCLK_p[2]]
create_clock -period "148.5MHz" [get_ports FMCP_REFCLK_p[3]]
# PCIE
create_clock -period 10 [get_ports PCIE_REFCLK_p]
# QSFP28
create_clock -period "156.25MHz" [get_ports QSFP28_REFCLK_p[0]]
create_clock -period "184.32MHz" [get_ports QSFP28_REFCLK_p[1]]


#**************************************************************
# Create Generated Clock
#**************************************************************
derive_pll_clocks


#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************
derive_clock_uncertainty


#**************************************************************
# Set Input Delay
#**************************************************************



#**************************************************************
# Set Output Delay
#**************************************************************



#**************************************************************
# Set Clock Groups
#**************************************************************



#**************************************************************
# Set False Path
#**************************************************************



#**************************************************************
# Set Multicycle Path
#**************************************************************



#**************************************************************
# Set Maximum Delay
#**************************************************************



#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************



#**************************************************************
# Set Load
#**************************************************************



