** (C) 2001-2020 Intel Corporation. All rights reserved.
** Your use of Intel Corporation's design tools, logic functions and other 
** software and tools, and its AMPP partner logic functions, and any output 
** files from any of the foregoing (including device programming or simulation 
** files), and any associated documentation or information are expressly subject 
** to the terms and conditions of the Intel Program License Subscription 
** Agreement, Intel FPGA IP License Agreement, or other applicable 
** license agreement, including, without limitation, that your use is for the 
** sole purpose of programming logic devices manufactured by Intel and sold by 
** Intel or its authorized distributors.  Please refer to the applicable 
** agreement for further details.


******************************************************************************
** This file provides a template for customers to insert a simulation model of
** the databus DIMM connector, or in the case of a component-based interface,
** the memory-component package model. 
** 
** This model is assumed to be identical across all ranks and uses the same 12
** lines as the rest of the DQ simulation collateral.  In the case of a simple
** point-to-point component interface, this file only needs to contain the
** package model of the memory receiver.
******************************************************************************

.subckt dq_dimm_pkg_wrapper    rank_0   rank_1   rank_2   rank_3   rank_4   rank_5
+                              rank_6   rank_7   rank_8   rank_9   rank_10  rank_11
+                              comp_0   comp_1   comp_2   comp_3   comp_4   comp_5
+                              comp_6   comp_7   comp_8   comp_9   comp_10  comp_11
+                              dimm_gnd


.ends dq_dimm_pkg_wrapper
