# (C) 2001-2022 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.


QSYS_SIMDIR="../ex_100G/sim"
QUARTUS_INSTALL_DIR=$QUARTUS_ROOTDIR
SKIP_SIM=1
TOP_LEVEL_NAME=basic_avl_tb_top
DI_DIR=$ACDS_SRC_ROOT/quartus/devices/nadder/shared_data/factory/hssi/device

USER_DEFINED_ELAB_OPTIONS="basic_avl_tb_top.sv \
-f ./common_files_list.f \
../hardware_test_design/support_logic/eth_f_hw_auto_tiles.sv \
+vcs+lic+wait -full64 +v2k -hsopt=gates +systemverilogext+.sv -sverilog -lca -kdb +lint=TFIPC-L +lint=PCWM -wreal res_def -xlrm coerce_nettype -timescale=1ns/1ps \
+error+1000  -debug_access+all -debug_acc+pp -debug_region+cell+encrypt -diskopt -noIncrComp +memcbk -l vcs.log \
+define+TIMESCALE_EN +define+RTLSIM +define+INTC_FUNCTIONAL +define+SSM_SEQUENCE \
+define+SPEC_FORCE \
+define+IP7581SERDES_UXS2T1R1PGD_PIPE_SPEC_FORCE \
+define+IP7581SERDES_UXS2T1R1PGD_PIPE_SIMULATION \
+define+IP7581SERDES_UXS2T1R1PGD_PIPE_FAST_SIM \
+define+IP7581SERDES_UX_SIMSPEED \
+define+__SRC_TEST__"

sh $QSYS_SIMDIR/synopsys/vcs/vcs_setup.sh QSYS_SIMDIR=$QSYS_SIMDIR QUARTUS_INSTALL_DIR=$QUARTUS_INSTALL_DIR USER_DEFINED_ELAB_OPTIONS="\"$USER_DEFINED_ELAB_OPTIONS\"" SKIP_SIM=$SKIP_SIM TOP_LEVEL_NAME=$TOP_LEVEL_NAME
./simv +lic+wait -l v.log +fsdb+mda=on +fsdbfile+novas.fsdb



