@echo off
echo FPGA Configure...

REM ########################################################################
REM # Download sof file
REM ########################################################################
@ set QUARTUS_BIN=%QUARTUS_ROOTDIR%\bin
@ if not exist "%QUARTUS_BIN%" set QUARTUS_BIN=%QUARTUS_ROOTDIR%\bin64

if not exist "%QUARTUS_BIN%\\qpro.exe" (
	echo Your default Quartus specified by system variable QUARTUS_ROOT must be Quartus Pro. Edition for programming Agilex FPGA device.
	goto :Exit
)
 
 %QUARTUS_BIN%\\quartus_pfg -c golden_top.sof golden_top.jic -o device=MT25QU02G -o flash_loader=AGFB027R24C2E2VR2 -o mode=ASX4 
pause