// onchip_memory_0.v

// Generated using ACDS version 22.3 104

`timescale 1 ps / 1 ps
module onchip_memory_0 (
		input  wire         clk,         //   clk1.clk
		input  wire [13:0]  address,     //     s1.address
		input  wire         read,        //       .read
		output wire [255:0] readdata,    //       .readdata
		input  wire [31:0]  byteenable,  //       .byteenable
		input  wire         write,       //       .write
		input  wire [255:0] writedata,   //       .writedata
		input  wire         reset,       // reset1.reset
		input  wire         reset_req,   //       .reset_req
		input  wire [13:0]  address2,    //     s2.address
		input  wire         read2,       //       .read
		output wire [255:0] readdata2,   //       .readdata
		input  wire [31:0]  byteenable2, //       .byteenable
		input  wire         write2,      //       .write
		input  wire [255:0] writedata2   //       .writedata
	);

	onchip_memory_0_intel_onchip_memory_142_d23t3ky #(
		.INIT_FILE ("UNUSED")
	) onchip_memory_0 (
		.clk         (clk),         //   input,    width = 1,   clk1.clk
		.address     (address),     //   input,   width = 14,     s1.address
		.read        (read),        //   input,    width = 1,       .read
		.readdata    (readdata),    //  output,  width = 256,       .readdata
		.byteenable  (byteenable),  //   input,   width = 32,       .byteenable
		.write       (write),       //   input,    width = 1,       .write
		.writedata   (writedata),   //   input,  width = 256,       .writedata
		.reset       (reset),       //   input,    width = 1, reset1.reset
		.reset_req   (reset_req),   //   input,    width = 1,       .reset_req
		.address2    (address2),    //   input,   width = 14,     s2.address
		.read2       (read2),       //   input,    width = 1,       .read
		.readdata2   (readdata2),   //  output,  width = 256,       .readdata
		.byteenable2 (byteenable2), //   input,   width = 32,       .byteenable
		.write2      (write2),      //   input,    width = 1,       .write
		.writedata2  (writedata2)   //   input,  width = 256,       .writedata
	);

endmodule
