module pcie_ed (
		input  wire        emif_fm_ddr4a_local_reset_req_local_reset_req,     //    emif_fm_ddr4a_local_reset_req.local_reset_req
		output wire        emif_fm_ddr4a_local_reset_status_local_reset_done, // emif_fm_ddr4a_local_reset_status.local_reset_done
		input  wire        emif_fm_ddr4a_pll_ref_clk_clk,                     //        emif_fm_ddr4a_pll_ref_clk.clk
		input  wire        emif_fm_ddr4a_oct_oct_rzqin,                       //                emif_fm_ddr4a_oct.oct_rzqin
		output wire [0:0]  emif_fm_ddr4a_mem_mem_ck,                          //                emif_fm_ddr4a_mem.mem_ck
		output wire [0:0]  emif_fm_ddr4a_mem_mem_ck_n,                        //                                 .mem_ck_n
		output wire [16:0] emif_fm_ddr4a_mem_mem_a,                           //                                 .mem_a
		output wire [0:0]  emif_fm_ddr4a_mem_mem_act_n,                       //                                 .mem_act_n
		output wire [1:0]  emif_fm_ddr4a_mem_mem_ba,                          //                                 .mem_ba
		output wire [1:0]  emif_fm_ddr4a_mem_mem_bg,                          //                                 .mem_bg
		output wire [0:0]  emif_fm_ddr4a_mem_mem_cke,                         //                                 .mem_cke
		output wire [0:0]  emif_fm_ddr4a_mem_mem_cs_n,                        //                                 .mem_cs_n
		output wire [0:0]  emif_fm_ddr4a_mem_mem_odt,                         //                                 .mem_odt
		output wire [0:0]  emif_fm_ddr4a_mem_mem_reset_n,                     //                                 .mem_reset_n
		output wire [0:0]  emif_fm_ddr4a_mem_mem_par,                         //                                 .mem_par
		input  wire [0:0]  emif_fm_ddr4a_mem_mem_alert_n,                     //                                 .mem_alert_n
		inout  wire [8:0]  emif_fm_ddr4a_mem_mem_dqs,                         //                                 .mem_dqs
		inout  wire [8:0]  emif_fm_ddr4a_mem_mem_dqs_n,                       //                                 .mem_dqs_n
		inout  wire [71:0] emif_fm_ddr4a_mem_mem_dq,                          //                                 .mem_dq
		inout  wire [8:0]  emif_fm_ddr4a_mem_mem_dbi_n,                       //                                 .mem_dbi_n
		output wire        emif_fm_ddr4a_status_local_cal_success,            //             emif_fm_ddr4a_status.local_cal_success
		output wire        emif_fm_ddr4a_status_local_cal_fail,               //                                 .local_cal_fail
		input  wire        emif_fm_ddr4b_local_reset_req_local_reset_req,     //    emif_fm_ddr4b_local_reset_req.local_reset_req
		output wire        emif_fm_ddr4b_local_reset_status_local_reset_done, // emif_fm_ddr4b_local_reset_status.local_reset_done
		input  wire        emif_fm_ddr4b_pll_ref_clk_clk,                     //        emif_fm_ddr4b_pll_ref_clk.clk
		input  wire        emif_fm_ddr4b_oct_oct_rzqin,                       //                emif_fm_ddr4b_oct.oct_rzqin
		output wire [0:0]  emif_fm_ddr4b_mem_mem_ck,                          //                emif_fm_ddr4b_mem.mem_ck
		output wire [0:0]  emif_fm_ddr4b_mem_mem_ck_n,                        //                                 .mem_ck_n
		output wire [16:0] emif_fm_ddr4b_mem_mem_a,                           //                                 .mem_a
		output wire [0:0]  emif_fm_ddr4b_mem_mem_act_n,                       //                                 .mem_act_n
		output wire [1:0]  emif_fm_ddr4b_mem_mem_ba,                          //                                 .mem_ba
		output wire [0:0]  emif_fm_ddr4b_mem_mem_bg,                          //                                 .mem_bg
		output wire [0:0]  emif_fm_ddr4b_mem_mem_cke,                         //                                 .mem_cke
		output wire [0:0]  emif_fm_ddr4b_mem_mem_cs_n,                        //                                 .mem_cs_n
		output wire [0:0]  emif_fm_ddr4b_mem_mem_odt,                         //                                 .mem_odt
		output wire [0:0]  emif_fm_ddr4b_mem_mem_reset_n,                     //                                 .mem_reset_n
		output wire [0:0]  emif_fm_ddr4b_mem_mem_par,                         //                                 .mem_par
		input  wire [0:0]  emif_fm_ddr4b_mem_mem_alert_n,                     //                                 .mem_alert_n
		inout  wire [8:0]  emif_fm_ddr4b_mem_mem_dqs,                         //                                 .mem_dqs
		inout  wire [8:0]  emif_fm_ddr4b_mem_mem_dqs_n,                       //                                 .mem_dqs_n
		inout  wire [71:0] emif_fm_ddr4b_mem_mem_dq,                          //                                 .mem_dq
		inout  wire [8:0]  emif_fm_ddr4b_mem_mem_dbi_n,                       //                                 .mem_dbi_n
		output wire        emif_fm_ddr4b_status_local_cal_success,            //             emif_fm_ddr4b_status.local_cal_success
		output wire        emif_fm_ddr4b_status_local_cal_fail,               //                                 .local_cal_fail
		input  wire        hip_serial_rx_n_in0,                               //                       hip_serial.rx_n_in0
		input  wire        hip_serial_rx_n_in1,                               //                                 .rx_n_in1
		input  wire        hip_serial_rx_n_in2,                               //                                 .rx_n_in2
		input  wire        hip_serial_rx_n_in3,                               //                                 .rx_n_in3
		input  wire        hip_serial_rx_n_in4,                               //                                 .rx_n_in4
		input  wire        hip_serial_rx_n_in5,                               //                                 .rx_n_in5
		input  wire        hip_serial_rx_n_in6,                               //                                 .rx_n_in6
		input  wire        hip_serial_rx_n_in7,                               //                                 .rx_n_in7
		input  wire        hip_serial_rx_p_in0,                               //                                 .rx_p_in0
		input  wire        hip_serial_rx_p_in1,                               //                                 .rx_p_in1
		input  wire        hip_serial_rx_p_in2,                               //                                 .rx_p_in2
		input  wire        hip_serial_rx_p_in3,                               //                                 .rx_p_in3
		input  wire        hip_serial_rx_p_in4,                               //                                 .rx_p_in4
		input  wire        hip_serial_rx_p_in5,                               //                                 .rx_p_in5
		input  wire        hip_serial_rx_p_in6,                               //                                 .rx_p_in6
		input  wire        hip_serial_rx_p_in7,                               //                                 .rx_p_in7
		output wire        hip_serial_tx_n_out0,                              //                                 .tx_n_out0
		output wire        hip_serial_tx_n_out1,                              //                                 .tx_n_out1
		output wire        hip_serial_tx_n_out2,                              //                                 .tx_n_out2
		output wire        hip_serial_tx_n_out3,                              //                                 .tx_n_out3
		output wire        hip_serial_tx_n_out4,                              //                                 .tx_n_out4
		output wire        hip_serial_tx_n_out5,                              //                                 .tx_n_out5
		output wire        hip_serial_tx_n_out6,                              //                                 .tx_n_out6
		output wire        hip_serial_tx_n_out7,                              //                                 .tx_n_out7
		output wire        hip_serial_tx_p_out0,                              //                                 .tx_p_out0
		output wire        hip_serial_tx_p_out1,                              //                                 .tx_p_out1
		output wire        hip_serial_tx_p_out2,                              //                                 .tx_p_out2
		output wire        hip_serial_tx_p_out3,                              //                                 .tx_p_out3
		output wire        hip_serial_tx_p_out4,                              //                                 .tx_p_out4
		output wire        hip_serial_tx_p_out5,                              //                                 .tx_p_out5
		output wire        hip_serial_tx_p_out6,                              //                                 .tx_p_out6
		output wire        hip_serial_tx_p_out7,                              //                                 .tx_p_out7
		input  wire        pin_perst_reset_n,                                 //                        pin_perst.reset_n
		input  wire [1:0]  pio_button_export,                                 //                       pio_button.export
		output wire [1:0]  pio_led_export,                                    //                          pio_led.export
		input  wire        pll_in_refclk_fgt_0                                //                              pll.in_refclk_fgt_0
	);
endmodule

