	component onchip_memory_0 is
		port (
			clk         : in  std_logic                      := 'X';             -- clk
			address     : in  std_logic_vector(13 downto 0)  := (others => 'X'); -- address
			read        : in  std_logic                      := 'X';             -- read
			readdata    : out std_logic_vector(255 downto 0);                    -- readdata
			byteenable  : in  std_logic_vector(31 downto 0)  := (others => 'X'); -- byteenable
			write       : in  std_logic                      := 'X';             -- write
			writedata   : in  std_logic_vector(255 downto 0) := (others => 'X'); -- writedata
			reset       : in  std_logic                      := 'X';             -- reset
			reset_req   : in  std_logic                      := 'X';             -- reset_req
			address2    : in  std_logic_vector(13 downto 0)  := (others => 'X'); -- address
			read2       : in  std_logic                      := 'X';             -- read
			readdata2   : out std_logic_vector(255 downto 0);                    -- readdata
			byteenable2 : in  std_logic_vector(31 downto 0)  := (others => 'X'); -- byteenable
			write2      : in  std_logic                      := 'X';             -- write
			writedata2  : in  std_logic_vector(255 downto 0) := (others => 'X')  -- writedata
		);
	end component onchip_memory_0;

	u0 : component onchip_memory_0
		port map (
			clk         => CONNECTED_TO_clk,         --   clk1.clk
			address     => CONNECTED_TO_address,     --     s1.address
			read        => CONNECTED_TO_read,        --       .read
			readdata    => CONNECTED_TO_readdata,    --       .readdata
			byteenable  => CONNECTED_TO_byteenable,  --       .byteenable
			write       => CONNECTED_TO_write,       --       .write
			writedata   => CONNECTED_TO_writedata,   --       .writedata
			reset       => CONNECTED_TO_reset,       -- reset1.reset
			reset_req   => CONNECTED_TO_reset_req,   --       .reset_req
			address2    => CONNECTED_TO_address2,    --     s2.address
			read2       => CONNECTED_TO_read2,       --       .read
			readdata2   => CONNECTED_TO_readdata2,   --       .readdata
			byteenable2 => CONNECTED_TO_byteenable2, --       .byteenable
			write2      => CONNECTED_TO_write2,      --       .write
			writedata2  => CONNECTED_TO_writedata2   --       .writedata
		);

