// pcie_ftile_mcdma.v

// Generated using ACDS version 22.3 104

`timescale 1 ps / 1 ps
module pcie_ftile_mcdma (
		output wire         app_clk,                //            app_clk.clk,               Check User Guide for details
		output wire         app_rst_n,              //  app_nreset_status.reset_n,           Check User Guide for details
		input  wire         d2hdm_waitrequest_i,    //    p0_d2hdm_master.waitrequest,       Check User Guide for details
		output wire         d2hdm_read_o,           //                   .read,              Check User Guide for details
		output wire [63:0]  d2hdm_address_o,        //                   .address,           Check User Guide for details
		output wire [4:0]   d2hdm_burstcount_o,     //                   .burstcount,        Check User Guide for details
		output wire [31:0]  d2hdm_byteenable_o,     //                   .byteenable,        Check User Guide for details
		input  wire         d2hdm_readdatavalid_i,  //                   .readdatavalid,     Check User Guide for details
		input  wire [255:0] d2hdm_readdata_i,       //                   .readdata,          Check User Guide for details
		input  wire [1:0]   d2hdm_response_i,       //                   .response,          Check User Guide for details
		input  wire         h2ddm_waitrequest_i,    //    p0_h2ddm_master.waitrequest,       Check User Guide for details
		output wire         h2ddm_write_o,          //                   .write,             Check User Guide for details
		output wire [63:0]  h2ddm_address_o,        //                   .address,           Check User Guide for details
		output wire [4:0]   h2ddm_burstcount_o,     //                   .burstcount,        Check User Guide for details
		output wire [31:0]  h2ddm_byteenable_o,     //                   .byteenable,        Check User Guide for details
		output wire [255:0] h2ddm_writedata_o,      //                   .writedata,         Check User Guide for details
		input  wire         bam_waitrequest_i,      //      p0_bam_master.waitrequest,       Check User Guide for details
		output wire [29:0]  bam_address_o,          //                   .address,           Check User Guide for details
		output wire [31:0]  bam_byteenable_o,       //                   .byteenable,        Check User Guide for details
		output wire         bam_read_o,             //                   .read,              Check User Guide for details
		input  wire [255:0] bam_readdata_i,         //                   .readdata,          Check User Guide for details
		input  wire         bam_readdatavalid_i,    //                   .readdatavalid,     Check User Guide for details
		output wire         bam_write_o,            //                   .write,             Check User Guide for details
		output wire [255:0] bam_writedata_o,        //                   .writedata,         Check User Guide for details
		output wire [4:0]   bam_burstcount_o,       //                   .burstcount,        Check User Guide for details
		output wire [2:0]   usr_hip_tl_cfg_func_o,  //   p0_usr_config_tl.tl_cfg_func,       Check User Guide for details
		output wire [4:0]   usr_hip_tl_cfg_add_o,   //                   .tl_cfg_add,        Check User Guide for details
		output wire [15:0]  usr_hip_tl_cfg_ctl_o,   //                   .tl_cfg_ctl,        Check User Guide for details
		output wire         p0_link_up_o,           //      p0_hip_status.link_up,           Check User Guide for details
		output wire         p0_dl_up_o,             //                   .dl_up,             Check User Guide for details
		output wire         p0_surprise_down_err_o, //                   .surprise_down_err, Check User Guide for details
		output wire [5:0]   p0_ltssm_state_o,       //                   .ltssmstate,        Check User Guide for details
		input  wire         refclk0,                //            refclk0.clk,               Refclk for SystemPLL and PCIe PHY. Connect a refclk output "out_refclk_fgt_<i>i</i>" from the "F-Tile Reference and SystemPLL Clocks" IP to this port
		input  wire         refclk1,                //            refclk1.clk,               Refclk for PCIe1 PHY in 2x8 topology. Drive this input with the same clock for refclk0 input port, if:<br>- Your design does not need a separate refclk, or<br>- You are not using 2x8 topology
		input  wire         pcie_systempll_clk,     // pcie_systempll_clk.clk,               System PLL for PCIe IP. Connect "out_systempll_clk_0" from the "F-Tile Reference and SystemPLL Clocks" IP to this port.
		input  wire         ninit_done,             //         ninit_done.reset,             Its a Init_done signal should be connected to Reset release IP
		input  wire         rx_n_in0,               //         hip_serial.rx_n_in0,          Check User Guide for details
		input  wire         rx_n_in1,               //                   .rx_n_in1,          Check User Guide for details
		input  wire         rx_n_in2,               //                   .rx_n_in2,          Check User Guide for details
		input  wire         rx_n_in3,               //                   .rx_n_in3,          Check User Guide for details
		input  wire         rx_n_in4,               //                   .rx_n_in4,          Check User Guide for details
		input  wire         rx_n_in5,               //                   .rx_n_in5,          Check User Guide for details
		input  wire         rx_n_in6,               //                   .rx_n_in6,          Check User Guide for details
		input  wire         rx_n_in7,               //                   .rx_n_in7,          Check User Guide for details
		input  wire         rx_p_in0,               //                   .rx_p_in0,          Check User Guide for details
		input  wire         rx_p_in1,               //                   .rx_p_in1,          Check User Guide for details
		input  wire         rx_p_in2,               //                   .rx_p_in2,          Check User Guide for details
		input  wire         rx_p_in3,               //                   .rx_p_in3,          Check User Guide for details
		input  wire         rx_p_in4,               //                   .rx_p_in4,          Check User Guide for details
		input  wire         rx_p_in5,               //                   .rx_p_in5,          Check User Guide for details
		input  wire         rx_p_in6,               //                   .rx_p_in6,          Check User Guide for details
		input  wire         rx_p_in7,               //                   .rx_p_in7,          Check User Guide for details
		output wire         tx_n_out0,              //                   .tx_n_out0,         Check User Guide for details
		output wire         tx_n_out1,              //                   .tx_n_out1,         Check User Guide for details
		output wire         tx_n_out2,              //                   .tx_n_out2,         Check User Guide for details
		output wire         tx_n_out3,              //                   .tx_n_out3,         Check User Guide for details
		output wire         tx_n_out4,              //                   .tx_n_out4,         Check User Guide for details
		output wire         tx_n_out5,              //                   .tx_n_out5,         Check User Guide for details
		output wire         tx_n_out6,              //                   .tx_n_out6,         Check User Guide for details
		output wire         tx_n_out7,              //                   .tx_n_out7,         Check User Guide for details
		output wire         tx_p_out0,              //                   .tx_p_out0,         Check User Guide for details
		output wire         tx_p_out1,              //                   .tx_p_out1,         Check User Guide for details
		output wire         tx_p_out2,              //                   .tx_p_out2,         Check User Guide for details
		output wire         tx_p_out3,              //                   .tx_p_out3,         Check User Guide for details
		output wire         tx_p_out4,              //                   .tx_p_out4,         Check User Guide for details
		output wire         tx_p_out5,              //                   .tx_p_out5,         Check User Guide for details
		output wire         tx_p_out6,              //                   .tx_p_out6,         Check User Guide for details
		output wire         tx_p_out7,              //                   .tx_p_out7,         Check User Guide for details
		input  wire         pin_perst_n             //          pin_perst.reset_n
	);

	pcie_ftile_mcdma_intel_pcie_ftile_mcdma_400_uk6mnwq #(
		.device_family                                               ("Agilex"),
		.generating_b0_hwtcl                                         (1),
		.adapter_type_hwtcl                                          ("NATIVE"),
		.PCS_CONFIG_EN                                               (0),
		.xcvr_reconfig_hwtcl                                         (0),
		.ftile_debug_toolkit_hwtcl                                   (0),
		.ftile_enable_pciess_register_access_hwtcl                   (0),
		.ftile_link_insp_en_hwtcl                                    (0),
		.ftile_link_insp_avmm_en_hwtcl                               (0),
		.adapter_clk_source_hwtcl                                    ("IOPLL"),
		.sim_mode_hwtcl                                              ("hardware_mode"),
		.core16_enable_power_mgnt_intf_hwtcl                         (0),
		.core16_enable_cpl_timeout_hwtcl                             (0),
		.core16_enable_error_intf_hwtcl                              (1),
		.core16_enable_ecc_hwtcl                                     (0),
		.core16_enable_pld_warm_rst_rdy_hwtcl                        (0),
		.core16_user_mode_to_pld_in_use_hwtcl                        (0),
		.core16_enable_10bit_tag_support_intf_hwtcl                  (0),
		.core16_virtual_tlp_bypass_en_hwtcl                          (0),
		.core16_enable_rx_buffer_limit_ports_hwtcl                   (1),
		.core16_pf0_dsp_16g_tx_preset_hwtcl                          (0),
		.core16_pf0_dsp_tx_preset_hwtcl                              (0),
		.core16_pf0_usp_16g_tx_preset_hwtcl                          (0),
		.core16_pf0_usp_tx_preset_hwtcl                              (0),
		.core16_pf0_dsp_rx_preset_hint_hwtcl                         (0),
		.core16_pf0_usp_rx_preset_hint_hwtcl                         (0),
		.core16_enable_pld_rst_port0_hwtcl                           (0),
		.core16_flr_cap_hwtcl                                        (1),
		.core16_virtual_ptm_hwtcl                                    (0),
		.core16_hip_reconfig_hwtcl                                   (0),
		.core8_enable_rx_buffer_limit_ports_hwtcl                    (1),
		.core8_pf0_dsp_16g_tx_preset_hwtcl                           (0),
		.core8_pf0_dsp_tx_preset_hwtcl                               (0),
		.core8_pf0_usp_16g_tx_preset_hwtcl                           (0),
		.core8_pf0_usp_tx_preset_hwtcl                               (0),
		.core8_pf0_dsp_rx_preset_hint_hwtcl                          (0),
		.core8_pf0_usp_rx_preset_hint_hwtcl                          (0),
		.core8_enable_power_mgnt_intf_hwtcl                          (0),
		.core8_enable_cpl_timeout_hwtcl                              (0),
		.core8_enable_error_intf_hwtcl                               (0),
		.core8_enable_ecc_hwtcl                                      (0),
		.core8_enable_pld_warm_rst_rdy_hwtcl                         (0),
		.core8_user_mode_to_pld_in_use_hwtcl                         (0),
		.core8_virtual_tlp_bypass_en_hwtcl                           (0),
		.core8_enable_independent_pin_perst_hwtcl                    (0),
		.core8_flr_cap_hwtcl                                         (0),
		.core8_virtual_ptm_hwtcl                                     (0),
		.core8_hip_reconfig_hwtcl                                    (0),
		.core4_0_enable_rx_buffer_limit_ports_hwtcl                  (1),
		.core4_0_pf0_dsp_16g_tx_preset_hwtcl                         (0),
		.core4_0_pf0_dsp_tx_preset_hwtcl                             (0),
		.core4_0_pf0_usp_16g_tx_preset_hwtcl                         (0),
		.core4_0_pf0_usp_tx_preset_hwtcl                             (0),
		.core4_0_pf0_dsp_rx_preset_hint_hwtcl                        (0),
		.core4_0_enable_power_mgnt_intf_hwtcl                        (0),
		.core4_0_enable_cpl_timeout_hwtcl                            (0),
		.core4_0_enable_error_intf_hwtcl                             (1),
		.core4_0_enable_ecc_hwtcl                                    (0),
		.core4_0_enable_pld_warm_rst_rdy_hwtcl                       (0),
		.core4_0_user_mode_to_pld_in_use_hwtcl                       (0),
		.core4_0_virtual_tlp_bypass_en_hwtcl                         (0),
		.core4_0_flr_cap_hwtcl                                       (0),
		.core4_0_hip_reconfig_hwtcl                                  (0),
		.core4_1_pf0_dsp_16g_tx_preset_hwtcl                         (0),
		.core4_1_pf0_dsp_tx_preset_hwtcl                             (0),
		.core4_1_pf0_usp_16g_tx_preset_hwtcl                         (0),
		.core4_1_pf0_usp_tx_preset_hwtcl                             (0),
		.core4_1_pf0_dsp_rx_preset_hint_hwtcl                        (0),
		.core4_1_enable_rx_buffer_limit_ports_hwtcl                  (1),
		.core4_1_enable_power_mgnt_intf_hwtcl                        (0),
		.core4_1_enable_cpl_timeout_hwtcl                            (0),
		.core4_1_enable_error_intf_hwtcl                             (1),
		.core4_1_enable_ecc_hwtcl                                    (0),
		.core4_1_enable_pld_warm_rst_rdy_hwtcl                       (0),
		.core4_1_user_mode_to_pld_in_use_hwtcl                       (0),
		.core4_1_virtual_tlp_bypass_en_hwtcl                         (0),
		.core4_1_flr_cap_hwtcl                                       (0),
		.core4_1_hip_reconfig_hwtcl                                  (0),
		.core16_pf0_bar0_address_width_hwtcl                         (22),
		.core16_pf0_bar1_address_width_hwtcl                         (0),
		.core16_pf0_bar2_address_width_hwtcl                         (0),
		.core16_pf0_bar3_address_width_hwtcl                         (0),
		.core16_pf0_bar4_address_width_hwtcl                         (24),
		.core16_pf0_bar5_address_width_hwtcl                         (0),
		.core16_pf0_expansion_base_address_register_integer_hwtcl    (0),
		.core16_pf0_sriov_vf_bar0_address_width_hwtcl                ("0"),
		.core16_pf0_sriov_vf_bar0_address_width_int_hwtcl            (0),
		.core16_pf0_sriov_vf_bar1_address_width_hwtcl                ("0"),
		.core16_pf0_sriov_vf_bar1_address_width_int_hwtcl            (0),
		.core16_pf0_sriov_vf_bar2_address_width_hwtcl                ("0"),
		.core16_pf0_sriov_vf_bar2_address_width_int_hwtcl            (0),
		.core16_pf0_sriov_vf_bar3_address_width_hwtcl                ("0"),
		.core16_pf0_sriov_vf_bar3_address_width_int_hwtcl            (0),
		.core16_pf0_sriov_vf_bar4_address_width_hwtcl                ("0"),
		.core16_pf0_sriov_vf_bar4_address_width_int_hwtcl            (0),
		.core16_pf0_sriov_vf_bar5_address_width_hwtcl                ("0"),
		.core16_pf0_sriov_vf_bar5_address_width_int_hwtcl            (0),
		.core16_pf1_bar0_address_width_hwtcl                         (0),
		.core16_pf1_bar1_address_width_hwtcl                         (0),
		.core16_pf1_bar2_address_width_hwtcl                         (0),
		.core16_pf1_bar3_address_width_hwtcl                         (0),
		.core16_pf1_bar4_address_width_hwtcl                         (0),
		.core16_pf1_bar5_address_width_hwtcl                         (0),
		.core16_pf1_expansion_base_address_register_integer_hwtcl    (0),
		.core16_pf1_sriov_vf_bar0_address_width_hwtcl                ("0"),
		.core16_pf1_sriov_vf_bar0_address_width_int_hwtcl            (0),
		.core16_pf1_sriov_vf_bar1_address_width_hwtcl                ("0"),
		.core16_pf1_sriov_vf_bar1_address_width_int_hwtcl            (0),
		.core16_pf1_sriov_vf_bar2_address_width_hwtcl                ("0"),
		.core16_pf1_sriov_vf_bar2_address_width_int_hwtcl            (0),
		.core16_pf1_sriov_vf_bar3_address_width_hwtcl                ("0"),
		.core16_pf1_sriov_vf_bar3_address_width_int_hwtcl            (0),
		.core16_pf1_sriov_vf_bar4_address_width_hwtcl                ("0"),
		.core16_pf1_sriov_vf_bar4_address_width_int_hwtcl            (0),
		.core16_pf1_sriov_vf_bar5_address_width_hwtcl                ("0"),
		.core16_pf1_sriov_vf_bar5_address_width_int_hwtcl            (0),
		.core16_pf2_bar0_address_width_hwtcl                         (0),
		.core16_pf2_bar1_address_width_hwtcl                         (0),
		.core16_pf2_bar2_address_width_hwtcl                         (0),
		.core16_pf2_bar3_address_width_hwtcl                         (0),
		.core16_pf2_bar4_address_width_hwtcl                         (0),
		.core16_pf2_bar5_address_width_hwtcl                         (0),
		.core16_pf2_expansion_base_address_register_integer_hwtcl    (0),
		.core16_pf2_sriov_vf_bar0_address_width_hwtcl                ("0"),
		.core16_pf2_sriov_vf_bar0_address_width_int_hwtcl            (0),
		.core16_pf2_sriov_vf_bar1_address_width_hwtcl                ("0"),
		.core16_pf2_sriov_vf_bar1_address_width_int_hwtcl            (0),
		.core16_pf2_sriov_vf_bar2_address_width_hwtcl                ("0"),
		.core16_pf2_sriov_vf_bar2_address_width_int_hwtcl            (0),
		.core16_pf2_sriov_vf_bar3_address_width_hwtcl                ("0"),
		.core16_pf2_sriov_vf_bar3_address_width_int_hwtcl            (0),
		.core16_pf2_sriov_vf_bar4_address_width_hwtcl                ("0"),
		.core16_pf2_sriov_vf_bar4_address_width_int_hwtcl            (0),
		.core16_pf2_sriov_vf_bar5_address_width_hwtcl                ("0"),
		.core16_pf2_sriov_vf_bar5_address_width_int_hwtcl            (0),
		.core16_pf3_bar0_address_width_hwtcl                         (0),
		.core16_pf3_bar1_address_width_hwtcl                         (0),
		.core16_pf3_bar2_address_width_hwtcl                         (0),
		.core16_pf3_bar3_address_width_hwtcl                         (0),
		.core16_pf3_bar4_address_width_hwtcl                         (0),
		.core16_pf3_bar5_address_width_hwtcl                         (0),
		.core16_pf3_expansion_base_address_register_integer_hwtcl    (0),
		.core16_pf3_sriov_vf_bar0_address_width_hwtcl                ("0"),
		.core16_pf3_sriov_vf_bar0_address_width_int_hwtcl            (0),
		.core16_pf3_sriov_vf_bar1_address_width_hwtcl                ("0"),
		.core16_pf3_sriov_vf_bar1_address_width_int_hwtcl            (0),
		.core16_pf3_sriov_vf_bar2_address_width_hwtcl                ("0"),
		.core16_pf3_sriov_vf_bar2_address_width_int_hwtcl            (0),
		.core16_pf3_sriov_vf_bar3_address_width_hwtcl                ("0"),
		.core16_pf3_sriov_vf_bar3_address_width_int_hwtcl            (0),
		.core16_pf3_sriov_vf_bar4_address_width_hwtcl                ("0"),
		.core16_pf3_sriov_vf_bar4_address_width_int_hwtcl            (0),
		.core16_pf3_sriov_vf_bar5_address_width_hwtcl                ("0"),
		.core16_pf3_sriov_vf_bar5_address_width_int_hwtcl            (0),
		.core16_pf4_bar0_address_width_hwtcl                         (0),
		.core16_pf4_bar1_address_width_hwtcl                         (0),
		.core16_pf4_bar2_address_width_hwtcl                         (0),
		.core16_pf4_bar3_address_width_hwtcl                         (0),
		.core16_pf4_bar4_address_width_hwtcl                         (0),
		.core16_pf4_bar5_address_width_hwtcl                         (0),
		.core16_pf4_expansion_base_address_register_integer_hwtcl    (0),
		.core16_pf4_sriov_vf_bar0_address_width_hwtcl                ("0"),
		.core16_pf4_sriov_vf_bar0_address_width_int_hwtcl            (0),
		.core16_pf4_sriov_vf_bar1_address_width_hwtcl                ("0"),
		.core16_pf4_sriov_vf_bar1_address_width_int_hwtcl            (0),
		.core16_pf4_sriov_vf_bar2_address_width_hwtcl                ("0"),
		.core16_pf4_sriov_vf_bar2_address_width_int_hwtcl            (0),
		.core16_pf4_sriov_vf_bar3_address_width_hwtcl                ("0"),
		.core16_pf4_sriov_vf_bar3_address_width_int_hwtcl            (0),
		.core16_pf4_sriov_vf_bar4_address_width_hwtcl                ("0"),
		.core16_pf4_sriov_vf_bar4_address_width_int_hwtcl            (0),
		.core16_pf4_sriov_vf_bar5_address_width_hwtcl                ("0"),
		.core16_pf4_sriov_vf_bar5_address_width_int_hwtcl            (0),
		.core16_pf5_bar0_address_width_hwtcl                         (0),
		.core16_pf5_bar1_address_width_hwtcl                         (0),
		.core16_pf5_bar2_address_width_hwtcl                         (0),
		.core16_pf5_bar3_address_width_hwtcl                         (0),
		.core16_pf5_bar4_address_width_hwtcl                         (0),
		.core16_pf5_bar5_address_width_hwtcl                         (0),
		.core16_pf5_expansion_base_address_register_integer_hwtcl    (0),
		.core16_pf5_sriov_vf_bar0_address_width_hwtcl                ("0"),
		.core16_pf5_sriov_vf_bar0_address_width_int_hwtcl            (0),
		.core16_pf5_sriov_vf_bar1_address_width_hwtcl                ("0"),
		.core16_pf5_sriov_vf_bar1_address_width_int_hwtcl            (0),
		.core16_pf5_sriov_vf_bar2_address_width_hwtcl                ("0"),
		.core16_pf5_sriov_vf_bar2_address_width_int_hwtcl            (0),
		.core16_pf5_sriov_vf_bar3_address_width_hwtcl                ("0"),
		.core16_pf5_sriov_vf_bar3_address_width_int_hwtcl            (0),
		.core16_pf5_sriov_vf_bar4_address_width_hwtcl                ("0"),
		.core16_pf5_sriov_vf_bar4_address_width_int_hwtcl            (0),
		.core16_pf5_sriov_vf_bar5_address_width_hwtcl                ("0"),
		.core16_pf5_sriov_vf_bar5_address_width_int_hwtcl            (0),
		.core16_pf6_bar0_address_width_hwtcl                         (0),
		.core16_pf6_bar1_address_width_hwtcl                         (0),
		.core16_pf6_bar2_address_width_hwtcl                         (0),
		.core16_pf6_bar3_address_width_hwtcl                         (0),
		.core16_pf6_bar4_address_width_hwtcl                         (0),
		.core16_pf6_bar5_address_width_hwtcl                         (0),
		.core16_pf6_expansion_base_address_register_integer_hwtcl    (0),
		.core16_pf6_sriov_vf_bar0_address_width_hwtcl                ("0"),
		.core16_pf6_sriov_vf_bar0_address_width_int_hwtcl            (0),
		.core16_pf6_sriov_vf_bar1_address_width_hwtcl                ("0"),
		.core16_pf6_sriov_vf_bar1_address_width_int_hwtcl            (0),
		.core16_pf6_sriov_vf_bar2_address_width_hwtcl                ("0"),
		.core16_pf6_sriov_vf_bar2_address_width_int_hwtcl            (0),
		.core16_pf6_sriov_vf_bar3_address_width_hwtcl                ("0"),
		.core16_pf6_sriov_vf_bar3_address_width_int_hwtcl            (0),
		.core16_pf6_sriov_vf_bar4_address_width_hwtcl                ("0"),
		.core16_pf6_sriov_vf_bar4_address_width_int_hwtcl            (0),
		.core16_pf6_sriov_vf_bar5_address_width_hwtcl                ("0"),
		.core16_pf6_sriov_vf_bar5_address_width_int_hwtcl            (0),
		.core16_pf7_bar0_address_width_hwtcl                         (0),
		.core16_pf7_bar1_address_width_hwtcl                         (0),
		.core16_pf7_bar2_address_width_hwtcl                         (0),
		.core16_pf7_bar3_address_width_hwtcl                         (0),
		.core16_pf7_bar4_address_width_hwtcl                         (0),
		.core16_pf7_bar5_address_width_hwtcl                         (0),
		.core16_pf7_expansion_base_address_register_integer_hwtcl    (0),
		.core16_pf7_sriov_vf_bar0_address_width_hwtcl                ("0"),
		.core16_pf7_sriov_vf_bar0_address_width_int_hwtcl            (0),
		.core16_pf7_sriov_vf_bar1_address_width_hwtcl                ("0"),
		.core16_pf7_sriov_vf_bar1_address_width_int_hwtcl            (0),
		.core16_pf7_sriov_vf_bar2_address_width_hwtcl                ("0"),
		.core16_pf7_sriov_vf_bar2_address_width_int_hwtcl            (0),
		.core16_pf7_sriov_vf_bar3_address_width_hwtcl                ("0"),
		.core16_pf7_sriov_vf_bar3_address_width_int_hwtcl            (0),
		.core16_pf7_sriov_vf_bar4_address_width_hwtcl                ("0"),
		.core16_pf7_sriov_vf_bar4_address_width_int_hwtcl            (0),
		.core16_pf7_sriov_vf_bar5_address_width_hwtcl                ("0"),
		.core16_pf7_sriov_vf_bar5_address_width_int_hwtcl            (0),
		.core16_enable_multi_func_hwtcl                              (0),
		.core16_total_pf_count_hwtcl                                 (1),
		.core16_total_pf_count_width_hwtcl                           (1),
		.core16_enable_sriov_hwtcl                                   (0),
		.core16_pf0_vf_count_hwtcl                                   (0),
		.core16_pf1_vf_count_hwtcl                                   (0),
		.core16_pf2_vf_count_hwtcl                                   (0),
		.core16_pf3_vf_count_hwtcl                                   (0),
		.core16_pf4_vf_count_hwtcl                                   (0),
		.core16_pf5_vf_count_hwtcl                                   (0),
		.core16_pf6_vf_count_hwtcl                                   (0),
		.core16_pf7_vf_count_hwtcl                                   (0),
		.core16_total_vf_count_hwtcl                                 (0),
		.core16_total_vf_count_width_hwtcl                           (1),
		.core16_enable_virtio_hwtcl                                  (0),
		.core16_virtio_start_byte_address_hwtcl                      (72),
		.core16_pf0_virtio_capability_present_hwtcl                  (0),
		.core16_pf0_virtio_device_specific_cap_present_hwtcl         (0),
		.core16_pf0_virtio_cmn_config_bar_indicator_hwtcl            (0),
		.core16_pf0_virtio_cmn_config_bar_offset_hwtcl               (0),
		.core16_pf0_virtio_cmn_config_structure_length_hwtcl         (0),
		.core16_pf0_virtio_notification_bar_indicator_hwtcl          (0),
		.core16_pf0_virtio_notification_bar_offset_hwtcl             (0),
		.core16_pf0_virtio_notification_structure_length_hwtcl       (0),
		.core16_pf0_virtio_notify_off_multiplier_hwtcl               (0),
		.core16_pf0_virtio_isrstatus_bar_indicator_hwtcl             (0),
		.core16_pf0_virtio_isrstatus_bar_offset_hwtcl                (0),
		.core16_pf0_virtio_isrstatus_structure_length_hwtcl          (0),
		.core16_pf0_virtio_devspecific_bar_indicator_hwtcl           (0),
		.core16_pf0_virtio_devspecific_bar_offset_hwtcl              (0),
		.core16_pf0_virtio_devspecific_structure_length_hwtcl        (0),
		.core16_pf0_virtio_pciconfig_access_bar_indicator_hwtcl      (0),
		.core16_pf0_virtio_pciconfig_access_bar_offset_hwtcl         (0),
		.core16_pf0_virtio_pciconfig_access_structure_length_hwtcl   (0),
		.core16_pf1_virtio_capability_present_hwtcl                  (0),
		.core16_pf1_virtio_device_specific_cap_present_hwtcl         (0),
		.core16_pf1_virtio_cmn_config_bar_indicator_hwtcl            (0),
		.core16_pf1_virtio_cmn_config_bar_offset_hwtcl               (0),
		.core16_pf1_virtio_cmn_config_structure_length_hwtcl         (0),
		.core16_pf1_virtio_notification_bar_indicator_hwtcl          (0),
		.core16_pf1_virtio_notification_bar_offset_hwtcl             (0),
		.core16_pf1_virtio_notification_structure_length_hwtcl       (0),
		.core16_pf1_virtio_notify_off_multiplier_hwtcl               (0),
		.core16_pf1_virtio_isrstatus_bar_indicator_hwtcl             (0),
		.core16_pf1_virtio_isrstatus_bar_offset_hwtcl                (0),
		.core16_pf1_virtio_isrstatus_structure_length_hwtcl          (0),
		.core16_pf1_virtio_devspecific_bar_indicator_hwtcl           (0),
		.core16_pf1_virtio_devspecific_bar_offset_hwtcl              (0),
		.core16_pf1_virtio_devspecific_structure_length_hwtcl        (0),
		.core16_pf1_virtio_pciconfig_access_bar_indicator_hwtcl      (0),
		.core16_pf1_virtio_pciconfig_access_bar_offset_hwtcl         (0),
		.core16_pf1_virtio_pciconfig_access_structure_length_hwtcl   (0),
		.core16_pf2_virtio_capability_present_hwtcl                  (0),
		.core16_pf2_virtio_device_specific_cap_present_hwtcl         (0),
		.core16_pf2_virtio_cmn_config_bar_indicator_hwtcl            (0),
		.core16_pf2_virtio_cmn_config_bar_offset_hwtcl               (0),
		.core16_pf2_virtio_cmn_config_structure_length_hwtcl         (0),
		.core16_pf2_virtio_notification_bar_indicator_hwtcl          (0),
		.core16_pf2_virtio_notification_bar_offset_hwtcl             (0),
		.core16_pf2_virtio_notification_structure_length_hwtcl       (0),
		.core16_pf2_virtio_notify_off_multiplier_hwtcl               (0),
		.core16_pf2_virtio_isrstatus_bar_indicator_hwtcl             (0),
		.core16_pf2_virtio_isrstatus_bar_offset_hwtcl                (0),
		.core16_pf2_virtio_isrstatus_structure_length_hwtcl          (0),
		.core16_pf2_virtio_devspecific_bar_indicator_hwtcl           (0),
		.core16_pf2_virtio_devspecific_bar_offset_hwtcl              (0),
		.core16_pf2_virtio_devspecific_structure_length_hwtcl        (0),
		.core16_pf2_virtio_pciconfig_access_bar_indicator_hwtcl      (0),
		.core16_pf2_virtio_pciconfig_access_bar_offset_hwtcl         (0),
		.core16_pf2_virtio_pciconfig_access_structure_length_hwtcl   (0),
		.core16_pf3_virtio_capability_present_hwtcl                  (0),
		.core16_pf3_virtio_device_specific_cap_present_hwtcl         (0),
		.core16_pf3_virtio_cmn_config_bar_indicator_hwtcl            (0),
		.core16_pf3_virtio_cmn_config_bar_offset_hwtcl               (0),
		.core16_pf3_virtio_cmn_config_structure_length_hwtcl         (0),
		.core16_pf3_virtio_notification_bar_indicator_hwtcl          (0),
		.core16_pf3_virtio_notification_bar_offset_hwtcl             (0),
		.core16_pf3_virtio_notification_structure_length_hwtcl       (0),
		.core16_pf3_virtio_notify_off_multiplier_hwtcl               (0),
		.core16_pf3_virtio_isrstatus_bar_indicator_hwtcl             (0),
		.core16_pf3_virtio_isrstatus_bar_offset_hwtcl                (0),
		.core16_pf3_virtio_isrstatus_structure_length_hwtcl          (0),
		.core16_pf3_virtio_devspecific_bar_indicator_hwtcl           (0),
		.core16_pf3_virtio_devspecific_bar_offset_hwtcl              (0),
		.core16_pf3_virtio_devspecific_structure_length_hwtcl        (0),
		.core16_pf3_virtio_pciconfig_access_bar_indicator_hwtcl      (0),
		.core16_pf3_virtio_pciconfig_access_bar_offset_hwtcl         (0),
		.core16_pf3_virtio_pciconfig_access_structure_length_hwtcl   (0),
		.core16_pf4_virtio_capability_present_hwtcl                  (0),
		.core16_pf4_virtio_device_specific_cap_present_hwtcl         (0),
		.core16_pf4_virtio_cmn_config_bar_indicator_hwtcl            (0),
		.core16_pf4_virtio_cmn_config_bar_offset_hwtcl               (0),
		.core16_pf4_virtio_cmn_config_structure_length_hwtcl         (0),
		.core16_pf4_virtio_notification_bar_indicator_hwtcl          (0),
		.core16_pf4_virtio_notification_bar_offset_hwtcl             (0),
		.core16_pf4_virtio_notification_structure_length_hwtcl       (0),
		.core16_pf4_virtio_notify_off_multiplier_hwtcl               (0),
		.core16_pf4_virtio_isrstatus_bar_indicator_hwtcl             (0),
		.core16_pf4_virtio_isrstatus_bar_offset_hwtcl                (0),
		.core16_pf4_virtio_isrstatus_structure_length_hwtcl          (0),
		.core16_pf4_virtio_devspecific_bar_indicator_hwtcl           (0),
		.core16_pf4_virtio_devspecific_bar_offset_hwtcl              (0),
		.core16_pf4_virtio_devspecific_structure_length_hwtcl        (0),
		.core16_pf4_virtio_pciconfig_access_bar_indicator_hwtcl      (0),
		.core16_pf4_virtio_pciconfig_access_bar_offset_hwtcl         (0),
		.core16_pf4_virtio_pciconfig_access_structure_length_hwtcl   (0),
		.core16_pf5_virtio_capability_present_hwtcl                  (0),
		.core16_pf5_virtio_device_specific_cap_present_hwtcl         (0),
		.core16_pf5_virtio_cmn_config_bar_indicator_hwtcl            (0),
		.core16_pf5_virtio_cmn_config_bar_offset_hwtcl               (0),
		.core16_pf5_virtio_cmn_config_structure_length_hwtcl         (0),
		.core16_pf5_virtio_notification_bar_indicator_hwtcl          (0),
		.core16_pf5_virtio_notification_bar_offset_hwtcl             (0),
		.core16_pf5_virtio_notification_structure_length_hwtcl       (0),
		.core16_pf5_virtio_notify_off_multiplier_hwtcl               (0),
		.core16_pf5_virtio_isrstatus_bar_indicator_hwtcl             (0),
		.core16_pf5_virtio_isrstatus_bar_offset_hwtcl                (0),
		.core16_pf5_virtio_isrstatus_structure_length_hwtcl          (0),
		.core16_pf5_virtio_devspecific_bar_indicator_hwtcl           (0),
		.core16_pf5_virtio_devspecific_bar_offset_hwtcl              (0),
		.core16_pf5_virtio_devspecific_structure_length_hwtcl        (0),
		.core16_pf5_virtio_pciconfig_access_bar_indicator_hwtcl      (0),
		.core16_pf5_virtio_pciconfig_access_bar_offset_hwtcl         (0),
		.core16_pf5_virtio_pciconfig_access_structure_length_hwtcl   (0),
		.core16_pf6_virtio_capability_present_hwtcl                  (0),
		.core16_pf6_virtio_device_specific_cap_present_hwtcl         (0),
		.core16_pf6_virtio_cmn_config_bar_indicator_hwtcl            (0),
		.core16_pf6_virtio_cmn_config_bar_offset_hwtcl               (0),
		.core16_pf6_virtio_cmn_config_structure_length_hwtcl         (0),
		.core16_pf6_virtio_notification_bar_indicator_hwtcl          (0),
		.core16_pf6_virtio_notification_bar_offset_hwtcl             (0),
		.core16_pf6_virtio_notification_structure_length_hwtcl       (0),
		.core16_pf6_virtio_notify_off_multiplier_hwtcl               (0),
		.core16_pf6_virtio_isrstatus_bar_indicator_hwtcl             (0),
		.core16_pf6_virtio_isrstatus_bar_offset_hwtcl                (0),
		.core16_pf6_virtio_isrstatus_structure_length_hwtcl          (0),
		.core16_pf6_virtio_devspecific_bar_indicator_hwtcl           (0),
		.core16_pf6_virtio_devspecific_bar_offset_hwtcl              (0),
		.core16_pf6_virtio_devspecific_structure_length_hwtcl        (0),
		.core16_pf6_virtio_pciconfig_access_bar_indicator_hwtcl      (0),
		.core16_pf6_virtio_pciconfig_access_bar_offset_hwtcl         (0),
		.core16_pf6_virtio_pciconfig_access_structure_length_hwtcl   (0),
		.core16_pf7_virtio_capability_present_hwtcl                  (0),
		.core16_pf7_virtio_device_specific_cap_present_hwtcl         (0),
		.core16_pf7_virtio_cmn_config_bar_indicator_hwtcl            (0),
		.core16_pf7_virtio_cmn_config_bar_offset_hwtcl               (0),
		.core16_pf7_virtio_cmn_config_structure_length_hwtcl         (0),
		.core16_pf7_virtio_notification_bar_indicator_hwtcl          (0),
		.core16_pf7_virtio_notification_bar_offset_hwtcl             (0),
		.core16_pf7_virtio_notification_structure_length_hwtcl       (0),
		.core16_pf7_virtio_notify_off_multiplier_hwtcl               (0),
		.core16_pf7_virtio_isrstatus_bar_indicator_hwtcl             (0),
		.core16_pf7_virtio_isrstatus_bar_offset_hwtcl                (0),
		.core16_pf7_virtio_isrstatus_structure_length_hwtcl          (0),
		.core16_pf7_virtio_devspecific_bar_indicator_hwtcl           (0),
		.core16_pf7_virtio_devspecific_bar_offset_hwtcl              (0),
		.core16_pf7_virtio_devspecific_structure_length_hwtcl        (0),
		.core16_pf7_virtio_pciconfig_access_bar_indicator_hwtcl      (0),
		.core16_pf7_virtio_pciconfig_access_bar_offset_hwtcl         (0),
		.core16_pf7_virtio_pciconfig_access_structure_length_hwtcl   (0),
		.core16_pf0vf_virtio_capability_present_hwtcl                (0),
		.core16_pf0vf_virtio_device_specific_cap_present_hwtcl       (0),
		.core16_pf0vf_virtio_cmn_config_bar_indicator_hwtcl          (0),
		.core16_pf0vf_virtio_cmn_config_bar_offset_hwtcl             (0),
		.core16_pf0vf_virtio_cmn_config_structure_length_hwtcl       (0),
		.core16_pf0vf_virtio_notification_bar_indicator_hwtcl        (0),
		.core16_pf0vf_virtio_notification_bar_offset_hwtcl           (0),
		.core16_pf0vf_virtio_notification_structure_length_hwtcl     (0),
		.core16_pf0vf_virtio_notify_off_multiplier_hwtcl             (0),
		.core16_pf0vf_virtio_isrstatus_bar_indicator_hwtcl           (0),
		.core16_pf0vf_virtio_isrstatus_bar_offset_hwtcl              (0),
		.core16_pf0vf_virtio_isrstatus_structure_length_hwtcl        (0),
		.core16_pf0vf_virtio_devspecific_bar_indicator_hwtcl         (0),
		.core16_pf0vf_virtio_devspecific_bar_offset_hwtcl            (0),
		.core16_pf0vf_virtio_devspecific_structure_length_hwtcl      (0),
		.core16_pf0vf_virtio_pciconfig_access_bar_indicator_hwtcl    (0),
		.core16_pf0vf_virtio_pciconfig_access_bar_offset_hwtcl       (0),
		.core16_pf0vf_virtio_pciconfig_access_structure_length_hwtcl (0),
		.core16_pf1vf_virtio_capability_present_hwtcl                (0),
		.core16_pf1vf_virtio_device_specific_cap_present_hwtcl       (0),
		.core16_pf1vf_virtio_cmn_config_bar_indicator_hwtcl          (0),
		.core16_pf1vf_virtio_cmn_config_bar_offset_hwtcl             (0),
		.core16_pf1vf_virtio_cmn_config_structure_length_hwtcl       (0),
		.core16_pf1vf_virtio_notification_bar_indicator_hwtcl        (0),
		.core16_pf1vf_virtio_notification_bar_offset_hwtcl           (0),
		.core16_pf1vf_virtio_notification_structure_length_hwtcl     (0),
		.core16_pf1vf_virtio_notify_off_multiplier_hwtcl             (0),
		.core16_pf1vf_virtio_isrstatus_bar_indicator_hwtcl           (0),
		.core16_pf1vf_virtio_isrstatus_bar_offset_hwtcl              (0),
		.core16_pf1vf_virtio_isrstatus_structure_length_hwtcl        (0),
		.core16_pf1vf_virtio_devspecific_bar_indicator_hwtcl         (0),
		.core16_pf1vf_virtio_devspecific_bar_offset_hwtcl            (0),
		.core16_pf1vf_virtio_devspecific_structure_length_hwtcl      (0),
		.core16_pf1vf_virtio_pciconfig_access_bar_indicator_hwtcl    (0),
		.core16_pf1vf_virtio_pciconfig_access_bar_offset_hwtcl       (0),
		.core16_pf1vf_virtio_pciconfig_access_structure_length_hwtcl (0),
		.core16_pf2vf_virtio_capability_present_hwtcl                (0),
		.core16_pf2vf_virtio_device_specific_cap_present_hwtcl       (0),
		.core16_pf2vf_virtio_cmn_config_bar_indicator_hwtcl          (0),
		.core16_pf2vf_virtio_cmn_config_bar_offset_hwtcl             (0),
		.core16_pf2vf_virtio_cmn_config_structure_length_hwtcl       (0),
		.core16_pf2vf_virtio_notification_bar_indicator_hwtcl        (0),
		.core16_pf2vf_virtio_notification_bar_offset_hwtcl           (0),
		.core16_pf2vf_virtio_notification_structure_length_hwtcl     (0),
		.core16_pf2vf_virtio_notify_off_multiplier_hwtcl             (0),
		.core16_pf2vf_virtio_isrstatus_bar_indicator_hwtcl           (0),
		.core16_pf2vf_virtio_isrstatus_bar_offset_hwtcl              (0),
		.core16_pf2vf_virtio_isrstatus_structure_length_hwtcl        (0),
		.core16_pf2vf_virtio_devspecific_bar_indicator_hwtcl         (0),
		.core16_pf2vf_virtio_devspecific_bar_offset_hwtcl            (0),
		.core16_pf2vf_virtio_devspecific_structure_length_hwtcl      (0),
		.core16_pf2vf_virtio_pciconfig_access_bar_indicator_hwtcl    (0),
		.core16_pf2vf_virtio_pciconfig_access_bar_offset_hwtcl       (0),
		.core16_pf2vf_virtio_pciconfig_access_structure_length_hwtcl (0),
		.core16_pf3vf_virtio_capability_present_hwtcl                (0),
		.core16_pf3vf_virtio_device_specific_cap_present_hwtcl       (0),
		.core16_pf3vf_virtio_cmn_config_bar_indicator_hwtcl          (0),
		.core16_pf3vf_virtio_cmn_config_bar_offset_hwtcl             (0),
		.core16_pf3vf_virtio_cmn_config_structure_length_hwtcl       (0),
		.core16_pf3vf_virtio_notification_bar_indicator_hwtcl        (0),
		.core16_pf3vf_virtio_notification_bar_offset_hwtcl           (0),
		.core16_pf3vf_virtio_notification_structure_length_hwtcl     (0),
		.core16_pf3vf_virtio_notify_off_multiplier_hwtcl             (0),
		.core16_pf3vf_virtio_isrstatus_bar_indicator_hwtcl           (0),
		.core16_pf3vf_virtio_isrstatus_bar_offset_hwtcl              (0),
		.core16_pf3vf_virtio_isrstatus_structure_length_hwtcl        (0),
		.core16_pf3vf_virtio_devspecific_bar_indicator_hwtcl         (0),
		.core16_pf3vf_virtio_devspecific_bar_offset_hwtcl            (0),
		.core16_pf3vf_virtio_devspecific_structure_length_hwtcl      (0),
		.core16_pf3vf_virtio_pciconfig_access_bar_indicator_hwtcl    (0),
		.core16_pf3vf_virtio_pciconfig_access_bar_offset_hwtcl       (0),
		.core16_pf3vf_virtio_pciconfig_access_structure_length_hwtcl (0),
		.core16_pf4vf_virtio_capability_present_hwtcl                (0),
		.core16_pf4vf_virtio_device_specific_cap_present_hwtcl       (0),
		.core16_pf4vf_virtio_cmn_config_bar_indicator_hwtcl          (0),
		.core16_pf4vf_virtio_cmn_config_bar_offset_hwtcl             (0),
		.core16_pf4vf_virtio_cmn_config_structure_length_hwtcl       (0),
		.core16_pf4vf_virtio_notification_bar_indicator_hwtcl        (0),
		.core16_pf4vf_virtio_notification_bar_offset_hwtcl           (0),
		.core16_pf4vf_virtio_notification_structure_length_hwtcl     (0),
		.core16_pf4vf_virtio_notify_off_multiplier_hwtcl             (0),
		.core16_pf4vf_virtio_isrstatus_bar_indicator_hwtcl           (0),
		.core16_pf4vf_virtio_isrstatus_bar_offset_hwtcl              (0),
		.core16_pf4vf_virtio_isrstatus_structure_length_hwtcl        (0),
		.core16_pf4vf_virtio_devspecific_bar_indicator_hwtcl         (0),
		.core16_pf4vf_virtio_devspecific_bar_offset_hwtcl            (0),
		.core16_pf4vf_virtio_devspecific_structure_length_hwtcl      (0),
		.core16_pf4vf_virtio_pciconfig_access_bar_indicator_hwtcl    (0),
		.core16_pf4vf_virtio_pciconfig_access_bar_offset_hwtcl       (0),
		.core16_pf4vf_virtio_pciconfig_access_structure_length_hwtcl (0),
		.core16_pf5vf_virtio_capability_present_hwtcl                (0),
		.core16_pf5vf_virtio_device_specific_cap_present_hwtcl       (0),
		.core16_pf5vf_virtio_cmn_config_bar_indicator_hwtcl          (0),
		.core16_pf5vf_virtio_cmn_config_bar_offset_hwtcl             (0),
		.core16_pf5vf_virtio_cmn_config_structure_length_hwtcl       (0),
		.core16_pf5vf_virtio_notification_bar_indicator_hwtcl        (0),
		.core16_pf5vf_virtio_notification_bar_offset_hwtcl           (0),
		.core16_pf5vf_virtio_notification_structure_length_hwtcl     (0),
		.core16_pf5vf_virtio_notify_off_multiplier_hwtcl             (0),
		.core16_pf5vf_virtio_isrstatus_bar_indicator_hwtcl           (0),
		.core16_pf5vf_virtio_isrstatus_bar_offset_hwtcl              (0),
		.core16_pf5vf_virtio_isrstatus_structure_length_hwtcl        (0),
		.core16_pf5vf_virtio_devspecific_bar_indicator_hwtcl         (0),
		.core16_pf5vf_virtio_devspecific_bar_offset_hwtcl            (0),
		.core16_pf5vf_virtio_devspecific_structure_length_hwtcl      (0),
		.core16_pf5vf_virtio_pciconfig_access_bar_indicator_hwtcl    (0),
		.core16_pf5vf_virtio_pciconfig_access_bar_offset_hwtcl       (0),
		.core16_pf5vf_virtio_pciconfig_access_structure_length_hwtcl (0),
		.core16_pf6vf_virtio_capability_present_hwtcl                (0),
		.core16_pf6vf_virtio_device_specific_cap_present_hwtcl       (0),
		.core16_pf6vf_virtio_cmn_config_bar_indicator_hwtcl          (0),
		.core16_pf6vf_virtio_cmn_config_bar_offset_hwtcl             (0),
		.core16_pf6vf_virtio_cmn_config_structure_length_hwtcl       (0),
		.core16_pf6vf_virtio_notification_bar_indicator_hwtcl        (0),
		.core16_pf6vf_virtio_notification_bar_offset_hwtcl           (0),
		.core16_pf6vf_virtio_notification_structure_length_hwtcl     (0),
		.core16_pf6vf_virtio_notify_off_multiplier_hwtcl             (0),
		.core16_pf6vf_virtio_isrstatus_bar_indicator_hwtcl           (0),
		.core16_pf6vf_virtio_isrstatus_bar_offset_hwtcl              (0),
		.core16_pf6vf_virtio_isrstatus_structure_length_hwtcl        (0),
		.core16_pf6vf_virtio_devspecific_bar_indicator_hwtcl         (0),
		.core16_pf6vf_virtio_devspecific_bar_offset_hwtcl            (0),
		.core16_pf6vf_virtio_devspecific_structure_length_hwtcl      (0),
		.core16_pf6vf_virtio_pciconfig_access_bar_indicator_hwtcl    (0),
		.core16_pf6vf_virtio_pciconfig_access_bar_offset_hwtcl       (0),
		.core16_pf6vf_virtio_pciconfig_access_structure_length_hwtcl (0),
		.core16_pf7vf_virtio_capability_present_hwtcl                (0),
		.core16_pf7vf_virtio_device_specific_cap_present_hwtcl       (0),
		.core16_pf7vf_virtio_cmn_config_bar_indicator_hwtcl          (0),
		.core16_pf7vf_virtio_cmn_config_bar_offset_hwtcl             (0),
		.core16_pf7vf_virtio_cmn_config_structure_length_hwtcl       (0),
		.core16_pf7vf_virtio_notification_bar_indicator_hwtcl        (0),
		.core16_pf7vf_virtio_notification_bar_offset_hwtcl           (0),
		.core16_pf7vf_virtio_notification_structure_length_hwtcl     (0),
		.core16_pf7vf_virtio_notify_off_multiplier_hwtcl             (0),
		.core16_pf7vf_virtio_isrstatus_bar_indicator_hwtcl           (0),
		.core16_pf7vf_virtio_isrstatus_bar_offset_hwtcl              (0),
		.core16_pf7vf_virtio_isrstatus_structure_length_hwtcl        (0),
		.core16_pf7vf_virtio_devspecific_bar_indicator_hwtcl         (0),
		.core16_pf7vf_virtio_devspecific_bar_offset_hwtcl            (0),
		.core16_pf7vf_virtio_devspecific_structure_length_hwtcl      (0),
		.core16_pf7vf_virtio_pciconfig_access_bar_indicator_hwtcl    (0),
		.core16_pf7vf_virtio_pciconfig_access_bar_offset_hwtcl       (0),
		.core16_pf7vf_virtio_pciconfig_access_structure_length_hwtcl (0),
		.core8_pf0_bar0_address_width_hwtcl                          (0),
		.core8_pf0_bar1_address_width_hwtcl                          (0),
		.core8_pf0_bar2_address_width_hwtcl                          (0),
		.core8_pf0_bar3_address_width_hwtcl                          (0),
		.core8_pf0_bar4_address_width_hwtcl                          (0),
		.core8_pf0_bar5_address_width_hwtcl                          (0),
		.core8_pf0_expansion_base_address_register_integer_hwtcl     (0),
		.core8_pf0_sriov_vf_bar0_address_width_hwtcl                 ("0"),
		.core8_pf0_sriov_vf_bar0_address_width_int_hwtcl             (0),
		.core8_pf0_sriov_vf_bar1_address_width_hwtcl                 ("0"),
		.core8_pf0_sriov_vf_bar1_address_width_int_hwtcl             (0),
		.core8_pf0_sriov_vf_bar2_address_width_hwtcl                 ("0"),
		.core8_pf0_sriov_vf_bar2_address_width_int_hwtcl             (0),
		.core8_pf0_sriov_vf_bar3_address_width_hwtcl                 ("0"),
		.core8_pf0_sriov_vf_bar3_address_width_int_hwtcl             (0),
		.core8_pf0_sriov_vf_bar4_address_width_hwtcl                 ("0"),
		.core8_pf0_sriov_vf_bar4_address_width_int_hwtcl             (0),
		.core8_pf0_sriov_vf_bar5_address_width_hwtcl                 ("0"),
		.core8_pf0_sriov_vf_bar5_address_width_int_hwtcl             (0),
		.core8_pf1_bar0_address_width_hwtcl                          (0),
		.core8_pf1_bar1_address_width_hwtcl                          (0),
		.core8_pf1_bar2_address_width_hwtcl                          (0),
		.core8_pf1_bar3_address_width_hwtcl                          (0),
		.core8_pf1_bar4_address_width_hwtcl                          (0),
		.core8_pf1_bar5_address_width_hwtcl                          (0),
		.core8_pf1_expansion_base_address_register_integer_hwtcl     (0),
		.core8_pf1_sriov_vf_bar0_address_width_hwtcl                 ("0"),
		.core8_pf1_sriov_vf_bar0_address_width_int_hwtcl             (0),
		.core8_pf1_sriov_vf_bar1_address_width_hwtcl                 ("0"),
		.core8_pf1_sriov_vf_bar1_address_width_int_hwtcl             (0),
		.core8_pf1_sriov_vf_bar2_address_width_hwtcl                 ("0"),
		.core8_pf1_sriov_vf_bar2_address_width_int_hwtcl             (0),
		.core8_pf1_sriov_vf_bar3_address_width_hwtcl                 ("0"),
		.core8_pf1_sriov_vf_bar3_address_width_int_hwtcl             (0),
		.core8_pf1_sriov_vf_bar4_address_width_hwtcl                 ("0"),
		.core8_pf1_sriov_vf_bar4_address_width_int_hwtcl             (0),
		.core8_pf1_sriov_vf_bar5_address_width_hwtcl                 ("0"),
		.core8_pf1_sriov_vf_bar5_address_width_int_hwtcl             (0),
		.core8_pf2_bar0_address_width_hwtcl                          (0),
		.core8_pf2_bar1_address_width_hwtcl                          (0),
		.core8_pf2_bar2_address_width_hwtcl                          (0),
		.core8_pf2_bar3_address_width_hwtcl                          (0),
		.core8_pf2_bar4_address_width_hwtcl                          (0),
		.core8_pf2_bar5_address_width_hwtcl                          (0),
		.core8_pf2_expansion_base_address_register_integer_hwtcl     (0),
		.core8_pf2_sriov_vf_bar0_address_width_hwtcl                 ("0"),
		.core8_pf2_sriov_vf_bar0_address_width_int_hwtcl             (0),
		.core8_pf2_sriov_vf_bar1_address_width_hwtcl                 ("0"),
		.core8_pf2_sriov_vf_bar1_address_width_int_hwtcl             (0),
		.core8_pf2_sriov_vf_bar2_address_width_hwtcl                 ("0"),
		.core8_pf2_sriov_vf_bar2_address_width_int_hwtcl             (0),
		.core8_pf2_sriov_vf_bar3_address_width_hwtcl                 ("0"),
		.core8_pf2_sriov_vf_bar3_address_width_int_hwtcl             (0),
		.core8_pf2_sriov_vf_bar4_address_width_hwtcl                 ("0"),
		.core8_pf2_sriov_vf_bar4_address_width_int_hwtcl             (0),
		.core8_pf2_sriov_vf_bar5_address_width_hwtcl                 ("0"),
		.core8_pf2_sriov_vf_bar5_address_width_int_hwtcl             (0),
		.core8_pf3_bar0_address_width_hwtcl                          (0),
		.core8_pf3_bar1_address_width_hwtcl                          (0),
		.core8_pf3_bar2_address_width_hwtcl                          (0),
		.core8_pf3_bar3_address_width_hwtcl                          (0),
		.core8_pf3_bar4_address_width_hwtcl                          (0),
		.core8_pf3_bar5_address_width_hwtcl                          (0),
		.core8_pf3_expansion_base_address_register_integer_hwtcl     (0),
		.core8_pf3_sriov_vf_bar0_address_width_hwtcl                 ("0"),
		.core8_pf3_sriov_vf_bar0_address_width_int_hwtcl             (0),
		.core8_pf3_sriov_vf_bar1_address_width_hwtcl                 ("0"),
		.core8_pf3_sriov_vf_bar1_address_width_int_hwtcl             (0),
		.core8_pf3_sriov_vf_bar2_address_width_hwtcl                 ("0"),
		.core8_pf3_sriov_vf_bar2_address_width_int_hwtcl             (0),
		.core8_pf3_sriov_vf_bar3_address_width_hwtcl                 ("0"),
		.core8_pf3_sriov_vf_bar3_address_width_int_hwtcl             (0),
		.core8_pf3_sriov_vf_bar4_address_width_hwtcl                 ("0"),
		.core8_pf3_sriov_vf_bar4_address_width_int_hwtcl             (0),
		.core8_pf3_sriov_vf_bar5_address_width_hwtcl                 ("0"),
		.core8_pf3_sriov_vf_bar5_address_width_int_hwtcl             (0),
		.core8_pf4_bar0_address_width_hwtcl                          (0),
		.core8_pf4_bar1_address_width_hwtcl                          (0),
		.core8_pf4_bar2_address_width_hwtcl                          (0),
		.core8_pf4_bar3_address_width_hwtcl                          (0),
		.core8_pf4_bar4_address_width_hwtcl                          (0),
		.core8_pf4_bar5_address_width_hwtcl                          (0),
		.core8_pf4_expansion_base_address_register_integer_hwtcl     (0),
		.core8_pf4_sriov_vf_bar0_address_width_hwtcl                 ("0"),
		.core8_pf4_sriov_vf_bar0_address_width_int_hwtcl             (0),
		.core8_pf4_sriov_vf_bar1_address_width_hwtcl                 ("0"),
		.core8_pf4_sriov_vf_bar1_address_width_int_hwtcl             (0),
		.core8_pf4_sriov_vf_bar2_address_width_hwtcl                 ("0"),
		.core8_pf4_sriov_vf_bar2_address_width_int_hwtcl             (0),
		.core8_pf4_sriov_vf_bar3_address_width_hwtcl                 ("0"),
		.core8_pf4_sriov_vf_bar3_address_width_int_hwtcl             (0),
		.core8_pf4_sriov_vf_bar4_address_width_hwtcl                 ("0"),
		.core8_pf4_sriov_vf_bar4_address_width_int_hwtcl             (0),
		.core8_pf4_sriov_vf_bar5_address_width_hwtcl                 ("0"),
		.core8_pf4_sriov_vf_bar5_address_width_int_hwtcl             (0),
		.core8_pf5_bar0_address_width_hwtcl                          (0),
		.core8_pf5_bar1_address_width_hwtcl                          (0),
		.core8_pf5_bar2_address_width_hwtcl                          (0),
		.core8_pf5_bar3_address_width_hwtcl                          (0),
		.core8_pf5_bar4_address_width_hwtcl                          (0),
		.core8_pf5_bar5_address_width_hwtcl                          (0),
		.core8_pf5_expansion_base_address_register_integer_hwtcl     (0),
		.core8_pf5_sriov_vf_bar0_address_width_hwtcl                 ("0"),
		.core8_pf5_sriov_vf_bar0_address_width_int_hwtcl             (0),
		.core8_pf5_sriov_vf_bar1_address_width_hwtcl                 ("0"),
		.core8_pf5_sriov_vf_bar1_address_width_int_hwtcl             (0),
		.core8_pf5_sriov_vf_bar2_address_width_hwtcl                 ("0"),
		.core8_pf5_sriov_vf_bar2_address_width_int_hwtcl             (0),
		.core8_pf5_sriov_vf_bar3_address_width_hwtcl                 ("0"),
		.core8_pf5_sriov_vf_bar3_address_width_int_hwtcl             (0),
		.core8_pf5_sriov_vf_bar4_address_width_hwtcl                 ("0"),
		.core8_pf5_sriov_vf_bar4_address_width_int_hwtcl             (0),
		.core8_pf5_sriov_vf_bar5_address_width_hwtcl                 ("0"),
		.core8_pf5_sriov_vf_bar5_address_width_int_hwtcl             (0),
		.core8_pf6_bar0_address_width_hwtcl                          (0),
		.core8_pf6_bar1_address_width_hwtcl                          (0),
		.core8_pf6_bar2_address_width_hwtcl                          (0),
		.core8_pf6_bar3_address_width_hwtcl                          (0),
		.core8_pf6_bar4_address_width_hwtcl                          (0),
		.core8_pf6_bar5_address_width_hwtcl                          (0),
		.core8_pf6_expansion_base_address_register_integer_hwtcl     (0),
		.core8_pf6_sriov_vf_bar0_address_width_hwtcl                 ("0"),
		.core8_pf6_sriov_vf_bar0_address_width_int_hwtcl             (0),
		.core8_pf6_sriov_vf_bar1_address_width_hwtcl                 ("0"),
		.core8_pf6_sriov_vf_bar1_address_width_int_hwtcl             (0),
		.core8_pf6_sriov_vf_bar2_address_width_hwtcl                 ("0"),
		.core8_pf6_sriov_vf_bar2_address_width_int_hwtcl             (0),
		.core8_pf6_sriov_vf_bar3_address_width_hwtcl                 ("0"),
		.core8_pf6_sriov_vf_bar3_address_width_int_hwtcl             (0),
		.core8_pf6_sriov_vf_bar4_address_width_hwtcl                 ("0"),
		.core8_pf6_sriov_vf_bar4_address_width_int_hwtcl             (0),
		.core8_pf6_sriov_vf_bar5_address_width_hwtcl                 ("0"),
		.core8_pf6_sriov_vf_bar5_address_width_int_hwtcl             (0),
		.core8_pf7_bar0_address_width_hwtcl                          (0),
		.core8_pf7_bar1_address_width_hwtcl                          (0),
		.core8_pf7_bar2_address_width_hwtcl                          (0),
		.core8_pf7_bar3_address_width_hwtcl                          (0),
		.core8_pf7_bar4_address_width_hwtcl                          (0),
		.core8_pf7_bar5_address_width_hwtcl                          (0),
		.core8_pf7_expansion_base_address_register_integer_hwtcl     (0),
		.core8_pf7_sriov_vf_bar0_address_width_hwtcl                 ("0"),
		.core8_pf7_sriov_vf_bar0_address_width_int_hwtcl             (0),
		.core8_pf7_sriov_vf_bar1_address_width_hwtcl                 ("0"),
		.core8_pf7_sriov_vf_bar1_address_width_int_hwtcl             (0),
		.core8_pf7_sriov_vf_bar2_address_width_hwtcl                 ("0"),
		.core8_pf7_sriov_vf_bar2_address_width_int_hwtcl             (0),
		.core8_pf7_sriov_vf_bar3_address_width_hwtcl                 ("0"),
		.core8_pf7_sriov_vf_bar3_address_width_int_hwtcl             (0),
		.core8_pf7_sriov_vf_bar4_address_width_hwtcl                 ("0"),
		.core8_pf7_sriov_vf_bar4_address_width_int_hwtcl             (0),
		.core8_pf7_sriov_vf_bar5_address_width_hwtcl                 ("0"),
		.core8_pf7_sriov_vf_bar5_address_width_int_hwtcl             (0),
		.core8_enable_multi_func_hwtcl                               (0),
		.core8_total_pf_count_hwtcl                                  (1),
		.core8_total_pf_count_width_hwtcl                            (1),
		.core8_enable_sriov_hwtcl                                    (0),
		.core8_pf0_vf_count_hwtcl                                    (0),
		.core8_pf1_vf_count_hwtcl                                    (0),
		.core8_pf2_vf_count_hwtcl                                    (0),
		.core8_pf3_vf_count_hwtcl                                    (0),
		.core8_pf4_vf_count_hwtcl                                    (0),
		.core8_pf5_vf_count_hwtcl                                    (0),
		.core8_pf6_vf_count_hwtcl                                    (0),
		.core8_pf7_vf_count_hwtcl                                    (0),
		.core8_total_vf_count_hwtcl                                  (0),
		.core8_total_vf_count_width_hwtcl                            (0),
		.core8_enable_virtio_hwtcl                                   (0),
		.core8_virtio_start_byte_address_hwtcl                       (72),
		.core8_pf0_virtio_capability_present_hwtcl                   (0),
		.core8_pf0_virtio_device_specific_cap_present_hwtcl          (0),
		.core8_pf0_virtio_cmn_config_bar_indicator_hwtcl             (0),
		.core8_pf0_virtio_cmn_config_bar_offset_hwtcl                (0),
		.core8_pf0_virtio_cmn_config_structure_length_hwtcl          (0),
		.core8_pf0_virtio_notification_bar_indicator_hwtcl           (0),
		.core8_pf0_virtio_notification_bar_offset_hwtcl              (0),
		.core8_pf0_virtio_notification_structure_length_hwtcl        (0),
		.core8_pf0_virtio_notify_off_multiplier_hwtcl                (0),
		.core8_pf0_virtio_isrstatus_bar_indicator_hwtcl              (0),
		.core8_pf0_virtio_isrstatus_bar_offset_hwtcl                 (0),
		.core8_pf0_virtio_isrstatus_structure_length_hwtcl           (0),
		.core8_pf0_virtio_devspecific_bar_indicator_hwtcl            (0),
		.core8_pf0_virtio_devspecific_bar_offset_hwtcl               (0),
		.core8_pf0_virtio_devspecific_structure_length_hwtcl         (0),
		.core8_pf0_virtio_pciconfig_access_bar_indicator_hwtcl       (0),
		.core8_pf0_virtio_pciconfig_access_bar_offset_hwtcl          (0),
		.core8_pf0_virtio_pciconfig_access_structure_length_hwtcl    (0),
		.core8_pf1_virtio_capability_present_hwtcl                   (0),
		.core8_pf1_virtio_device_specific_cap_present_hwtcl          (0),
		.core8_pf1_virtio_cmn_config_bar_indicator_hwtcl             (0),
		.core8_pf1_virtio_cmn_config_bar_offset_hwtcl                (0),
		.core8_pf1_virtio_cmn_config_structure_length_hwtcl          (0),
		.core8_pf1_virtio_notification_bar_indicator_hwtcl           (0),
		.core8_pf1_virtio_notification_bar_offset_hwtcl              (0),
		.core8_pf1_virtio_notification_structure_length_hwtcl        (0),
		.core8_pf1_virtio_notify_off_multiplier_hwtcl                (0),
		.core8_pf1_virtio_isrstatus_bar_indicator_hwtcl              (0),
		.core8_pf1_virtio_isrstatus_bar_offset_hwtcl                 (0),
		.core8_pf1_virtio_isrstatus_structure_length_hwtcl           (0),
		.core8_pf1_virtio_devspecific_bar_indicator_hwtcl            (0),
		.core8_pf1_virtio_devspecific_bar_offset_hwtcl               (0),
		.core8_pf1_virtio_devspecific_structure_length_hwtcl         (0),
		.core8_pf1_virtio_pciconfig_access_bar_indicator_hwtcl       (0),
		.core8_pf1_virtio_pciconfig_access_bar_offset_hwtcl          (0),
		.core8_pf1_virtio_pciconfig_access_structure_length_hwtcl    (0),
		.core8_pf2_virtio_capability_present_hwtcl                   (0),
		.core8_pf2_virtio_device_specific_cap_present_hwtcl          (0),
		.core8_pf2_virtio_cmn_config_bar_indicator_hwtcl             (0),
		.core8_pf2_virtio_cmn_config_bar_offset_hwtcl                (0),
		.core8_pf2_virtio_cmn_config_structure_length_hwtcl          (0),
		.core8_pf2_virtio_notification_bar_indicator_hwtcl           (0),
		.core8_pf2_virtio_notification_bar_offset_hwtcl              (0),
		.core8_pf2_virtio_notification_structure_length_hwtcl        (0),
		.core8_pf2_virtio_notify_off_multiplier_hwtcl                (0),
		.core8_pf2_virtio_isrstatus_bar_indicator_hwtcl              (0),
		.core8_pf2_virtio_isrstatus_bar_offset_hwtcl                 (0),
		.core8_pf2_virtio_isrstatus_structure_length_hwtcl           (0),
		.core8_pf2_virtio_devspecific_bar_indicator_hwtcl            (0),
		.core8_pf2_virtio_devspecific_bar_offset_hwtcl               (0),
		.core8_pf2_virtio_devspecific_structure_length_hwtcl         (0),
		.core8_pf2_virtio_pciconfig_access_bar_indicator_hwtcl       (0),
		.core8_pf2_virtio_pciconfig_access_bar_offset_hwtcl          (0),
		.core8_pf2_virtio_pciconfig_access_structure_length_hwtcl    (0),
		.core8_pf3_virtio_capability_present_hwtcl                   (0),
		.core8_pf3_virtio_device_specific_cap_present_hwtcl          (0),
		.core8_pf3_virtio_cmn_config_bar_indicator_hwtcl             (0),
		.core8_pf3_virtio_cmn_config_bar_offset_hwtcl                (0),
		.core8_pf3_virtio_cmn_config_structure_length_hwtcl          (0),
		.core8_pf3_virtio_notification_bar_indicator_hwtcl           (0),
		.core8_pf3_virtio_notification_bar_offset_hwtcl              (0),
		.core8_pf3_virtio_notification_structure_length_hwtcl        (0),
		.core8_pf3_virtio_notify_off_multiplier_hwtcl                (0),
		.core8_pf3_virtio_isrstatus_bar_indicator_hwtcl              (0),
		.core8_pf3_virtio_isrstatus_bar_offset_hwtcl                 (0),
		.core8_pf3_virtio_isrstatus_structure_length_hwtcl           (0),
		.core8_pf3_virtio_devspecific_bar_indicator_hwtcl            (0),
		.core8_pf3_virtio_devspecific_bar_offset_hwtcl               (0),
		.core8_pf3_virtio_devspecific_structure_length_hwtcl         (0),
		.core8_pf3_virtio_pciconfig_access_bar_indicator_hwtcl       (0),
		.core8_pf3_virtio_pciconfig_access_bar_offset_hwtcl          (0),
		.core8_pf3_virtio_pciconfig_access_structure_length_hwtcl    (0),
		.core8_pf4_virtio_capability_present_hwtcl                   (0),
		.core8_pf4_virtio_device_specific_cap_present_hwtcl          (0),
		.core8_pf4_virtio_cmn_config_bar_indicator_hwtcl             (0),
		.core8_pf4_virtio_cmn_config_bar_offset_hwtcl                (0),
		.core8_pf4_virtio_cmn_config_structure_length_hwtcl          (0),
		.core8_pf4_virtio_notification_bar_indicator_hwtcl           (0),
		.core8_pf4_virtio_notification_bar_offset_hwtcl              (0),
		.core8_pf4_virtio_notification_structure_length_hwtcl        (0),
		.core8_pf4_virtio_notify_off_multiplier_hwtcl                (0),
		.core8_pf4_virtio_isrstatus_bar_indicator_hwtcl              (0),
		.core8_pf4_virtio_isrstatus_bar_offset_hwtcl                 (0),
		.core8_pf4_virtio_isrstatus_structure_length_hwtcl           (0),
		.core8_pf4_virtio_devspecific_bar_indicator_hwtcl            (0),
		.core8_pf4_virtio_devspecific_bar_offset_hwtcl               (0),
		.core8_pf4_virtio_devspecific_structure_length_hwtcl         (0),
		.core8_pf4_virtio_pciconfig_access_bar_indicator_hwtcl       (0),
		.core8_pf4_virtio_pciconfig_access_bar_offset_hwtcl          (0),
		.core8_pf4_virtio_pciconfig_access_structure_length_hwtcl    (0),
		.core8_pf5_virtio_capability_present_hwtcl                   (0),
		.core8_pf5_virtio_device_specific_cap_present_hwtcl          (0),
		.core8_pf5_virtio_cmn_config_bar_indicator_hwtcl             (0),
		.core8_pf5_virtio_cmn_config_bar_offset_hwtcl                (0),
		.core8_pf5_virtio_cmn_config_structure_length_hwtcl          (0),
		.core8_pf5_virtio_notification_bar_indicator_hwtcl           (0),
		.core8_pf5_virtio_notification_bar_offset_hwtcl              (0),
		.core8_pf5_virtio_notification_structure_length_hwtcl        (0),
		.core8_pf5_virtio_notify_off_multiplier_hwtcl                (0),
		.core8_pf5_virtio_isrstatus_bar_indicator_hwtcl              (0),
		.core8_pf5_virtio_isrstatus_bar_offset_hwtcl                 (0),
		.core8_pf5_virtio_isrstatus_structure_length_hwtcl           (0),
		.core8_pf5_virtio_devspecific_bar_indicator_hwtcl            (0),
		.core8_pf5_virtio_devspecific_bar_offset_hwtcl               (0),
		.core8_pf5_virtio_devspecific_structure_length_hwtcl         (0),
		.core8_pf5_virtio_pciconfig_access_bar_indicator_hwtcl       (0),
		.core8_pf5_virtio_pciconfig_access_bar_offset_hwtcl          (0),
		.core8_pf5_virtio_pciconfig_access_structure_length_hwtcl    (0),
		.core8_pf6_virtio_capability_present_hwtcl                   (0),
		.core8_pf6_virtio_device_specific_cap_present_hwtcl          (0),
		.core8_pf6_virtio_cmn_config_bar_indicator_hwtcl             (0),
		.core8_pf6_virtio_cmn_config_bar_offset_hwtcl                (0),
		.core8_pf6_virtio_cmn_config_structure_length_hwtcl          (0),
		.core8_pf6_virtio_notification_bar_indicator_hwtcl           (0),
		.core8_pf6_virtio_notification_bar_offset_hwtcl              (0),
		.core8_pf6_virtio_notification_structure_length_hwtcl        (0),
		.core8_pf6_virtio_notify_off_multiplier_hwtcl                (0),
		.core8_pf6_virtio_isrstatus_bar_indicator_hwtcl              (0),
		.core8_pf6_virtio_isrstatus_bar_offset_hwtcl                 (0),
		.core8_pf6_virtio_isrstatus_structure_length_hwtcl           (0),
		.core8_pf6_virtio_devspecific_bar_indicator_hwtcl            (0),
		.core8_pf6_virtio_devspecific_bar_offset_hwtcl               (0),
		.core8_pf6_virtio_devspecific_structure_length_hwtcl         (0),
		.core8_pf6_virtio_pciconfig_access_bar_indicator_hwtcl       (0),
		.core8_pf6_virtio_pciconfig_access_bar_offset_hwtcl          (0),
		.core8_pf6_virtio_pciconfig_access_structure_length_hwtcl    (0),
		.core8_pf7_virtio_capability_present_hwtcl                   (0),
		.core8_pf7_virtio_device_specific_cap_present_hwtcl          (0),
		.core8_pf7_virtio_cmn_config_bar_indicator_hwtcl             (0),
		.core8_pf7_virtio_cmn_config_bar_offset_hwtcl                (0),
		.core8_pf7_virtio_cmn_config_structure_length_hwtcl          (0),
		.core8_pf7_virtio_notification_bar_indicator_hwtcl           (0),
		.core8_pf7_virtio_notification_bar_offset_hwtcl              (0),
		.core8_pf7_virtio_notification_structure_length_hwtcl        (0),
		.core8_pf7_virtio_notify_off_multiplier_hwtcl                (0),
		.core8_pf7_virtio_isrstatus_bar_indicator_hwtcl              (0),
		.core8_pf7_virtio_isrstatus_bar_offset_hwtcl                 (0),
		.core8_pf7_virtio_isrstatus_structure_length_hwtcl           (0),
		.core8_pf7_virtio_devspecific_bar_indicator_hwtcl            (0),
		.core8_pf7_virtio_devspecific_bar_offset_hwtcl               (0),
		.core8_pf7_virtio_devspecific_structure_length_hwtcl         (0),
		.core8_pf7_virtio_pciconfig_access_bar_indicator_hwtcl       (0),
		.core8_pf7_virtio_pciconfig_access_bar_offset_hwtcl          (0),
		.core8_pf7_virtio_pciconfig_access_structure_length_hwtcl    (0),
		.core8_pf0vf_virtio_capability_present_hwtcl                 (0),
		.core8_pf0vf_virtio_device_specific_cap_present_hwtcl        (0),
		.core8_pf0vf_virtio_cmn_config_bar_indicator_hwtcl           (0),
		.core8_pf0vf_virtio_cmn_config_bar_offset_hwtcl              (0),
		.core8_pf0vf_virtio_cmn_config_structure_length_hwtcl        (0),
		.core8_pf0vf_virtio_notification_bar_indicator_hwtcl         (0),
		.core8_pf0vf_virtio_notification_bar_offset_hwtcl            (0),
		.core8_pf0vf_virtio_notification_structure_length_hwtcl      (0),
		.core8_pf0vf_virtio_notify_off_multiplier_hwtcl              (0),
		.core8_pf0vf_virtio_isrstatus_bar_indicator_hwtcl            (0),
		.core8_pf0vf_virtio_isrstatus_bar_offset_hwtcl               (0),
		.core8_pf0vf_virtio_isrstatus_structure_length_hwtcl         (0),
		.core8_pf0vf_virtio_devspecific_bar_indicator_hwtcl          (0),
		.core8_pf0vf_virtio_devspecific_bar_offset_hwtcl             (0),
		.core8_pf0vf_virtio_devspecific_structure_length_hwtcl       (0),
		.core8_pf0vf_virtio_pciconfig_access_bar_indicator_hwtcl     (0),
		.core8_pf0vf_virtio_pciconfig_access_bar_offset_hwtcl        (0),
		.core8_pf0vf_virtio_pciconfig_access_structure_length_hwtcl  (0),
		.core8_pf1vf_virtio_capability_present_hwtcl                 (0),
		.core8_pf1vf_virtio_device_specific_cap_present_hwtcl        (0),
		.core8_pf1vf_virtio_cmn_config_bar_indicator_hwtcl           (0),
		.core8_pf1vf_virtio_cmn_config_bar_offset_hwtcl              (0),
		.core8_pf1vf_virtio_cmn_config_structure_length_hwtcl        (0),
		.core8_pf1vf_virtio_notification_bar_indicator_hwtcl         (0),
		.core8_pf1vf_virtio_notification_bar_offset_hwtcl            (0),
		.core8_pf1vf_virtio_notification_structure_length_hwtcl      (0),
		.core8_pf1vf_virtio_notify_off_multiplier_hwtcl              (0),
		.core8_pf1vf_virtio_isrstatus_bar_indicator_hwtcl            (0),
		.core8_pf1vf_virtio_isrstatus_bar_offset_hwtcl               (0),
		.core8_pf1vf_virtio_isrstatus_structure_length_hwtcl         (0),
		.core8_pf1vf_virtio_devspecific_bar_indicator_hwtcl          (0),
		.core8_pf1vf_virtio_devspecific_bar_offset_hwtcl             (0),
		.core8_pf1vf_virtio_devspecific_structure_length_hwtcl       (0),
		.core8_pf1vf_virtio_pciconfig_access_bar_indicator_hwtcl     (0),
		.core8_pf1vf_virtio_pciconfig_access_bar_offset_hwtcl        (0),
		.core8_pf1vf_virtio_pciconfig_access_structure_length_hwtcl  (0),
		.core8_pf2vf_virtio_capability_present_hwtcl                 (0),
		.core8_pf2vf_virtio_device_specific_cap_present_hwtcl        (0),
		.core8_pf2vf_virtio_cmn_config_bar_indicator_hwtcl           (0),
		.core8_pf2vf_virtio_cmn_config_bar_offset_hwtcl              (0),
		.core8_pf2vf_virtio_cmn_config_structure_length_hwtcl        (0),
		.core8_pf2vf_virtio_notification_bar_indicator_hwtcl         (0),
		.core8_pf2vf_virtio_notification_bar_offset_hwtcl            (0),
		.core8_pf2vf_virtio_notification_structure_length_hwtcl      (0),
		.core8_pf2vf_virtio_notify_off_multiplier_hwtcl              (0),
		.core8_pf2vf_virtio_isrstatus_bar_indicator_hwtcl            (0),
		.core8_pf2vf_virtio_isrstatus_bar_offset_hwtcl               (0),
		.core8_pf2vf_virtio_isrstatus_structure_length_hwtcl         (0),
		.core8_pf2vf_virtio_devspecific_bar_indicator_hwtcl          (0),
		.core8_pf2vf_virtio_devspecific_bar_offset_hwtcl             (0),
		.core8_pf2vf_virtio_devspecific_structure_length_hwtcl       (0),
		.core8_pf2vf_virtio_pciconfig_access_bar_indicator_hwtcl     (0),
		.core8_pf2vf_virtio_pciconfig_access_bar_offset_hwtcl        (0),
		.core8_pf2vf_virtio_pciconfig_access_structure_length_hwtcl  (0),
		.core8_pf3vf_virtio_capability_present_hwtcl                 (0),
		.core8_pf3vf_virtio_device_specific_cap_present_hwtcl        (0),
		.core8_pf3vf_virtio_cmn_config_bar_indicator_hwtcl           (0),
		.core8_pf3vf_virtio_cmn_config_bar_offset_hwtcl              (0),
		.core8_pf3vf_virtio_cmn_config_structure_length_hwtcl        (0),
		.core8_pf3vf_virtio_notification_bar_indicator_hwtcl         (0),
		.core8_pf3vf_virtio_notification_bar_offset_hwtcl            (0),
		.core8_pf3vf_virtio_notification_structure_length_hwtcl      (0),
		.core8_pf3vf_virtio_notify_off_multiplier_hwtcl              (0),
		.core8_pf3vf_virtio_isrstatus_bar_indicator_hwtcl            (0),
		.core8_pf3vf_virtio_isrstatus_bar_offset_hwtcl               (0),
		.core8_pf3vf_virtio_isrstatus_structure_length_hwtcl         (0),
		.core8_pf3vf_virtio_devspecific_bar_indicator_hwtcl          (0),
		.core8_pf3vf_virtio_devspecific_bar_offset_hwtcl             (0),
		.core8_pf3vf_virtio_devspecific_structure_length_hwtcl       (0),
		.core8_pf3vf_virtio_pciconfig_access_bar_indicator_hwtcl     (0),
		.core8_pf3vf_virtio_pciconfig_access_bar_offset_hwtcl        (0),
		.core8_pf3vf_virtio_pciconfig_access_structure_length_hwtcl  (0),
		.core8_pf4vf_virtio_capability_present_hwtcl                 (0),
		.core8_pf4vf_virtio_device_specific_cap_present_hwtcl        (0),
		.core8_pf4vf_virtio_cmn_config_bar_indicator_hwtcl           (0),
		.core8_pf4vf_virtio_cmn_config_bar_offset_hwtcl              (0),
		.core8_pf4vf_virtio_cmn_config_structure_length_hwtcl        (0),
		.core8_pf4vf_virtio_notification_bar_indicator_hwtcl         (0),
		.core8_pf4vf_virtio_notification_bar_offset_hwtcl            (0),
		.core8_pf4vf_virtio_notification_structure_length_hwtcl      (0),
		.core8_pf4vf_virtio_notify_off_multiplier_hwtcl              (0),
		.core8_pf4vf_virtio_isrstatus_bar_indicator_hwtcl            (0),
		.core8_pf4vf_virtio_isrstatus_bar_offset_hwtcl               (0),
		.core8_pf4vf_virtio_isrstatus_structure_length_hwtcl         (0),
		.core8_pf4vf_virtio_devspecific_bar_indicator_hwtcl          (0),
		.core8_pf4vf_virtio_devspecific_bar_offset_hwtcl             (0),
		.core8_pf4vf_virtio_devspecific_structure_length_hwtcl       (0),
		.core8_pf4vf_virtio_pciconfig_access_bar_indicator_hwtcl     (0),
		.core8_pf4vf_virtio_pciconfig_access_bar_offset_hwtcl        (0),
		.core8_pf4vf_virtio_pciconfig_access_structure_length_hwtcl  (0),
		.core8_pf5vf_virtio_capability_present_hwtcl                 (0),
		.core8_pf5vf_virtio_device_specific_cap_present_hwtcl        (0),
		.core8_pf5vf_virtio_cmn_config_bar_indicator_hwtcl           (0),
		.core8_pf5vf_virtio_cmn_config_bar_offset_hwtcl              (0),
		.core8_pf5vf_virtio_cmn_config_structure_length_hwtcl        (0),
		.core8_pf5vf_virtio_notification_bar_indicator_hwtcl         (0),
		.core8_pf5vf_virtio_notification_bar_offset_hwtcl            (0),
		.core8_pf5vf_virtio_notification_structure_length_hwtcl      (0),
		.core8_pf5vf_virtio_notify_off_multiplier_hwtcl              (0),
		.core8_pf5vf_virtio_isrstatus_bar_indicator_hwtcl            (0),
		.core8_pf5vf_virtio_isrstatus_bar_offset_hwtcl               (0),
		.core8_pf5vf_virtio_isrstatus_structure_length_hwtcl         (0),
		.core8_pf5vf_virtio_devspecific_bar_indicator_hwtcl          (0),
		.core8_pf5vf_virtio_devspecific_bar_offset_hwtcl             (0),
		.core8_pf5vf_virtio_devspecific_structure_length_hwtcl       (0),
		.core8_pf5vf_virtio_pciconfig_access_bar_indicator_hwtcl     (0),
		.core8_pf5vf_virtio_pciconfig_access_bar_offset_hwtcl        (0),
		.core8_pf5vf_virtio_pciconfig_access_structure_length_hwtcl  (0),
		.core8_pf6vf_virtio_capability_present_hwtcl                 (0),
		.core8_pf6vf_virtio_device_specific_cap_present_hwtcl        (0),
		.core8_pf6vf_virtio_cmn_config_bar_indicator_hwtcl           (0),
		.core8_pf6vf_virtio_cmn_config_bar_offset_hwtcl              (0),
		.core8_pf6vf_virtio_cmn_config_structure_length_hwtcl        (0),
		.core8_pf6vf_virtio_notification_bar_indicator_hwtcl         (0),
		.core8_pf6vf_virtio_notification_bar_offset_hwtcl            (0),
		.core8_pf6vf_virtio_notification_structure_length_hwtcl      (0),
		.core8_pf6vf_virtio_notify_off_multiplier_hwtcl              (0),
		.core8_pf6vf_virtio_isrstatus_bar_indicator_hwtcl            (0),
		.core8_pf6vf_virtio_isrstatus_bar_offset_hwtcl               (0),
		.core8_pf6vf_virtio_isrstatus_structure_length_hwtcl         (0),
		.core8_pf6vf_virtio_devspecific_bar_indicator_hwtcl          (0),
		.core8_pf6vf_virtio_devspecific_bar_offset_hwtcl             (0),
		.core8_pf6vf_virtio_devspecific_structure_length_hwtcl       (0),
		.core8_pf6vf_virtio_pciconfig_access_bar_indicator_hwtcl     (0),
		.core8_pf6vf_virtio_pciconfig_access_bar_offset_hwtcl        (0),
		.core8_pf6vf_virtio_pciconfig_access_structure_length_hwtcl  (0),
		.core8_pf7vf_virtio_capability_present_hwtcl                 (0),
		.core8_pf7vf_virtio_device_specific_cap_present_hwtcl        (0),
		.core8_pf7vf_virtio_cmn_config_bar_indicator_hwtcl           (0),
		.core8_pf7vf_virtio_cmn_config_bar_offset_hwtcl              (0),
		.core8_pf7vf_virtio_cmn_config_structure_length_hwtcl        (0),
		.core8_pf7vf_virtio_notification_bar_indicator_hwtcl         (0),
		.core8_pf7vf_virtio_notification_bar_offset_hwtcl            (0),
		.core8_pf7vf_virtio_notification_structure_length_hwtcl      (0),
		.core8_pf7vf_virtio_notify_off_multiplier_hwtcl              (0),
		.core8_pf7vf_virtio_isrstatus_bar_indicator_hwtcl            (0),
		.core8_pf7vf_virtio_isrstatus_bar_offset_hwtcl               (0),
		.core8_pf7vf_virtio_isrstatus_structure_length_hwtcl         (0),
		.core8_pf7vf_virtio_devspecific_bar_indicator_hwtcl          (0),
		.core8_pf7vf_virtio_devspecific_bar_offset_hwtcl             (0),
		.core8_pf7vf_virtio_devspecific_structure_length_hwtcl       (0),
		.core8_pf7vf_virtio_pciconfig_access_bar_indicator_hwtcl     (0),
		.core8_pf7vf_virtio_pciconfig_access_bar_offset_hwtcl        (0),
		.core8_pf7vf_virtio_pciconfig_access_structure_length_hwtcl  (0),
		.core16_payload_width_integer_hwtcl                          (256),
		.core16_hdr_width_integer_hwtcl                              (128),
		.core16_pfx_width_integer_hwtcl                              (32),
		.core16_double_width_integer_hwtcl                           (1),
		.core16_empty_width_integer_hwtcl                            (3),
		.core16_use_ast_parity_hwtcl                                 (0),
		.core8_payload_width_integer_hwtcl                           (256),
		.core8_hdr_width_integer_hwtcl                               (128),
		.core8_double_width_integer_hwtcl                            (1),
		.core8_pfx_width_integer_hwtcl                               (32),
		.core8_empty_width_integer_hwtcl                             (3),
		.core8_use_ast_parity_hwtcl                                  (0),
		.core4_0_payload_width_integer_hwtcl                         (128),
		.core4_0_hdr_width_integer_hwtcl                             (128),
		.core4_0_double_width_integer_hwtcl                          (1),
		.core4_0_pfx_width_integer_hwtcl                             (32),
		.core4_0_empty_width_integer_hwtcl                           (2),
		.core4_0_use_ast_parity_hwtcl                                (0),
		.core4_1_payload_width_integer_hwtcl                         (128),
		.core4_1_hdr_width_integer_hwtcl                             (128),
		.core4_1_double_width_integer_hwtcl                          (1),
		.core4_1_pfx_width_integer_hwtcl                             (32),
		.core4_1_empty_width_integer_hwtcl                           (2),
		.core4_1_use_ast_parity_hwtcl                                (0),
		.data_width_hwtcl                                            (256),
		.pfnum_hwtcl                                                 (1),
		.pio_data_width_hwtcl                                        (64),
		.pio_address_width_hwtcl                                     (25),
		.pf0_enable_sriov_hwtcl                                      (0),
		.pf1_enable_sriov_hwtcl                                      (0),
		.pf2_enable_sriov_hwtcl                                      (0),
		.pf3_enable_sriov_hwtcl                                      (0),
		.pf4_enable_sriov_hwtcl                                      (0),
		.pf5_enable_sriov_hwtcl                                      (0),
		.pf6_enable_sriov_hwtcl                                      (0),
		.pf7_enable_sriov_hwtcl                                      (0),
		.pf0_num_vf_per_pf_hwtcl                                     (0),
		.pf1_num_vf_per_pf_hwtcl                                     (0),
		.pf2_num_vf_per_pf_hwtcl                                     (0),
		.pf3_num_vf_per_pf_hwtcl                                     (0),
		.pf4_num_vf_per_pf_hwtcl                                     (0),
		.pf5_num_vf_per_pf_hwtcl                                     (0),
		.pf6_num_vf_per_pf_hwtcl                                     (0),
		.pf7_num_vf_per_pf_hwtcl                                     (0),
		.pf0_num_dma_chan_pf_hwtcl                                   (4),
		.pf1_num_dma_chan_pf_hwtcl                                   (0),
		.pf2_num_dma_chan_pf_hwtcl                                   (0),
		.pf3_num_dma_chan_pf_hwtcl                                   (0),
		.pf4_num_dma_chan_pf_hwtcl                                   (0),
		.pf5_num_dma_chan_pf_hwtcl                                   (0),
		.pf6_num_dma_chan_pf_hwtcl                                   (0),
		.pf7_num_dma_chan_pf_hwtcl                                   (0),
		.pf0_num_dma_chan_per_vf_hwtcl                               (0),
		.pf1_num_dma_chan_per_vf_hwtcl                               (0),
		.pf2_num_dma_chan_per_vf_hwtcl                               (0),
		.pf3_num_dma_chan_per_vf_hwtcl                               (0),
		.pf4_num_dma_chan_per_vf_hwtcl                               (0),
		.pf5_num_dma_chan_per_vf_hwtcl                               (0),
		.pf6_num_dma_chan_per_vf_hwtcl                               (0),
		.pf7_num_dma_chan_per_vf_hwtcl                               (0),
		.empty_width_hwtcl                                           (5),
		.burst_width_hwtcl                                           (5),
		.pfnum_width_hwtcl                                           (3),
		.vfnum_width_hwtcl                                           (11),
		.enable_user_msix_hwtcl                                      (0),
		.enable_user_flr_hwtcl                                       (0),
		.d2h_num_active_channel_hwtcl                                (8),
		.d2h_max_num_desc_fetch_hwtcl                                (16),
		.en_metadata_8_hwtcl                                         (0),
		.pio_bar2_size_per_f_hwtcl                                   (22),
		.enable_bursting_master_hwtcl                                (1),
		.enable_bursting_slave_hwtcl                                 (0),
		.enable_mcdma_hwtcl                                          (1),
		.enable_data_mover_hwtcl                                     (0),
		.pfcnt_w_hwtcl                                               (1),
		.vfcnt_w_hwtcl                                               (1),
		.max_bar_address_width_hwtcl                                 (24),
		.enable_cs_hwtcl                                             (0),
		.uport_type_h2d_hwtcl                                        (0),
		.uport_type_d2h_hwtcl                                        (0),
		.num_h2d_uport_hwtcl                                         (1),
		.num_d2h_uport_hwtcl                                         (1),
		.cs_address_width_hwtcl                                      (14),
		.en_10bit_tag_hwtcl                                          (0),
		.att_en_for_bas_cs_hwtcl                                     (0),
		.mapping_table_address_width_hwtcl                           (3),
		.mapping_window_address_width_hwtcl                          (16),
		.msi_enable_hwtcl                                            (0),
		.per_vec_mask_capable_hwtcl                                  (0),
		.addr_64bit_capable_hwtcl                                    (0),
		.multi_msg_capable_hwtcl                                     (1),
		.ext_msg_data_capable_hwtcl                                  (0),
		.enable_byte_aligned_txfr_hwtcl                              (0),
		.total_pf_count_width_hwtcl                                  (1),
		.total_vf_count_width_hwtcl                                  (1),
		.total_vf_count_hwtcl                                        (0),
		.total_pf_count_hwtcl                                        (1),
		.payload_width_integer_hwtcl                                 (256),
		.hdr_width_integer_hwtcl                                     (128),
		.pfx_width_integer_hwtcl                                     (32),
		.double_width_integer_hwtcl                                  (1),
		.m1_data_width_hwtcl                                         (256),
		.m1_pfnum_hwtcl                                              (1),
		.m1_pio_data_width_hwtcl                                     (64),
		.m1_pio_address_width_hwtcl                                  (25),
		.m1_pf0_enable_sriov_hwtcl                                   (0),
		.m1_pf1_enable_sriov_hwtcl                                   (0),
		.m1_pf2_enable_sriov_hwtcl                                   (0),
		.m1_pf3_enable_sriov_hwtcl                                   (0),
		.m1_pf4_enable_sriov_hwtcl                                   (0),
		.m1_pf5_enable_sriov_hwtcl                                   (0),
		.m1_pf6_enable_sriov_hwtcl                                   (0),
		.m1_pf7_enable_sriov_hwtcl                                   (0),
		.m1_pf0_num_vf_per_pf_hwtcl                                  (0),
		.m1_pf1_num_vf_per_pf_hwtcl                                  (0),
		.m1_pf2_num_vf_per_pf_hwtcl                                  (0),
		.m1_pf3_num_vf_per_pf_hwtcl                                  (0),
		.m1_pf4_num_vf_per_pf_hwtcl                                  (0),
		.m1_pf5_num_vf_per_pf_hwtcl                                  (0),
		.m1_pf6_num_vf_per_pf_hwtcl                                  (0),
		.m1_pf7_num_vf_per_pf_hwtcl                                  (0),
		.m1_pf0_num_dma_chan_pf_hwtcl                                (4),
		.m1_pf1_num_dma_chan_pf_hwtcl                                (0),
		.m1_pf2_num_dma_chan_pf_hwtcl                                (0),
		.m1_pf3_num_dma_chan_pf_hwtcl                                (0),
		.m1_pf4_num_dma_chan_pf_hwtcl                                (0),
		.m1_pf5_num_dma_chan_pf_hwtcl                                (0),
		.m1_pf6_num_dma_chan_pf_hwtcl                                (0),
		.m1_pf7_num_dma_chan_pf_hwtcl                                (0),
		.m1_pf0_num_dma_chan_per_vf_hwtcl                            (0),
		.m1_pf1_num_dma_chan_per_vf_hwtcl                            (0),
		.m1_pf2_num_dma_chan_per_vf_hwtcl                            (0),
		.m1_pf3_num_dma_chan_per_vf_hwtcl                            (0),
		.m1_pf4_num_dma_chan_per_vf_hwtcl                            (0),
		.m1_pf5_num_dma_chan_per_vf_hwtcl                            (0),
		.m1_pf6_num_dma_chan_per_vf_hwtcl                            (0),
		.m1_pf7_num_dma_chan_per_vf_hwtcl                            (0),
		.m1_empty_width_hwtcl                                        (5),
		.m1_burst_width_hwtcl                                        (5),
		.m1_pfnum_width_hwtcl                                        (3),
		.m1_vfnum_width_hwtcl                                        (11),
		.m1_enable_user_msix_hwtcl                                   (0),
		.m1_enable_user_flr_hwtcl                                    (0),
		.m1_d2h_num_active_channel_hwtcl                             (8),
		.m1_d2h_max_num_desc_fetch_hwtcl                             (16),
		.m1_en_metadata_8_hwtcl                                      (0),
		.m1_pio_bar2_size_per_f_hwtcl                                (22),
		.m1_enable_bursting_master_hwtcl                             (0),
		.m1_enable_bursting_slave_hwtcl                              (0),
		.m1_enable_mcdma_hwtcl                                       (1),
		.m1_enable_data_mover_hwtcl                                  (0),
		.m1_pfcnt_w_hwtcl                                            (1),
		.m1_vfcnt_w_hwtcl                                            (1),
		.m1_max_bar_address_width_hwtcl                              (16),
		.m1_enable_cs_hwtcl                                          (0),
		.m1_uport_type_h2d_hwtcl                                     (0),
		.m1_uport_type_d2h_hwtcl                                     (0),
		.m1_num_h2d_uport_hwtcl                                      (1),
		.m1_num_d2h_uport_hwtcl                                      (1),
		.m1_cs_address_width_hwtcl                                   (14),
		.m1_att_en_for_bas_cs_hwtcl                                  (0),
		.m1_mapping_table_address_width_hwtcl                        (3),
		.m1_mapping_window_address_width_hwtcl                       (16),
		.m1_msi_enable_hwtcl                                         (0),
		.m1_per_vec_mask_capable_hwtcl                               (0),
		.m1_addr_64bit_capable_hwtcl                                 (0),
		.m1_multi_msg_capable_hwtcl                                  (1),
		.m1_ext_msg_data_capable_hwtcl                               (0),
		.m1_enable_byte_aligned_txfr_hwtcl                           (0),
		.m1_total_pf_count_width_hwtcl                               (1),
		.m1_total_vf_count_width_hwtcl                               (0),
		.m1_total_vf_count_hwtcl                                     (0),
		.m1_total_pf_count_hwtcl                                     (1),
		.m1_payload_width_integer_hwtcl                              (256),
		.m1_hdr_width_integer_hwtcl                                  (128),
		.m1_pfx_width_integer_hwtcl                                  (32),
		.m1_double_width_integer_hwtcl                               (1),
		.enable_port_bifurcation_hwtcl                               (0)
	) pcie_ftile_mcdma (
		.app_clk                          (app_clk),                                                                                                                                                                                                                                                               //  output,    width = 1,            app_clk.clk
		.app_rst_n                        (app_rst_n),                                                                                                                                                                                                                                                             //  output,    width = 1,  app_nreset_status.reset_n
		.d2hdm_waitrequest_i              (d2hdm_waitrequest_i),                                                                                                                                                                                                                                                   //   input,    width = 1,    p0_d2hdm_master.waitrequest
		.d2hdm_read_o                     (d2hdm_read_o),                                                                                                                                                                                                                                                          //  output,    width = 1,                   .read
		.d2hdm_address_o                  (d2hdm_address_o),                                                                                                                                                                                                                                                       //  output,   width = 64,                   .address
		.d2hdm_burstcount_o               (d2hdm_burstcount_o),                                                                                                                                                                                                                                                    //  output,    width = 5,                   .burstcount
		.d2hdm_byteenable_o               (d2hdm_byteenable_o),                                                                                                                                                                                                                                                    //  output,   width = 32,                   .byteenable
		.d2hdm_readdatavalid_i            (d2hdm_readdatavalid_i),                                                                                                                                                                                                                                                 //   input,    width = 1,                   .readdatavalid
		.d2hdm_readdata_i                 (d2hdm_readdata_i),                                                                                                                                                                                                                                                      //   input,  width = 256,                   .readdata
		.d2hdm_response_i                 (d2hdm_response_i),                                                                                                                                                                                                                                                      //   input,    width = 2,                   .response
		.h2ddm_waitrequest_i              (h2ddm_waitrequest_i),                                                                                                                                                                                                                                                   //   input,    width = 1,    p0_h2ddm_master.waitrequest
		.h2ddm_write_o                    (h2ddm_write_o),                                                                                                                                                                                                                                                         //  output,    width = 1,                   .write
		.h2ddm_address_o                  (h2ddm_address_o),                                                                                                                                                                                                                                                       //  output,   width = 64,                   .address
		.h2ddm_burstcount_o               (h2ddm_burstcount_o),                                                                                                                                                                                                                                                    //  output,    width = 5,                   .burstcount
		.h2ddm_byteenable_o               (h2ddm_byteenable_o),                                                                                                                                                                                                                                                    //  output,   width = 32,                   .byteenable
		.h2ddm_writedata_o                (h2ddm_writedata_o),                                                                                                                                                                                                                                                     //  output,  width = 256,                   .writedata
		.bam_waitrequest_i                (bam_waitrequest_i),                                                                                                                                                                                                                                                     //   input,    width = 1,      p0_bam_master.waitrequest
		.bam_address_o                    (bam_address_o),                                                                                                                                                                                                                                                         //  output,   width = 30,                   .address
		.bam_byteenable_o                 (bam_byteenable_o),                                                                                                                                                                                                                                                      //  output,   width = 32,                   .byteenable
		.bam_read_o                       (bam_read_o),                                                                                                                                                                                                                                                            //  output,    width = 1,                   .read
		.bam_readdata_i                   (bam_readdata_i),                                                                                                                                                                                                                                                        //   input,  width = 256,                   .readdata
		.bam_readdatavalid_i              (bam_readdatavalid_i),                                                                                                                                                                                                                                                   //   input,    width = 1,                   .readdatavalid
		.bam_write_o                      (bam_write_o),                                                                                                                                                                                                                                                           //  output,    width = 1,                   .write
		.bam_writedata_o                  (bam_writedata_o),                                                                                                                                                                                                                                                       //  output,  width = 256,                   .writedata
		.bam_burstcount_o                 (bam_burstcount_o),                                                                                                                                                                                                                                                      //  output,    width = 5,                   .burstcount
		.usr_hip_tl_cfg_func_o            (usr_hip_tl_cfg_func_o),                                                                                                                                                                                                                                                 //  output,    width = 3,   p0_usr_config_tl.tl_cfg_func
		.usr_hip_tl_cfg_add_o             (usr_hip_tl_cfg_add_o),                                                                                                                                                                                                                                                  //  output,    width = 5,                   .tl_cfg_add
		.usr_hip_tl_cfg_ctl_o             (usr_hip_tl_cfg_ctl_o),                                                                                                                                                                                                                                                  //  output,   width = 16,                   .tl_cfg_ctl
		.p0_link_up_o                     (p0_link_up_o),                                                                                                                                                                                                                                                          //  output,    width = 1,      p0_hip_status.link_up
		.p0_dl_up_o                       (p0_dl_up_o),                                                                                                                                                                                                                                                            //  output,    width = 1,                   .dl_up
		.p0_surprise_down_err_o           (p0_surprise_down_err_o),                                                                                                                                                                                                                                                //  output,    width = 1,                   .surprise_down_err
		.p0_ltssm_state_o                 (p0_ltssm_state_o),                                                                                                                                                                                                                                                      //  output,    width = 6,                   .ltssmstate
		.refclk0                          (refclk0),                                                                                                                                                                                                                                                               //   input,    width = 1,            refclk0.clk
		.refclk1                          (refclk1),                                                                                                                                                                                                                                                               //   input,    width = 1,            refclk1.clk
		.pcie_systempll_clk               (pcie_systempll_clk),                                                                                                                                                                                                                                                    //   input,    width = 1, pcie_systempll_clk.clk
		.ninit_done                       (ninit_done),                                                                                                                                                                                                                                                            //   input,    width = 1,         ninit_done.reset
		.rx_n_in0                         (rx_n_in0),                                                                                                                                                                                                                                                              //   input,    width = 1,         hip_serial.rx_n_in0
		.rx_n_in1                         (rx_n_in1),                                                                                                                                                                                                                                                              //   input,    width = 1,                   .rx_n_in1
		.rx_n_in2                         (rx_n_in2),                                                                                                                                                                                                                                                              //   input,    width = 1,                   .rx_n_in2
		.rx_n_in3                         (rx_n_in3),                                                                                                                                                                                                                                                              //   input,    width = 1,                   .rx_n_in3
		.rx_n_in4                         (rx_n_in4),                                                                                                                                                                                                                                                              //   input,    width = 1,                   .rx_n_in4
		.rx_n_in5                         (rx_n_in5),                                                                                                                                                                                                                                                              //   input,    width = 1,                   .rx_n_in5
		.rx_n_in6                         (rx_n_in6),                                                                                                                                                                                                                                                              //   input,    width = 1,                   .rx_n_in6
		.rx_n_in7                         (rx_n_in7),                                                                                                                                                                                                                                                              //   input,    width = 1,                   .rx_n_in7
		.rx_p_in0                         (rx_p_in0),                                                                                                                                                                                                                                                              //   input,    width = 1,                   .rx_p_in0
		.rx_p_in1                         (rx_p_in1),                                                                                                                                                                                                                                                              //   input,    width = 1,                   .rx_p_in1
		.rx_p_in2                         (rx_p_in2),                                                                                                                                                                                                                                                              //   input,    width = 1,                   .rx_p_in2
		.rx_p_in3                         (rx_p_in3),                                                                                                                                                                                                                                                              //   input,    width = 1,                   .rx_p_in3
		.rx_p_in4                         (rx_p_in4),                                                                                                                                                                                                                                                              //   input,    width = 1,                   .rx_p_in4
		.rx_p_in5                         (rx_p_in5),                                                                                                                                                                                                                                                              //   input,    width = 1,                   .rx_p_in5
		.rx_p_in6                         (rx_p_in6),                                                                                                                                                                                                                                                              //   input,    width = 1,                   .rx_p_in6
		.rx_p_in7                         (rx_p_in7),                                                                                                                                                                                                                                                              //   input,    width = 1,                   .rx_p_in7
		.tx_n_out0                        (tx_n_out0),                                                                                                                                                                                                                                                             //  output,    width = 1,                   .tx_n_out0
		.tx_n_out1                        (tx_n_out1),                                                                                                                                                                                                                                                             //  output,    width = 1,                   .tx_n_out1
		.tx_n_out2                        (tx_n_out2),                                                                                                                                                                                                                                                             //  output,    width = 1,                   .tx_n_out2
		.tx_n_out3                        (tx_n_out3),                                                                                                                                                                                                                                                             //  output,    width = 1,                   .tx_n_out3
		.tx_n_out4                        (tx_n_out4),                                                                                                                                                                                                                                                             //  output,    width = 1,                   .tx_n_out4
		.tx_n_out5                        (tx_n_out5),                                                                                                                                                                                                                                                             //  output,    width = 1,                   .tx_n_out5
		.tx_n_out6                        (tx_n_out6),                                                                                                                                                                                                                                                             //  output,    width = 1,                   .tx_n_out6
		.tx_n_out7                        (tx_n_out7),                                                                                                                                                                                                                                                             //  output,    width = 1,                   .tx_n_out7
		.tx_p_out0                        (tx_p_out0),                                                                                                                                                                                                                                                             //  output,    width = 1,                   .tx_p_out0
		.tx_p_out1                        (tx_p_out1),                                                                                                                                                                                                                                                             //  output,    width = 1,                   .tx_p_out1
		.tx_p_out2                        (tx_p_out2),                                                                                                                                                                                                                                                             //  output,    width = 1,                   .tx_p_out2
		.tx_p_out3                        (tx_p_out3),                                                                                                                                                                                                                                                             //  output,    width = 1,                   .tx_p_out3
		.tx_p_out4                        (tx_p_out4),                                                                                                                                                                                                                                                             //  output,    width = 1,                   .tx_p_out4
		.tx_p_out5                        (tx_p_out5),                                                                                                                                                                                                                                                             //  output,    width = 1,                   .tx_p_out5
		.tx_p_out6                        (tx_p_out6),                                                                                                                                                                                                                                                             //  output,    width = 1,                   .tx_p_out6
		.tx_p_out7                        (tx_p_out7),                                                                                                                                                                                                                                                             //  output,    width = 1,                   .tx_p_out7
		.pin_perst_n                      (pin_perst_n),                                                                                                                                                                                                                                                           //   input,    width = 1,          pin_perst.reset_n
		.rx_pio_waitrequest_i             (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.rx_pio_address_o                 (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.rx_pio_byteenable_o              (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.rx_pio_read_o                    (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.rx_pio_readdata_i                (64'b0000000000000000000000000000000000000000000000000000000000000000),                                                                                                                                                                                                  // (terminated),                                  
		.rx_pio_readdatavalid_i           (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.rx_pio_write_o                   (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.rx_pio_writedata_o               (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.rx_pio_burstcount_o              (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.rx_pio_response_i                (2'b00),                                                                                                                                                                                                                                                                 // (terminated),                                  
		.rx_pio_writeresponsevalid_i      (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.d2h_st_sof_0_i                   (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.d2h_st_eof_0_i                   (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.d2h_st_empty_0_i                 (5'b00000),                                                                                                                                                                                                                                                              // (terminated),                                  
		.d2h_st_channel_0_i               (11'b00000000000),                                                                                                                                                                                                                                                       // (terminated),                                  
		.d2h_st_valid_0_i                 (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.d2h_st_data_0_i                  (256'b0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000), // (terminated),                                  
		.d2h_st_ready_0_o                 (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.d2h_st_sof_1_i                   (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.d2h_st_eof_1_i                   (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.d2h_st_empty_1_i                 (5'b00000),                                                                                                                                                                                                                                                              // (terminated),                                  
		.d2h_st_channel_1_i               (11'b00000000000),                                                                                                                                                                                                                                                       // (terminated),                                  
		.d2h_st_valid_1_i                 (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.d2h_st_data_1_i                  (256'b0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000), // (terminated),                                  
		.d2h_st_ready_1_o                 (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.d2h_st_sof_2_i                   (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.d2h_st_eof_2_i                   (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.d2h_st_empty_2_i                 (5'b00000),                                                                                                                                                                                                                                                              // (terminated),                                  
		.d2h_st_channel_2_i               (11'b00000000000),                                                                                                                                                                                                                                                       // (terminated),                                  
		.d2h_st_valid_2_i                 (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.d2h_st_data_2_i                  (256'b0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000), // (terminated),                                  
		.d2h_st_ready_2_o                 (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.d2h_st_sof_3_i                   (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.d2h_st_eof_3_i                   (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.d2h_st_empty_3_i                 (5'b00000),                                                                                                                                                                                                                                                              // (terminated),                                  
		.d2h_st_channel_3_i               (11'b00000000000),                                                                                                                                                                                                                                                       // (terminated),                                  
		.d2h_st_valid_3_i                 (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.d2h_st_data_3_i                  (256'b0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000), // (terminated),                                  
		.d2h_st_ready_3_o                 (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_sof_0_o                   (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_eof_0_o                   (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_empty_0_o                 (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_ready_0_i                 (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.h2d_st_valid_0_o                 (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_data_0_o                  (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_channel_0_o               (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_sof_1_o                   (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_eof_1_o                   (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_empty_1_o                 (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_ready_1_i                 (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.h2d_st_valid_1_o                 (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_data_1_o                  (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_channel_1_o               (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_sof_2_o                   (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_eof_2_o                   (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_empty_2_o                 (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_ready_2_i                 (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.h2d_st_valid_2_o                 (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_data_2_o                  (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_channel_2_o               (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_sof_3_o                   (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_eof_3_o                   (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_empty_3_o                 (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_ready_3_i                 (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.h2d_st_valid_3_o                 (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_data_3_o                  (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2d_st_channel_3_o               (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2ddm_desc_ready_o               (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2ddm_desc_valid_i               (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.h2ddm_desc_data_i                (256'b0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000), // (terminated),                                  
		.h2ddm_desc_cmpl_ready_i          (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.h2ddm_desc_cmpl_valid_o          (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2ddm_desc_cmpl_data_o           (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2ddm_desc_cmpl_empty_o          (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2ddm_desc_cmpl_sop_o            (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2ddm_desc_cmpl_eop_o            (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2ddm_desc_status_valid_o        (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.h2ddm_desc_status_data_o         (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.d2hdm_desc_ready_o               (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.d2hdm_desc_valid_i               (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.d2hdm_desc_data_i                (256'b0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000), // (terminated),                                  
		.d2hdm_desc_status_valid_o        (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.d2hdm_desc_status_data_o         (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.usr_event_msix_valid_i           (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.usr_event_msix_ready_o           (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.usr_event_msix_data_i            (16'b0000000000000000),                                                                                                                                                                                                                                                  // (terminated),                                  
		.usr_flr_rcvd_val_o               (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.usr_flr_rcvd_chan_num_o          (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.usr_flr_completed_i              (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.bas_vfactive_i                   (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.bas_pfnum_i                      (3'b000),                                                                                                                                                                                                                                                                // (terminated),                                  
		.bas_vfnum_i                      (11'b00000000000),                                                                                                                                                                                                                                                       // (terminated),                                  
		.bas_waitrequest_o                (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.bas_address_i                    (64'b0000000000000000000000000000000000000000000000000000000000000000),                                                                                                                                                                                                  // (terminated),                                  
		.bas_byteenable_i                 (32'b00000000000000000000000000000000),                                                                                                                                                                                                                                  // (terminated),                                  
		.bas_read_i                       (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.bas_readdata_o                   (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.bas_readdatavalid_o              (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.bas_write_i                      (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.bas_writedata_i                  (256'b0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000), // (terminated),                                  
		.bas_burstcount_i                 (5'b00000),                                                                                                                                                                                                                                                              // (terminated),                                  
		.bas_response_o                   (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.usr_hip_reconfig_rst_n_i         (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.usr_hip_reconfig_clk_i           (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.usr_hip_reconfig_address_i       (21'b000000000000000000000),                                                                                                                                                                                                                                             // (terminated),                                  
		.usr_hip_reconfig_read_i          (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.usr_hip_reconfig_readdata_o      (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.usr_hip_reconfig_readdatavalid_o (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.usr_hip_reconfig_write_i         (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.usr_hip_reconfig_writedata_i     (8'b00000000),                                                                                                                                                                                                                                                           // (terminated),                                  
		.usr_hip_reconfig_waitrequest_o   (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.cs_waitrequest_o                 (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.cs_address_i                     (14'b00000000000000),                                                                                                                                                                                                                                                    // (terminated),                                  
		.cs_byteenable_i                  (4'b0000),                                                                                                                                                                                                                                                               // (terminated),                                  
		.cs_read_i                        (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.cs_readdata_o                    (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.cs_readdatavalid_o               (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.cs_writeresponsevalid_o          (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.cs_write_i                       (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.cs_writedata_i                   (32'b00000000000000000000000000000000),                                                                                                                                                                                                                                  // (terminated),                                  
		.cs_response_o                    (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.msi_req_i                        (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.msi_func_num_i                   (3'b000),                                                                                                                                                                                                                                                                // (terminated),                                  
		.msi_num_i                        (5'b00000),                                                                                                                                                                                                                                                              // (terminated),                                  
		.msi_ack_o                        (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.msi_status_o                     (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p0_pld_warm_rst_rdy_i            (1'b1),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p0_pld_link_req_rst_o            (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p0_app_int_i                     (8'b00000000),                                                                                                                                                                                                                                                           // (terminated),                                  
		.p0_int_status_o                  (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p0_pm_state_o                    (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p0_pm_dstate_o                   (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p0_apps_pm_xmt_pme_i             (8'b00000000),                                                                                                                                                                                                                                                           // (terminated),                                  
		.p0_app_init_rst_i                (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p0_app_xfer_pending_i            (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p0_app_req_retry_en_i            (8'b00000000),                                                                                                                                                                                                                                                           // (terminated),                                  
		.p0_sys_aux_pwr_det_i             (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p0_cii_hdr_poisoned_o            (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p0_cii_override_en_i             (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p0_cii_hdr_first_be_o            (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p0_cii_func_num_o                (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p0_cii_dout_o                    (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p0_cii_halt_i                    (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p0_cii_wr_vf_active_o            (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p0_cii_req_o                     (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p0_cii_addr_o                    (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p0_cii_wr_o                      (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p0_cii_vf_num_o                  (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p0_cii_override_din_i            (32'b00000000000000000000000000000000),                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_pld_warm_rst_rdy_i            (1'b1),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_pld_link_req_rst_o            (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_app_int_i                     (8'b00000000),                                                                                                                                                                                                                                                           // (terminated),                                  
		.p1_int_status_o                  (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_link_up_o                     (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_dl_up_o                       (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_surprise_down_err_o           (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_pm_state_o                    (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_ltssm_state_o                 (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_pm_dstate_o                   (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_apps_pm_xmt_pme_i             (8'b00000000),                                                                                                                                                                                                                                                           // (terminated),                                  
		.p1_app_init_rst_i                (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_app_xfer_pending_i            (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_app_req_retry_en_i            (8'b00000000),                                                                                                                                                                                                                                                           // (terminated),                                  
		.p1_sys_aux_pwr_det_i             (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_cii_hdr_poisoned_o            (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_cii_override_en_i             (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_cii_hdr_first_be_o            (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_cii_func_num_o                (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_cii_dout_o                    (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_cii_halt_i                    (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_cii_wr_vf_active_o            (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_cii_req_o                     (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_cii_addr_o                    (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_cii_wr_o                      (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_cii_vf_num_o                  (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_cii_override_din_i            (32'b00000000000000000000000000000000),                                                                                                                                                                                                                                  // (terminated),                                  
		.xcvr_reconfig_clk                (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.xcvr_reconfig_address            (25'b0000000000000000000000000),                                                                                                                                                                                                                                         // (terminated),                                  
		.xcvr_reconfig_read               (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.xcvr_reconfig_readdata           (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.xcvr_reconfig_readdatavalid      (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.xcvr_reconfig_write              (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.xcvr_reconfig_writedata          (8'b00000000),                                                                                                                                                                                                                                                           // (terminated),                                  
		.xcvr_reconfig_waitrequest        (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.pli_avmm_master_address          (24'b000000000000000000000000),                                                                                                                                                                                                                                          // (terminated),                                  
		.pli_avmm_master_read             (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.pli_avmm_master_readdata         (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.pli_avmm_master_readdatavalid    (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.pli_avmm_master_write            (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.pli_avmm_master_writedata        (32'b00000000000000000000000000000000),                                                                                                                                                                                                                                  // (terminated),                                  
		.pli_avmm_master_waitrequest      (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.refclk2                          (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.refclk3                          (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.dummy_user_avmm_rst              (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p0_dtk_hip_reconfig_clk          (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_dtk_hip_reconfig_clk          (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.rx_n_in8                         (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.rx_n_in9                         (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.rx_n_in10                        (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.rx_n_in11                        (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.rx_n_in12                        (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.rx_n_in13                        (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.rx_n_in14                        (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.rx_n_in15                        (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.rx_p_in8                         (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.rx_p_in9                         (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.rx_p_in10                        (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.rx_p_in11                        (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.rx_p_in12                        (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.rx_p_in13                        (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.rx_p_in14                        (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.rx_p_in15                        (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.tx_n_out8                        (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.tx_n_out9                        (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.tx_n_out10                       (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.tx_n_out11                       (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.tx_n_out12                       (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.tx_n_out13                       (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.tx_n_out14                       (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.tx_n_out15                       (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.tx_p_out8                        (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.tx_p_out9                        (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.tx_p_out10                       (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.tx_p_out11                       (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.tx_p_out12                       (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.tx_p_out13                       (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.tx_p_out14                       (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.tx_p_out15                       (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_reset_status_n                (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_pin_perst_n                   (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_hip_reconfig_clk              (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_hip_reconfig_address          (21'b000000000000000000000),                                                                                                                                                                                                                                             // (terminated),                                  
		.p1_hip_reconfig_read             (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_hip_reconfig_readdata         (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_hip_reconfig_readdatavalid    (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_hip_reconfig_write            (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_hip_reconfig_writedata        (8'b00000000),                                                                                                                                                                                                                                                           // (terminated),                                  
		.p1_hip_reconfig_waitrequest      (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_msi_pnd_func_i                (3'b000),                                                                                                                                                                                                                                                                // (terminated),                                  
		.p1_msi_pnd_byte_i                (8'b00000000),                                                                                                                                                                                                                                                           // (terminated),                                  
		.p1_msi_pnd_addr_i                (2'b00),                                                                                                                                                                                                                                                                 // (terminated),                                  
		.p1_test_out_o                    (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_test_in_i                     (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_cpl_timeout_o                 (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_prs_event_valid_i             (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_prs_event_func_i              (3'b000),                                                                                                                                                                                                                                                                // (terminated),                                  
		.p1_prs_event_i                   (2'b00),                                                                                                                                                                                                                                                                 // (terminated),                                  
		.p1_app_err_info_i                (13'b0000000000000),                                                                                                                                                                                                                                                     // (terminated),                                  
		.p1_app_err_valid_i               (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_app_err_hdr_i                 (32'b00000000000000000000000000000000),                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_app_err_func_num_i            (3'b000),                                                                                                                                                                                                                                                                // (terminated),                                  
		.p1_serr_out_o                    (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_hip_enter_err_mode_o          (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_sys_pwr_fault_det_i           (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_sys_pre_det_chged_i           (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_sys_mrl_sensor_chged_i        (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_sys_cmd_cpled_int_i           (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_sys_mrl_sensor_state_i        (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_sys_pre_det_state_i           (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_sys_atten_button_pressed_i    (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_sys_eml_interlock_engaged_i   (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_rx_st_ready_i                 (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_rx_st_sop_o                   (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_rx_st_eop_o                   (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_rx_st_data_o                  (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_rx_st_valid_o                 (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_rx_st_empty_o                 (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_rx_st_vf_active_o             (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_rx_st_func_num_o              (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_rx_st_vf_num_o                (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_rx_st_hdr_o                   (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_rx_st_tlp_prfx_o              (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_rx_st_bar_range_o             (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_rx_st_tlp_abort_o             (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_rx_par_err_o                  (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_tx_st_sop_i                   (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_tx_st_eop_i                   (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_tx_st_data_i                  (256'b0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000), // (terminated),                                  
		.p1_tx_st_valid_i                 (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_tx_st_err_i                   (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_tx_st_ready_o                 (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_tx_st_hdr_i                   (128'b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000),                                                                                                                                 // (terminated),                                  
		.p1_tx_st_tlp_prfx_i              (32'b00000000000000000000000000000000),                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_tx_par_err_o                  (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_tx_cdts_limit_o               (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_tx_cdts_limit_tdm_idx_o       (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_rx_buffer_limit_i             (12'b000000000000),                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_rx_buffer_limit_tdm_idx_i     (2'b00),                                                                                                                                                                                                                                                                 // (terminated),                                  
		.p1_rx_st_data_par_o              (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_rx_st_hdr_par_o               (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_rx_st_tlp_prfx_par_o          (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_tx_st_data_par_i              (32'b00000000000000000000000000000000),                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_tx_st_hdr_par_i               (16'b0000000000000000),                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_tx_st_tlp_prfx_par_i          (4'b0000),                                                                                                                                                                                                                                                               // (terminated),                                  
		.p1_tl_cfg_func_o                 (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_tl_cfg_add_o                  (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_tl_cfg_ctl_o                  (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_dl_timer_update_o             (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_flr_rcvd_pf_o                 (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_flr_rcvd_vf_o                 (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_flr_rcvd_pf_num_o             (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_flr_rcvd_vf_num_o             (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_flr_completed_pf_i            (8'b00000000),                                                                                                                                                                                                                                                           // (terminated),                                  
		.p1_flr_completed_vf_i            (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_flr_completed_pf_num_i        (3'b000),                                                                                                                                                                                                                                                                // (terminated),                                  
		.p1_flr_completed_vf_num_i        (11'b00000000000),                                                                                                                                                                                                                                                       // (terminated),                                  
		.p1_virtio_pcicfg_vfaccess_o      (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_virtio_pcicfg_vfnum_o         (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_virtio_pcicfg_pfnum_o         (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_virtio_pcicfg_bar_o           (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_virtio_pcicfg_length_o        (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_virtio_pcicfg_baroffset_o     (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_virtio_pcicfg_cfgdata_o       (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_virtio_pcicfg_cfgwr_o         (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_virtio_pcicfg_cfgrd_o         (),                                                                                                                                                                                                                                                                      // (terminated),                                  
		.p1_virtio_pcicfg_appvfnum_i      (11'b00000000000),                                                                                                                                                                                                                                                       // (terminated),                                  
		.p1_virtio_pcicfg_apppfnum_i      (3'b000),                                                                                                                                                                                                                                                                // (terminated),                                  
		.p1_virtio_pcicfg_rdack_i         (1'b0),                                                                                                                                                                                                                                                                  // (terminated),                                  
		.p1_virtio_pcicfg_rdbe_i          (4'b0000),                                                                                                                                                                                                                                                               // (terminated),                                  
		.p1_virtio_pcicfg_data_i          (32'b00000000000000000000000000000000)                                                                                                                                                                                                                                   // (terminated),                                  
	);

endmodule
