** (C) 2001-2020 Intel Corporation. All rights reserved.
** Your use of Intel Corporation's design tools, logic functions and other 
** software and tools, and its AMPP partner logic functions, and any output 
** files from any of the foregoing (including device programming or simulation 
** files), and any associated documentation or information are expressly subject 
** to the terms and conditions of the Intel Program License Subscription 
** Agreement, Intel FPGA IP License Agreement, or other applicable 
** license agreement, including, without limitation, that your use is for the 
** sole purpose of programming logic devices manufactured by Intel and sold by 
** Intel or its authorized distributors.  Please refer to the applicable 
** agreement for further details.


******************************************************************************
** This file provides a simple DQS/Clock generator.
******************************************************************************

.subckt dqs_wave out g

+ dtr     = 333p
+ dtf     = 333p
+ delay   = 0
+ per     = 3.0n
+ low     = 0
+ high    = 1
+ polarity= low

.param per2       = '0.5*per' 
.param pulseval   = 'per2-((dtr+dtf)*0.5)'

Rwdata1   out   g   10Meg
Vwdata1   out   g    PULSE(high low delay dtr dtf pulseval per)

.ends dqs_wave
